GNU bug report logs - #59322
[PATCH 0/2] gnu: racket: Update to 8.7.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Philip McGrath <philip@HIDDEN>; Keywords: patch; dated Wed, 16 Nov 2022 21:38:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 23 Nov 2022 18:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 23 13:44:53 2022
Received: from localhost ([127.0.0.1]:56225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxujt-00029v-60
	for submit <at> debbugs.gnu.org; Wed, 23 Nov 2022 13:44:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oxujr-00029g-Ho
 for 59322 <at> debbugs.gnu.org; Wed, 23 Nov 2022 13:44:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oxujm-0003cb-3f; Wed, 23 Nov 2022 13:44:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=tGOi5fu3xUnheC7wBraJ+sBwYAZX8whDTgfcK6twROY=; b=AWnsF7Q9p36s7t2JgccC
 uja/VkkyX/QrMDOyG4/v+qYIX0Icaw5QmURyxnOCN4MbwGpW/Ozzm3/XfJxllDQ6xOhe8Z7QiOJZs
 eoT1pnhP4mpscrNd/N2FrUC6fSsXJXDjdk/nUWGii8R7UTdNK82e5jDlw6dtKNYIMgYOjyJYXMFiv
 ImgchISkY3fHg3J9CTcWymCMUf20gpdhDGkvGTFvTnGvqjPgpd78Q+kXMm0/UjimNysIHYRqQQNnb
 XhwLcoMOpE1rNliV62hct6MiBKuXz7OO3U2G8L9XEe+7P/FrxoW6fy/F4x5fqHY3uESfzo/OF81IW
 ZMjAM+QfJ+MdwQ==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oxujl-0006li-6Z; Wed, 23 Nov 2022 13:44:45 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Philip McGrath <philip@HIDDEN>
Subject: Re: bug#59322: [PATCH 0/2] gnu: racket: Update to 8.7.
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <2144765.irdbgypaU6@bastet>
 <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
 <111284438.nniJfEyVGO@bastet>
Date: Wed, 23 Nov 2022 19:44:42 +0100
In-Reply-To: <111284438.nniJfEyVGO@bastet> (Philip McGrath's message of "Sat, 
 19 Nov 2022 18:52:39 -0500")
Message-ID: <87fse9fr39.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 59322 <at> debbugs.gnu.org,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Philip & all,

Philip McGrath <philip@HIDDEN> skribis:

> On Saturday, November 19, 2022 2:54:55 AM EST Liliana Marie Prikler wrote:
>> Am Freitag, dem 18.11.2022 um 14:33 -0500 schrieb Philip McGrath:
>> > I could certainly imagine having a Chez team that doesn't necessarily
>> > care about Racket. Likewise, in both languages, I imagine there could
>> > be people  interested in packages that use the language but who
>> > wouldn't necessarily be interested in the packaging of the compilers
>> > and run-time systems themselves.
>> > But, since no one else has signed on and I've made the majority of
>> > changes to both files in the last two years, designing a more fine-
>> > grained team structure seemed premature.
>>=20
>> I can see where you're coming from, but my personal opinion is that
>> merging these "two" teams now might discourage us from splitting them
>> later.  In my humble opinion, adding a chez team with you as sole
>> member wouldn't hurt for the time being.
>>=20
>
> Is there a requirement that teams' scopes be disjoint? In other words, is=
=20
> there any reason "gnu/packages/chez.scm" shouldn't be in scope for both t=
he=20
> racket team and a potential chez team?

No.  To me, the goal of teams is to have groups of people one can talk
to when touching a particular part of the code base.  In that sense,
your patch is a welcome improvement over the status quo; in fact, it
just formalizes what has been a de-facto situation: you=E2=80=99re our Rack=
et
and Chez expert.  And even a Racket ambassador.  :-)

So I think we can go ahead with this patch and remain open to getting
more folks on board whenever an opportunity arises.

Thoughts?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 21 Nov 2022 19:12:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 14:12:31 2022
Received: from localhost ([127.0.0.1]:48862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxCDX-0001L1-FC
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 14:12:31 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:33479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1oxCDV-0001Ke-FL
 for 59322 <at> debbugs.gnu.org; Mon, 21 Nov 2022 14:12:29 -0500
Received: by mail-wr1-f52.google.com with SMTP id i12so17436589wrb.0
 for <59322 <at> debbugs.gnu.org>; Mon, 21 Nov 2022 11:12:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:to:from
 :from:to:cc:subject:date:message-id:reply-to;
 bh=N3VTOC5d7GqSRxocWW/i5CvChFgKE1nl4HueywIsd3w=;
 b=OijnVXz49lKvWU4LRnBq3n0EVWW5GPZo+nqOxp68MNisGCWTwG684YazokU8cy4HcD
 C/PFZM0HdMS0Szh2AldQ4WfkxaikjW+ZnwUCvNHON8PQ/Cmi/jwlWtSaK6vrIrQmMKsf
 bkjvPpTiNXlJ4H8rH0Vc18h8JNapUZ/WnpksTxKq5AQKdWJWwJgRKN1xU6DaIe08iDXi
 Bm1O04nHdQW7s+//0i5UEnjvYmbM5n1NPS61EDRI0EAb60RUWKYfvf/Yq92dtkijpg9r
 zrWRxSRK1884IGan7ZJfk7JWyxXVX6/RoGlovknyfI2x8AyEuvK+sRbUhffaLHeTZ/yp
 P6KQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=N3VTOC5d7GqSRxocWW/i5CvChFgKE1nl4HueywIsd3w=;
 b=RdSb3aC65PTeEw9SiRJV8b1uiOwSC+WU09RVDjrVlxFWiya/ciB+/o6lGzX5tIDzgc
 sGz95z3VeguK2kHzLw4kLzq/bOVWJEMOqHxgdQFwm435MRvs32cbU7nUaXlQMkhl3TYf
 6JyWQmEgFaY7MwDMWHGJdl5nMpoVNuB31stBzCj8fYGjUl49ZynaWcfeUiIMd57yLIRr
 mDdCAFYd/2GKJURmPpK+u7jbD0o/xsWRawBAkuY3/zdaeajuTeFH/xOGkEqTvrMCI8U3
 rzoVd2jCgXOk1f7aPzKM3SwczDojwkm0ZgFonwxfhWbAzo/w0Gxhx+ZGb8zQGsOb9M1n
 dVmA==
X-Gm-Message-State: ANoB5plBLgtGLnO6hlnJmulXQ0eWgdOv7S2SpBezE9RuwdGEMkjxRNSE
 6NloxU7Ig0vuD21B/IEXS/hWDgNUWVo=
X-Google-Smtp-Source: AA0mqf7tkPMMA8PxTWwgtuYX5tWVFiKl7mxdhudujismZ9l2ago7beuGECGFeeejvlagdS95A8mDxA==
X-Received: by 2002:a5d:4601:0:b0:241:bf7b:b2e5 with SMTP id
 t1-20020a5d4601000000b00241bf7bb2e5mr8816097wrq.626.1669057943913; 
 Mon, 21 Nov 2022 11:12:23 -0800 (PST)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 a6-20020adffb86000000b0022cdeba3f83sm11974443wrr.84.2022.11.21.11.12.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Nov 2022 11:12:23 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, Philip McGrath
 <philip@HIDDEN>, 59322 <at> debbugs.gnu.org
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
In-Reply-To: <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
 <867czsk6rw.fsf@HIDDEN> <2144765.irdbgypaU6@bastet>
 <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
Date: Mon, 21 Nov 2022 17:50:01 +0100
Message-ID: <874jusw8ue.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 19 Nov 2022 at 08:54, Liliana Marie Prikler <liliana.prikler@HIDDEN> wrote:

> I can see where you're coming from, but my personal opinion is that
> merging these "two" teams now might discourage us from splitting them
> later.  In my humble opinion, adding a chez team with you as sole
> member wouldn't hurt for the time being.

Philip, could you send a patch for creating these two teams?

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 20 Nov 2022 01:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 20:49:57 2022
Received: from localhost ([127.0.0.1]:41888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owZT3-0001HB-89
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 20:49:57 -0500
Received: from mail-ej1-f65.google.com ([209.85.218.65]:39545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1owZT0-0001Gx-QL
 for 59322 <at> debbugs.gnu.org; Sat, 19 Nov 2022 20:49:55 -0500
Received: by mail-ej1-f65.google.com with SMTP id i10so21457531ejg.6
 for <59322 <at> debbugs.gnu.org>; Sat, 19 Nov 2022 17:49:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=sSk8koo5WguljBJogO7LHCCdiI/1uagv5zfg5JleZwA=;
 b=SAEMZlagIqV+th8DV35lxsIQhW2SyYLSMwrtL0fHuc5AjjjzJVik0i07ihHzuSF6pl
 jKzGN4YpMMIqS6l5k9uQtgj8DRucERECacYMLP3s416OpZw77KyHyxhlsXtXg3fkJr6M
 9hRLdHxsErPDsGVl1VQeMPyI/9pBXlh8x+jp5ZlX3G6MqnJzBuaEHPv/WBsqQaowgPuL
 qqa5fHoIr8n4N6fVuO/AAuqdSqUmXLecQFmZx+srMH6zfSUcgOHAHYzM+Wvf+f/+dpmK
 Sl/a7plWwwPrp7aEQ5VYcn/6ybiz7oRfPy+mGrHYSyHZwfljN1ULm6l+i7iNuFltCFYn
 kosA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=sSk8koo5WguljBJogO7LHCCdiI/1uagv5zfg5JleZwA=;
 b=sDFSyWyTq0V1JMd/usaJVDEjmIqFARQrlhx4uhCv2wW+tLWk2ch276ompk+WEftCin
 Pb7wHDltbXR78rvSza3AoMCfwtnUiM80irdt7TqQtJsqoMpKkFnip9BuLe6ani3u9Kbf
 7nNn2F//QCwj2R42iqo8av3LukrUefleHpLGQj8r0Yt4NiXWqWQuitbe+j2z7BXpjrrN
 YeJ5m1gFEhu6D8y4b0wPzlWvbuMzqPwNaN2sjvxE7w8ce97a8Dlx2Z9BTaSrzeSC71cc
 d3dg3ZN7iUNJkjXvPgz+4fJdw4NOSr3B386gGFKH94H7YqWf+GpULo/ko92UjfBEmru8
 iMhA==
X-Gm-Message-State: ANoB5pn34V+q2JqhoFELa3/d97poXKTmoY9LmPoUEdfR3310QH0Kno+R
 720DBvnDTUFr7MBz2G+9ux4=
X-Google-Smtp-Source: AA0mqf7nEz1zLinazDnkffJjroBE+aKOYdRFCM10vBXnxhVUKl3s+8Jhg4Z9/scoiYhUhZH/teRV8A==
X-Received: by 2002:a17:906:6ce:b0:78e:11ea:852e with SMTP id
 v14-20020a17090606ce00b0078e11ea852emr11537191ejb.183.1668908988735; 
 Sat, 19 Nov 2022 17:49:48 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u8-20020aa7d548000000b00459cd13fd34sm3514699edr.85.2022.11.19.17.49.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Nov 2022 17:49:48 -0800 (PST)
Message-ID: <fd84f7be8e16495c06405b5af7700da41c0e6496.camel@HIDDEN>
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Philip McGrath <philip@HIDDEN>, 59322 <at> debbugs.gnu.org, zimoun
 <zimon.toutoune@HIDDEN>
Date: Sun, 20 Nov 2022 02:49:43 +0100
In-Reply-To: <111284438.nniJfEyVGO@bastet>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <2144765.irdbgypaU6@bastet>
 <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
 <111284438.nniJfEyVGO@bastet>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Samstag, dem 19.11.2022 um 18:52 -0500 schrieb Philip McGrath:
> [...]
> Is there a requirement that teams' scopes be disjoint? In other
> words, is there any reason "gnu/packages/chez.scm" shouldn't be in
> scope for both the racket team and a potential chez team?
Not necessarily, but I think exceptions should be well argued.  For
instance, it would make sense for a change in Emacs' build system to
reach both Emacs and core maintainers.  In practice however, core does
not have any build system in their scope, which strengthens my argument
for disjoint groups.

> Another factor that might be relevant: Matthew Flatt tells me he is
> actively working with the Chez Scheme maintainers to merge the two
> branches.  I'm not involved in these discussions myself: my
> understanding is that details are still being worked out, and I don't
> know what the time frame will be, but from what I'm told it's gone
> from "not in the foreseeable future" to "will happen".
>=20
> (There's no plan to synchronize the release cycles, and Racket will
> continue to rely on unstable Chez system functions and to have the
> Chez version form part of its ABI, so we will likely continue to have
> a chez-scheme-for-racket package, but it should be a much simpler
> transformation to use a particular pre-release version.)
Depending on how well that goes, that'd be one headache less.  I'll be
cautiously optimistic and hope that Racket won't do another Zuo and
publish a subtree without release tags.

> After the merge, we should be able to bootstrap upstream Chez Scheme
> via Racket as we currently do with chez-scheme-for-racket, at which
> changes to Racket will also potentially impact Chez Scheme.
>=20
> Personally, if there were more people involved, I'd organize it as
> teams for chez-and-racket-bootstrap, chez, and racket, as I'd
> initially tried to do in https://issues.guix.gnu.org/53878, but that
> especially seems like too much if they all consist of the same one
> person. If you still want a chez team, though, I guess I'm ok with
> that.
Three teams for two packages is definitely overkill.  I'd make it
either one or two, with the caveat that both of them being the same
should rest on a sound argument rather than a vague one.  If chez and
racket were interchangeable like different Common Lisp interpretations,
that'd be such an argument, or if there was a shared community not just
by virtue of bootstrapping.

> I just hope this need not delay the update to 8.7 any further.
Well, since CI already built everything and 1-3 LGTM, I went ahead and
pushed it, so you don't need to worry.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 19 Nov 2022 23:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 18:53:00 2022
Received: from localhost ([127.0.0.1]:41725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owXdr-0006pv-HA
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 18:53:00 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:48385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1owXdm-0006pe-6B
 for 59322 <at> debbugs.gnu.org; Sat, 19 Nov 2022 18:52:58 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 40A175C0099;
 Sat, 19 Nov 2022 18:52:48 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sat, 19 Nov 2022 18:52:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1668901968; x=
 1668988368; bh=6eDu5A1AVSFScK4xyDuuFQx87z1zm72dlgt8uJfvTOA=; b=W
 tsQ/RaNUWZ3KYSl2yShULboVlgNHYMiv4ppB7zhI/YhkWlQ0XLUuRyFGeXAGTnl/
 03PRQOz8EUoAt4YC1rQ163VX2DxaARejwqfBW09qpmpwIPAKtXsyooRr1Npq9upR
 K65vM9S9D+GwC1WGgt65XRsFKyUpvpGdw77pnb1JPiZXGTztQqLEPF1w/klHYSJE
 5lYQt9HWydcccJxRmwnPsA9a70UNE/FD3DfdTT/lUm97IZ1dvXDc0Ik/g0sS5qZV
 GxHwO0y4MsgAhDWt9Zfxiy1CIwa1zbrw7UXjjkf6POry1GqSUWOh5PwJ3xrQlQ8J
 d9Z+z0MRq9ExenjPLwGNA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1668901968; x=1668988368; bh=6eDu5A1AVSFScK4xyDuuFQx87z1z
 m72dlgt8uJfvTOA=; b=wihvwUkvWpLLgTjWBlJ8kbXOfefkYhBx952ppDbZxBZN
 V2gLVy0lzzjt+owR2abf6xSSEbE6RL2YBsTQYCNkghtFRTk3LiGC2EI7c4KJ8Se+
 d/0RCLYnSI4ITvGjVrgI4pCiUgiJJi0LnRXNvBqjjcOdTpLInAw6bPR6UX5l6L66
 ccGUi3yATWsb7hQr5ad7Y/r+hlHxetb+WOiVB4DV/k9oPAZba4k5mo33GXPFE946
 Vq/bqUEKnhOmhVjENoF6CxiYgGJ4rE9hf9FuuV/x/U8cNrek5sxUAHAo2+WzyhJo
 blvTN0TDJC324WMAdbkT2+zpiJSxb47mxvLGFHNVcQ==
X-ME-Sender: <xms:UGx5Y2IKvyP_HwQ25pGAa2pBBbW_rinU0f5kvWaTuh2mXX63uSeUyg>
 <xme:UGx5Y-KT-bFPUCi5yArCHV7Y8DktCCd9tiSaDBTh3gqOXptthpK0-NgNGpuLDCZCs
 fGTerluA04HV5vB88U>
X-ME-Received: <xmr:UGx5Y2tb2UlP3EcXAQdG8mnvmUsXe3LvzRKLrafMuS2z94CmI03leL-4mCjAO9tq58gKkdNRumWMzKHAJlRimTn2Ctj8KFL7KjcVsA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrheefgddufecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffufffkjghfgggtsehgtderredttddvnecuhfhrohhmpefrhhhilhhiphcu
 ofgtifhrrghthhcuoehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomheqne
 cuggftrfgrthhtvghrnhepieeluefffffhveegtdektdfhffegtddvheehueeghfffuddv
 veeigefhjeefffeinecuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuih
 iivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepphhhihhlihhpsehphhhilhhiphhm
 tghgrhgrthhhrdgtohhm
X-ME-Proxy: <xmx:UGx5Y7Z6NQ-L5YnBe6pZd2-pFF7mi9jL8An37xYgbWyhEwulWWdTFA>
 <xmx:UGx5Y9aHELaYjZFSfzaQzFBcAWl-KT5tAyLj6Ou543S3yjSDnpktZA>
 <xmx:UGx5Y3C2Qq1RZEW1oNgp9NaAGrWwi2DoO_QxBOJAVOY9L9WWPE0Q0Q>
 <xmx:UGx5YwzOV_5hRXTg0KY_ivGUkdyjepvt5R9EfEW3tGiQXdXSAV457A>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 19 Nov 2022 18:52:47 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org, zimoun <zimon.toutoune@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
Date: Sat, 19 Nov 2022 18:52:39 -0500
Message-ID: <111284438.nniJfEyVGO@bastet>
In-Reply-To: <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <2144765.irdbgypaU6@bastet>
 <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart2415285.jE0xQCEvom";
 micalg="pgp-sha512"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--nextPart2415285.jE0xQCEvom
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"; protected-headers="v1"
From: Philip McGrath <philip@HIDDEN>
Date: Sat, 19 Nov 2022 18:52:39 -0500
Message-ID: <111284438.nniJfEyVGO@bastet>
MIME-Version: 1.0

On Saturday, November 19, 2022 2:54:55 AM EST Liliana Marie Prikler wrote:
> Am Freitag, dem 18.11.2022 um 14:33 -0500 schrieb Philip McGrath:
> > I could certainly imagine having a Chez team that doesn't necessarily
> > care about Racket. Likewise, in both languages, I imagine there could
> > be people  interested in packages that use the language but who
> > wouldn't necessarily be interested in the packaging of the compilers
> > and run-time systems themselves.
> > But, since no one else has signed on and I've made the majority of
> > changes to both files in the last two years, designing a more fine-
> > grained team structure seemed premature.
> 
> I can see where you're coming from, but my personal opinion is that
> merging these "two" teams now might discourage us from splitting them
> later.  In my humble opinion, adding a chez team with you as sole
> member wouldn't hurt for the time being.
> 

Is there a requirement that teams' scopes be disjoint? In other words, is 
there any reason "gnu/packages/chez.scm" shouldn't be in scope for both the 
racket team and a potential chez team?

Another factor that might be relevant: Matthew Flatt tells me he is actively 
working with the Chez Scheme maintainers to merge the two branches. I'm not 
involved in these discussions myself: my understanding is that details are 
still being worked out, and I don't know what the time frame will be, but from 
what I'm told it's gone from "not in the foreseeable future" to "will happen".

(There's no plan to synchronize the release cycles, and Racket will continue 
to rely on unstable Chez system functions and to have the Chez version form 
part of its ABI, so we will likely continue to have a chez-scheme-for-racket 
package, but it should be a much simpler transformation to use a particular 
pre-release version.)

After the merge, we should be able to bootstrap upstream Chez Scheme via 
Racket as we currently do with chez-scheme-for-racket, at which changes to 
Racket will also potentially impact Chez Scheme.

Personally, if there were more people involved, I'd organize it as teams for 
chez-and-racket-bootstrap, chez, and racket, as I'd initially tried to do in 
https://issues.guix.gnu.org/53878, but that especially seems like too much if 
they all consist of the same one person. If you still want a chez team, 
though, I guess I'm ok with that.

I just hope this need not delay the update to 8.7 any further.

-Philip
--nextPart2415285.jE0xQCEvom
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part.
Content-Transfer-Encoding: 7Bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEE9GWrrNY3rqwUFVXPygNjjfo/HHoFAmN5bEcACgkQygNjjfo/
HHrdGhAAuIJqd9pcXW2C88XNaYBs6kxdl/ZJgCTHzaUlCkEXI1Wt55Ixyr9mjtYP
dZvshFxApNjj7HkNvVSSIrj0sToQN/1/aXqhb5u6DPHIg4PtXVzUF9f2UliAFNT+
wLgwmkW3bPjM6YPegAjvku/Rhi+n5zBjzypPJpulQIxuTdddLYdNpVIRh8cyEocK
6yAsLU6pPY9o+opiay+S5DPtl5TCF9MHD1zKxF8SIOvo5YWRcJOGvB/fAmo9Z3O5
45IjfuzMy83CtPY3qlV7VnKoYFoDqrp0BveearOQhc7jZTUV6qOiilVpse1xVE0u
UPn06B3QQ2WBczwwPAg7Xj1v36M172PTkjEvCXzJgDKrk0qXWep3Aq8XKjwFUIlW
iq5Y8tQ6i362q4YdipdQP9w8BkeaNklrunnCpA7s2FSzUYRjftMYtpQi209kmsqG
YrbkURCNM4sBXGUMuY7W8p2QQYTnLR7ox40xVppW/e92sTgeclZWdOOF3SmcymIs
rXes+JFyFERTmCIsq7RR8EswAHcNSw4//DpQ5xM149IP4ye4Fyp7llia9tT63DAn
osM4JiDndEwloy0SXi8CZn6WGxmcynDl/1s2rTbGXXhRh3pSyCrchFZTrqFFEfc6
Zt5hXS5cvcy7xk3DMmCoeQIhqvYZHjANp2OxvnOYeVmy6GtLskY=
=EStr
-----END PGP SIGNATURE-----

--nextPart2415285.jE0xQCEvom--







Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 19 Nov 2022 07:55:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 02:55:08 2022
Received: from localhost ([127.0.0.1]:38914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owIgu-0007L0-EO
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:55:08 -0500
Received: from mail-ed1-f68.google.com ([209.85.208.68]:37700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1owIgq-0007KP-E3
 for 59322 <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:55:07 -0500
Received: by mail-ed1-f68.google.com with SMTP id l11so10036771edb.4
 for <59322 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 23:55:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=xa3emWBRqwHdvKbYZvwcNHFgkZratP+3WqNlTpGDmIU=;
 b=UvoJg3qly8FNB5Gdq07/eBWJOgtGNZGVTP2B4bV6GAG0nNl6wGylmTWBp7ET+7qQ1e
 YPZbKbvoIMQKhiILzyq8Nyoyca3NR/3PDXlIC4eIbckWma3Yhhveck/6eBGA53+wIGpH
 zQ6zGUfyuPryIiezAcgrfZi6WEl4D0NaT22tBRFdoIUXyYxjp7/4Xo+QO838hC7oUinP
 C0piL7ZZkSuPi6HMkqwpLals8AohBudg6fFivxks03b605ZmYQQeApAPP4rRBz4948pZ
 c0Bo4vm2JOYdd5r9lTHn7QVYVuRt2Y95dnTGBSjQ0zF8NzbSYdgYukuRS8+C6KNq6bKq
 TZpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=xa3emWBRqwHdvKbYZvwcNHFgkZratP+3WqNlTpGDmIU=;
 b=Zp0JlkWg7Pvzd1p6xwbeyJuMggeZKjFH8dMbBjoFCBDeydwJg8i6jezP/9OEJnjoqt
 E6lhkwlPttOE02SyZXfrxL4/aOD63t79Ob5lqMhABMJUshJEfNIX5whSFCWT7ygyylHE
 GAJP/WRreo2Uu7JVG61vyi+2xsjXcgV/8gQLX3+l08btMQlCOCdEnyRm7o5v4E34Fw3L
 QgMfzM9eCezQbB2gvPAya8Zvz7qORrF2XLQwfst3SSGqhIVnh6adYDvzk+81JGfnm9VA
 ZeRVWiC2MfUp2jp/xcd0xxjZhVFo1rQgX9DOCvva+fDZcRubDMkZ/A9YWQuYdwSKUK9n
 HtWQ==
X-Gm-Message-State: ANoB5pk9Gr8CGe5uM5+oJCtV4OkmAqLLSsdynNFRJuSYSAOgJXVHRkSC
 OP39meQMTFZnRgMi8FB9f9k=
X-Google-Smtp-Source: AA0mqf6JWMwxRhgIAqYdTI7AdIExDvVF5ZrMmnGeXAYOuX0x2EK7BHweAT6sw+fwFLIyrMrtD5rQtQ==
X-Received: by 2002:a05:6402:2070:b0:467:5e4f:591 with SMTP id
 bd16-20020a056402207000b004675e4f0591mr8850771edb.414.1668844498172; 
 Fri, 18 Nov 2022 23:54:58 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 qm13-20020a170907674d00b0077e6be40e4asm2617319ejc.175.2022.11.18.23.54.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Nov 2022 23:54:57 -0800 (PST)
Message-ID: <106658bfff0dbda421cda6c45d76a4d3237d47e1.camel@HIDDEN>
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Philip McGrath <philip@HIDDEN>, 59322 <at> debbugs.gnu.org, zimoun
 <zimon.toutoune@HIDDEN>
Date: Sat, 19 Nov 2022 08:54:55 +0100
In-Reply-To: <2144765.irdbgypaU6@bastet>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
 <867czsk6rw.fsf@HIDDEN> <2144765.irdbgypaU6@bastet>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Freitag, dem 18.11.2022 um 14:33 -0500 schrieb Philip McGrath:
> I could certainly imagine having a Chez team that doesn't necessarily
> care about Racket. Likewise, in both languages, I imagine there could
> be people  interested in packages that use the language but who
> wouldn't necessarily be interested in the packaging of the compilers
> and run-time systems themselves.=20
> But, since no one else has signed on and I've made the majority of
> changes to both files in the last two years, designing a more fine-
> grained team structure seemed premature.
I can see where you're coming from, but my personal opinion is that
merging these "two" teams now might discourage us from splitting them
later.  In my humble opinion, adding a chez team with you as sole
member wouldn't hurt for the time being.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 19:33:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 14:33:53 2022
Received: from localhost ([127.0.0.1]:38296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow77Z-0005LV-EG
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:33:53 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:33461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ow77X-0005LH-CF
 for 59322 <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:33:52 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 760A63200AE0;
 Fri, 18 Nov 2022 14:33:45 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Fri, 18 Nov 2022 14:33:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1668800025; x=
 1668886425; bh=bNpRafXfBS/+61YbtV9p0NqgTOFZuASVl/kVOBdECYM=; b=a
 qVKTYqnzC6Ob0f8pckjh5mAZyEcTpT0a6dxFdD4UV4yF+tQb5xyVafo9WB7ozRpf
 0XJDsEvMX15GbOrbbRdknomQA7aXvHgzK1JGAP4G8dTUVcFMC7onMG9AHqBW1nFT
 Lr4WXWjvjFU0/lGY42+MT71rqI+olpDziBXw+iYoli5QZ1uvbFqnv2DT5LToLw78
 /sb3+9eWbwLzCNcymsPBB6byndLjuJHwU33OxCrvycN/MrqS31K2WtM1pPifDaYh
 3A5mPiDBfSCsLgJ7Toh51hhEt6lAXV51+onetaP5Re4+LJNo1Yr93EvDFngecxtB
 4xZekbmvhz6gzPwQ6QBPw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1668800025; x=1668886425; bh=bNpRafXfBS/+61YbtV9p0NqgTOFZ
 uASVl/kVOBdECYM=; b=tM1xd4Es8/AVi8hUbRiYThtFcSRyMp/yZTzeNCj0U4D7
 Y6qx+DV6tHdTk4F1r5FxLQ7yDDgfYOuaBVzgtxnsaV8bXRGyMgTadLwZpDYMBxCn
 T5sUwxZNehlX7FEvpV7vXQkXEhUPrR+mik9VbcApvRlP2fR1FU5i+gmWvANfM+o0
 i1siwRB/Kfrpnda8UpY18Yo5iMejDOFeZiUBXETTnoIC7sJk2km7K/hN+WKu5N5N
 3sVDReRwCitFgmOma+A+Ljmwp9yMBYAlO9YkVZsMEe37i8FtaAxqxEOSbGjxB8fL
 SvAuMWbhUmm4UtrxhbL1o6M+AkrHa28EcxEmWD/fYQ==
X-ME-Sender: <xms:GN53Y-f80hzR0Ax3albiNa1L3eHReEqbc4zE2FAuBO0qfUk94BtXIg>
 <xme:GN53Y4NU95OCW4kTMQ44FSYarZtraeNeRJoTJ4rur2yqnBDZUxpeZDuc152fmedAY
 xglmu8C8KnRYiRNVhc>
X-ME-Received: <xmr:GN53Y_gFYbD5mCpG5aNp6RAi24xVfvASwQ6DkdsjMHcw67JtuGNldg5IZeBkzaGIpfMoYZd_tM9MTTCN9bftII3K3wxNO4Ugeuz8gw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrhedtgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvvefufffkjghfgggtsehgtderredttddvnecuhfhrohhmpefrhhhilhhi
 phcuofgtifhrrghthhcuoehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomh
 eqnecuggftrfgrthhtvghrnhepffekudeuueetjeejgffgvdfhgefftefgkeegtdetiedt
 kefhleeuleduheelfefhnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepphhhihhlihhpsehphhhilhhiphhmtghgrhgrthhhrdgtohhm
X-ME-Proxy: <xmx:GN53Y7_GLxoIfuutSVYWylA1aFY26TD86JPmrRmCydcRzltHdkcGPA>
 <xmx:GN53Y6v9PilO3XryZ9rswziiHsMmB-wzVEo1Lq2uQ-dmLFwDPeFiWw>
 <xmx:GN53YyFARMxns_wZO3NSL0SLtLyifezbyKxiEE5hB0gc8fB2asRxZA>
 <xmx:Gd53Y-hppdtVhYoM_kts4eSaGQexUTOhMyoS80-I4SOAqU-KFamXag>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 18 Nov 2022 14:33:44 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 59322 <at> debbugs.gnu.org, zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
Date: Fri, 18 Nov 2022 14:33:36 -0500
Message-ID: <2144765.irdbgypaU6@bastet>
In-Reply-To: <867czsk6rw.fsf@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
 <867czsk6rw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart13164465.uLZWGnKmhe";
 micalg="pgp-sha512"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--nextPart13164465.uLZWGnKmhe
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"; protected-headers="v1"
From: Philip McGrath <philip@HIDDEN>
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 18 Nov 2022 14:33:36 -0500
Message-ID: <2144765.irdbgypaU6@bastet>
In-Reply-To: <867czsk6rw.fsf@HIDDEN>
MIME-Version: 1.0

Hi,

On Friday, November 18, 2022 3:26:27 AM EST zimoun wrote:
> Hi,
> 
> On Fri, 18 Nov 2022 at 08:01, Liliana Marie Prikler 
<liliana.prikler@HIDDEN> wrote:
> >> -        #:scope (list "gnu/packages/racket.scm")))
> >> +        #:scope (list "gnu/packages/chez.scm"
> >> +                      "gnu/packages/racket.scm")))
> > 
> > I'm not sure whether this accurately captures the intent of teams.
> > Yes, chez-scheme is required in Racket's bootstrap, but the only
> > "legal" changes to Racket's variant also affect racket.scm.  On the
> > other hand, the Racket team would weigh in on changes that only affect
> > the Chez side, which imho is unwarranted.
> 
> Why not?  Considering the only person part of the Racket team is Philip,
> the false-positive seems acceptable, no?
> 

I don't have a strong view: feel free to just drop this patch for now if you 
feel it needs more discussion but the others are ready to merge.

Since the chez-scheme-for-racket package inherits from the chez-scheme 
package, any change to the chez-scheme package will affect racket, racket-
minimal, and racket-vm-cs.

I could certainly imagine having a Chez team that doesn't necessarily care 
about Racket. Likewise, in both languages, I imagine there could be people 
interested in packages that use the language but who wouldn't necessarily be 
interested in the packaging of the compilers and run-time systems themselves. 
But, since no one else has signed on and I've made the majority of changes to 
both files in the last two years, designing a more fine-grained team structure 
seemed premature.

I guess I've also thought of teams as less "would way in on" changes and more 
as "would like to be CC'ed about" them. I'd rather get a little more email 
than miss relevant changes (even though I can't keep up with the whole patches 
mailing list).

-Philip
--nextPart13164465.uLZWGnKmhe
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part.
Content-Transfer-Encoding: 7Bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEE9GWrrNY3rqwUFVXPygNjjfo/HHoFAmN33hAACgkQygNjjfo/
HHocgg//ZWahZ65P0umQEz6wFn1o7psnOvTNX22CwzACwGccG5pE7NuXgtWQG39q
N4ixA1ZBooRxlAPG6e6qdYCeqUncMw/1LMilEpRLvL7y+H842WAKSc4F5QTskV0n
Nr+g6G2ROrBLwZ6255HU/7HYPvxV+TeTJi5rqw29hDlAnyA6/LTjtzBdyq0bA+jl
3zi43hpZKgrxR9nhplg+9j8FOLQ6r5dnXSkBF3hg+bm+2eMnr92h1/wWvvqPkS5N
lNz+b4jygHePi/aHsMojLYKfxJOKpb1W4J0v3fJQG7NdpWpWXuSmCURmVJVa8+Q5
WvXXhkVE5kpcVV0czAN+owJOKacF/pqx+ekXwBGBnDqAtAL6Sya9BR6lImBk5PYM
tjOYzyxIwySUIAEFvtb2+NuT5/jNhL4EKJ42qF5pauhx5oR/AZ+tcU5PGr+pXKJV
A2pFKuiqogXApRIDg3W03MeaUGsZlHyU2+s/goS6/aOCJAMrlJ28+n8Z9bBzgeb/
z/p59AglMs7XGKBgmTa/ks/sEdNrBOq6lHjhV29CIAoQJRzJkBT3F+Gs7719H2R4
eXqgbXAauMxbIEtJqSEQc53j7ZUF4fzmZrIYxGoV2DwdepMxFqnGQSyVVNHgUkgJ
H93A6t55LK6bQQZ6PtHbIdp5RwRUVdD+DvF7fnO4+DiiSn6F4so=
=1+zZ
-----END PGP SIGNATURE-----

--nextPart13164465.uLZWGnKmhe--







Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 19:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 14:23:39 2022
Received: from localhost ([127.0.0.1]:38286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow6xf-000531-9A
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:23:39 -0500
Received: from mail-ej1-f68.google.com ([209.85.218.68]:41506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ow6xZ-00052k-BM
 for 59322 <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:23:37 -0500
Received: by mail-ej1-f68.google.com with SMTP id t25so15362522ejb.8
 for <59322 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 11:23:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HcntF3DD9FM0EgMMT+4MjctgAvEJR7j9kQzQTLHYA1U=;
 b=dckOt50yMby0ksir4AZvJ536RrSxXjZQ90GdoH9oTV1Fhf6oXrjS2QcaehR3nTxoag
 PvRrRCfIxCsMLhqzDnuU/RKTsRcHcN4GMufQq++nekbI9oW6msdxBiw9KL+heDaQSRUP
 ccVDuBjhyqyaa20XkbP4IHAssurAbbkNPWPG/5XaEzS9mIO2wwaj9qtyLfrnjC7VXTI9
 +v9bFjs1/b8X53fhaATKTF0M6IXHDeq+4/bqYMl7pIv0HdhwniXL2YWDz9745nmeV0Pl
 XXEpRs+5gB9TL6s9myw8IPIyK5HivLK+NzAjuNRSOSZcfyj9epN9neZv3NMAf38hUZlP
 Mk1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=HcntF3DD9FM0EgMMT+4MjctgAvEJR7j9kQzQTLHYA1U=;
 b=tFvMC6PNF4uVoORJQ00e+ETQ1630NBylBDv66xdJM5Uslyd5yd965wi91Vs/DRm0EA
 JWwAQS54pL95k6ZvoUEkK7oXRk4k72/6nZy3fTN8eD1MOw2+XQ8+qrzzWx7CC/D3+OQ9
 1tFX9DsIYWcgxH0/awzotCxV3Xgznxb6XvKsabGyuQgvrqeKIIibbnm5FV8e0eJelUMe
 O4qzBRfq5vYUJeAKi+0ZRKMAt11mdZPCt7TsrG+5NJkkudnte1i2x8m/XPbQy9jH7tfL
 93mq82t5v7wXq+Vsyi75rrfG7BMoQsFu/urdH6e0x7AYRTFKNMsARfMBE9WAHubzcK/D
 tzMw==
X-Gm-Message-State: ANoB5pmbjGJi9bpHzXNNNuIBMcPcCxKmPwDFqmkgHDRnTGz33YGhXPbp
 j6vifQioUAzARFtwDjQwZZk=
X-Google-Smtp-Source: AA0mqf5lOLyGCY8LeBjptI1E+q84ujlCQvmI9fXQtrUizTruEs2twbYxnBSFVlttvWi/3aX3NW6FqA==
X-Received: by 2002:a17:907:8d03:b0:7ae:1d34:4da5 with SMTP id
 tc3-20020a1709078d0300b007ae1d344da5mr3502146ejc.340.1668799406366; 
 Fri, 18 Nov 2022 11:23:26 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 es15-20020a056402380f00b004616b006871sm2146729edb.82.2022.11.18.11.23.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Nov 2022 11:23:25 -0800 (PST)
Message-ID: <4800d2fda3378f087fc1674ee9389f9c62d943f2.camel@HIDDEN>
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Philip McGrath
 <philip@HIDDEN>,  59322 <at> debbugs.gnu.org
Date: Fri, 18 Nov 2022 20:23:23 +0100
In-Reply-To: <867czsk6rw.fsf@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
 <3a1f02544e018bd1164b8d867c8e672bc751128c.1668730588.git.philip@HIDDEN>
 <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
 <867czsk6rw.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Freitag, dem 18.11.2022 um 09:26 +0100 schrieb zimoun:
> Hi,
>=20
> On Fri, 18 Nov 2022 at 08:01, Liliana Marie Prikler
> <liliana.prikler@HIDDEN> wrote:
>=20
> > > -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packag=
es/racket.scm")))
> > > +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packag=
es/chez.scm"
> > > +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "gnu/packages/=
racket.scm")))
> >=20
> > I'm not sure whether this accurately captures the intent of teams.=20
> > Yes, chez-scheme is required in Racket's bootstrap, but the only
> > "legal" changes to Racket's variant also affect racket.scm.=C2=A0 On th=
e
> > other hand, the Racket team would weigh in on changes that only
> > affect the Chez side, which imho is unwarranted.
>=20
> Why not?=C2=A0 Considering the only person part of the Racket team is
> Philip, the false-positive seems acceptable, no?
Given that folks tune out the main mailing list=20

> BTW, Liliana, since you are often reviewing these patches, why not
> also add you as part of the Racket team?
To be frank, I only review them with respect to Guix coding guidelines.
I have no idea how Racket itself works =E2=80=93 if I did, I would already =
have
fixed some annoyances with its packaging =E2=80=93 and I fear that despite =
all
my efforts Philip might be the only one who truly understands what's
going on.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 14:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:03:11 2022
Received: from localhost ([127.0.0.1]:35873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1xW-0000Pw-QZ
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:03:11 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:43677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ow1xR-0000PC-Nz
 for 59322 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:03:06 -0500
Received: by mail-wm1-f43.google.com with SMTP id
 a11-20020a05600c2d4b00b003cf6f5fd9f1so4115041wmg.2
 for <59322 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 06:03:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=PR2X59A+qJdfwZIcjlekMMwZfSytUdwxEuJ+Gn+tad4=;
 b=UOj7nuBoZQoZk3Gf6H+7J7V85snYTYm5Sc61Ew8DqLNpfwuQL1jWx5eEhi1Jw3fVB9
 M7nDZRgr9jGjxo1hjEKPbHUYSVqQ5j77fc9y0wawuzhUgbwJAls8872nH5m7Wb2MNn6X
 pR2oi3/IVKpNGYkIx4e8/lfun84OClGqgcHklNBnFodEZg1+MpdlhpspU4+yUak1WG3u
 T40yDKD4Xe7LyZMF7LIv+ab3+CZBIeHDC8ipcp287NgP3/OUyjU9TPJHBSxEzM69g9+5
 KTD1P8AJdAW4n7OewT7f88coVvTCyImBFokmGgqZl8kjJG6n7ou13VsnzjlSXNBbDRlV
 rqlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PR2X59A+qJdfwZIcjlekMMwZfSytUdwxEuJ+Gn+tad4=;
 b=4q/MSOcqeIbjOTJHgmySravQqrOAANLv+wHV0YDvqUwQNlv7wVQyDz0uglFYg47Sd4
 qwgOYWI0PReJAbBI+K3UorzZ8KJnm3pIs89PO7rKOv7mYKjDaGhhyrAQMFyDbgsXGM3U
 6CEpdYKEn+gIcnE7O18E+dK7dqno0mIn8aITLdB6rIHHAbU4lPz8tWnP6DR5ovGcWCUO
 bY3gFTeYc7Hdh3Kvv1ddmY2HJW6a/pdcv1GGmUUIUxK2RpVZV4hRXxLAnhaPg0PKOD+r
 bfwEtR2Uj0z3oZBNNiDQDvlslOFz+pJoh5cKPOpIAwDGxmmQB6bIqiJk0HPqTJGShYWK
 2m5Q==
X-Gm-Message-State: ANoB5pn5QEz85udjwbUd1IO2L/CPOUQtVNWt1+hqw0x707jsxJo+Hc1W
 qVJCEAaN/jdIaNFOQedMVGo=
X-Google-Smtp-Source: AA0mqf7BvxwsK+G9vUdxUzxSwsGgEnCJawDE39GKb7qrje1XpVtGoXFkvj9T12CP5vjhRirYY+HDfA==
X-Received: by 2002:a05:600c:41ca:b0:3cf:9a6a:c72a with SMTP id
 t10-20020a05600c41ca00b003cf9a6ac72amr8704206wmh.168.1668780179946; 
 Fri, 18 Nov 2022 06:02:59 -0800 (PST)
Received: from lili (roam-nat-fw-prg-194-254-61-47.net.univ-paris-diderot.fr.
 [194.254.61.47]) by smtp.gmail.com with ESMTPSA id
 b14-20020a5d4d8e000000b0022cbf4cda62sm4374454wru.27.2022.11.18.06.02.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Nov 2022 06:02:59 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, Philip McGrath
 <philip@HIDDEN>, 59322 <at> debbugs.gnu.org
Subject: Re: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket
 team's scope.
In-Reply-To: <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
 <3a1f02544e018bd1164b8d867c8e672bc751128c.1668730588.git.philip@HIDDEN>
 <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
Date: Fri, 18 Nov 2022 09:26:27 +0100
Message-ID: <867czsk6rw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, On Fri, 18 Nov 2022 at 08:01, Liliana Marie Prikler wrote:
    >> -        #:scope (list "gnu/packages/racket.scm"))) >> +       
    #:scope (list "gnu/packages/chez.scm" >> +                     
    "gnu/packages/racket.scm"))) > > I [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (zimon.toutoune[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.43 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.43 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hi,

On Fri, 18 Nov 2022 at 08:01, Liliana Marie Prikler <liliana.prikler@HIDDEN=
graz.at> wrote:

>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packages/=
racket.scm")))
>> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packages/=
chez.scm"
>> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "gnu/packages/rac=
ket.scm")))
>
> I'm not sure whether this accurately captures the intent of teams.=20
> Yes, chez-scheme is required in Racket's bootstrap, but the only
> "legal" changes to Racket's variant also affect racket.scm.  On the
> other hand, the Racket team would weigh in on changes that only affect
> the Chez side, which imho is unwarranted.

Why not?  Considering the only person part of the Racket team is Philip,
the false-positive seems acceptable, no?

BTW, Liliana, since you are often reviewing these patches, why not also
add you as part of the Racket team?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 07:01:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 02:01:43 2022
Received: from localhost ([127.0.0.1]:35066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovvNf-000383-4I
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 02:01:43 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:32363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ovvNZ-00037q-Tm
 for 59322 <at> debbugs.gnu.org; Fri, 18 Nov 2022 02:01:42 -0500
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4ND74F5Bzxz3wqP;
 Fri, 18 Nov 2022 08:01:33 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1668754893;
 bh=j75/82SleLoA+6fgQvf7Y6ds35TQmtiRna/QDxwxxzo=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=EsrLiGU6iWdBU+AmQtMRx0mrXnBJ8bodJ+PwsO26ssMd6xft4tBB23j5wroyOJahf
 fsOXZuzMsmEtCcfgVPkiBAssKZGS/2xJuu9y6A+klyq7rrwsLzhIshstOTafZcLHAY
 CgY3MRbT35kPSa64OPEmWi5Yrg/otMds2bFY7PkE=
Message-ID: <febf2e1255ac7837829996b00f54105ee4b52fe4.camel@HIDDEN>
Subject: Re: [PATCH v2 4/4] etc: teams: Add chez.scm to Racket team's scope.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Philip McGrath <philip@HIDDEN>, 59322 <at> debbugs.gnu.org
Date: Fri, 18 Nov 2022 08:01:32 +0100
In-Reply-To: <3a1f02544e018bd1164b8d867c8e672bc751128c.1668730588.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
 <3a1f02544e018bd1164b8d867c8e672bc751128c.1668730588.git.philip@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, dem 17.11.2022 um 19:45 -0500 schrieb Philip McGrath:
> Racket's variant of Chez Scheme is defined in that file.
>=20
> * etc/teams.scm.in (racket)[#:scope]: Add gnu/packages/chez.scm.
> ---
> =C2=A0etc/teams.scm.in | 3 ++-
> =C2=A01 file changed, 2 insertions(+), 1 deletion(-)
>=20
> diff --git a/etc/teams.scm.in b/etc/teams.scm.in
> index c458b14e3b..f744204017 100644
> --- a/etc/teams.scm.in
> +++ b/etc/teams.scm.in
> @@ -393,7 +393,8 @@ (define-team racket
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "The Racket language and=
 Racket-based languages, Racket
> packages,
> =C2=A0Racket's variant of Chez Scheme, and development of a Racket build
> system and
> =C2=A0importer."
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packages/r=
acket.scm")))
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:scope (list "gnu/packages/c=
hez.scm"
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "gnu/packages/racket=
.scm")))
I'm not sure whether this accurately captures the intent of teams.=20
Yes, chez-scheme is required in Racket's bootstrap, but the only
"legal" changes to Racket's variant also affect racket.scm.  On the
other hand, the Racket team would weigh in on changes that only affect
the Chez side, which imho is unwarranted.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 00:47:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 19:47:17 2022
Received: from localhost ([127.0.0.1]:34713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovpXG-0001hD-3h
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:16 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:43601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovpX8-0001g3-SI
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:10 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id C729D5C014F;
 Thu, 17 Nov 2022 19:47:01 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Thu, 17 Nov 2022 19:47:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1668732421; x=1668818821; bh=QF4qmrl/XZ
 XJqSv6XLv70UOvkQlHfFT8gyuHwR8byiE=; b=WAisiIUENIUIKMdOhiX597nRVU
 PBtj3i1ymhZYfL+Dwd5/6xRRpj9CTeCfF8QOphjUpxsw7LLKvEOafdH/3AgF38OJ
 cQVAhBSOJ2bdFpdP4Td07a3lZssCX821Yos1ei+xlLg1BCvJKI3mtkI7ab2dJi6T
 ouBSo6GaUdj4+7Gv6WzsV9DjEm0v4jwjwAfa+Ftyb7ghzz5oEXMLH5/Nli026CfB
 folngwdemEIvA5ABbWpSgLQ3fpA3o/wsLN94Mi5+riy+nkRfngAOtEBlzJCCy9oj
 MVQgs5EjML5BcPkuHuUEaKsq9Cd6xfarGCOhM1dvSFYh2bBt8Bb9YRm7RUcA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1668732421; x=
 1668818821; bh=QF4qmrl/XZXJqSv6XLv70UOvkQlHfFT8gyuHwR8byiE=; b=R
 AazqOUuwPi2w+QnjEJkGXxN3iqZMM9yJ9lX0cTaSBo5FvivG5raMqzxpa1w9t+Md
 nrzmWqMZE9gZu088fIdwt1j6CCr9gwOMABnE747YI2vdiT16GK5Jg6906yOWfiuY
 6XejtuRKJUjjR/gsa4rpSk5nHYxBMysrVSMPtq6SMnRXFmdHWISZTJ/nkqDprTAD
 cbrZh1biYGv8sM011HDPdQG63vBM6gKX+Vlh/7QV08hA+51qoGB+stH2gQYkSq/z
 a74Xq8QI7QKee4+VJ7JnPt55OHG+NbRmIF3L6YmLgulvi4pK3oRxhpJsCl1ZkMf8
 2J5UHztJuHlC3HJ3N/hsw==
X-ME-Sender: <xms:BdZ2Y0vkm0abf0HnVWVIUAPBlS-cWtAaIEyc3TtcyQODuQZC1HcSFw>
 <xme:BdZ2Yxeylea7d_0iHmOzniN7H635GG9MiFNTXfd0iQqtEbk2z_7QbSVCzLw03Qek9
 TfZ2O9JTn4n8Rpku2o>
X-ME-Received: <xmr:BdZ2Y_zVUcITJ27xhCYlLkTAm0YitI_758KgBfar2SoQifbQuh_OU0Ok74KEoo_NQVCIVk6yT60eT4CtRi1o66_YBKmB>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeelgddvhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvfevufffkffojghfgggtgfesthekredtredtjeenucfhrhhomheprfhhihhl
 ihhpucfotgfirhgrthhhuceophhhihhlihhpsehphhhilhhiphhmtghgrhgrthhhrdgtoh
 hmqeenucggtffrrghtthgvrhhnpeffhfdvuddvteevtdelveeugfelvedvgfefteekffel
 jefgieekjeekffeuvdelueenucffohhmrghinhepghhithhhuhgsrdgtohhmpdhgnhhurd
 horhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhep
 phhhihhlihhpsehphhhilhhiphhmtghgrhgrthhhrdgtohhm
X-ME-Proxy: <xmx:BdZ2Y3PwS1RklbpWP50Vz5rhipSMdVUywmgctpRhNwVogAxmNRgCCA>
 <xmx:BdZ2Y093pL5kv8OwHdi8c-PD4Ok3VEOxVgZ_X8ivBKF0msxhCkUTPw>
 <xmx:BdZ2Y_Vi8u6LKORKaBLDSR-kY-IP3efleaZ8hwQ9mSX9hariOY_XCA>
 <xmx:BdZ2Y0zyxmJ5S9h_-0y0QrXLsZWsFjSfIyWEvS1k9ehwo3XyR6PmSA>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 17 Nov 2022 19:47:01 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH v2 1/4] gnu: racket: Update to 8.7.
Date: Thu, 17 Nov 2022 19:45:30 -0500
Message-Id: <858dfc129245ec1a58be04fd853ec68a37d99749.1668730588.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668730588.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Philip McGrath <philip@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Also, update 'chez-scheme-for-racket' to 9.5.9.8.

Note that racket-backport-8.6-cross-install.patch,
racket-backport-8.6-docindex-write.patch, and
racket-backport-8.6-hurd.patch were missing from dist_patch_DATA.

* gnu/packages/patches/racket-backport-8.6-cross-install.patch,
gnu/packages/patches/racket-backport-8.6-docindex-write.patch,
gnu/packages/patches/racket-backport-8.6-hurd.patch,
gnu/packages/patches/racket-backport-8.6-zuo.patch: Remove patches.
* gnu/packages/patches/racket-backport-8.7-pkg-strip.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Update accordingly.
* gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
(%racket-version): Update to 8.7.
(racket)[inputs]: Add 'scheme-doc' source package from '%racket-origin'.
(racket)[inputs]<compatibility, db, deinprogramm, draw, drracket>
<eopl, errortrace, gui, htdp, mzscheme, parser-tools, pict, plai, plot>
<r6rs, redex, scribble, slideshow, snip, typed-racket, srfi>
<string-constants>: Update checksums.
* gnu/packages/chez.scm (chez-scheme-for-racket): Update to 9.5.9.8.
[arguments]: Enable tests.
[description]: Update.
(chez-scheme-for-racket-bootstrap-bootfiles)[arguments]: Update path to
'rktboot'.
---
 gnu/local.mk                                  |   2 +-
 gnu/packages/chez.scm                         |  18 +-
 .../racket-backport-8.6-cross-install.patch   | 126 ----
 .../racket-backport-8.6-docindex-write.patch  |  36 --
 .../patches/racket-backport-8.6-hurd.patch    | 609 ------------------
 .../patches/racket-backport-8.6-zuo.patch     | 481 --------------
 .../racket-backport-8.7-pkg-strip.patch       |  90 +++
 gnu/packages/racket.scm                       |  54 +-
 8 files changed, 124 insertions(+), 1292 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-cross-install.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-docindex-write.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-hurd.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-zuo.patch
 create mode 100644 gnu/packages/patches/racket-backport-8.7-pkg-strip.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index b154caaaaa..05bb8afebd 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1795,7 +1795,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/ripperx-missing-file.patch		\
   %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
   %D%/packages/patches/rtags-separate-rct.patch			\
-  %D%/packages/patches/racket-backport-8.6-zuo.patch		\
+  %D%/packages/patches/racket-backport-8.7-pkg-strip.patch	\
   %D%/packages/patches/racket-chez-scheme-bin-sh.patch		\
   %D%/packages/patches/racket-rktio-bin-sh.patch		\
   %D%/packages/patches/racket-zuo-bin-sh.patch			\
diff --git a/gnu/packages/chez.scm b/gnu/packages/chez.scm
index 5d152b3db5..7025a71b94 100644
--- a/gnu/packages/chez.scm
+++ b/gnu/packages/chez.scm
@@ -466,8 +466,8 @@ (define-public chez-scheme-for-racket
   (package
     (inherit chez-scheme)
     (name "chez-scheme-for-racket")
-    (version "9.5.9.2")
-    ;; The version should match `(scheme-fork-version-number)`.
+    (version "9.5.9.8")
+    ;; The version should match `scheme-version`.
     ;; See racket/src/ChezScheme/s/cmacros.ss c. line 360.
     ;; It will always be different than the upstream version!
     ;; When updating, remember to also update %racket-version in racket.scm.
@@ -492,12 +492,6 @@ (define-public chez-scheme-for-racket
      (substitute-keyword-arguments (package-arguments chez-scheme)
        ((#:out-of-source? _ #f)
         #t)
-       ((#:tests? _ #t)
-        ;; FIXME: There have been some flaky test failures. Some have been
-        ;; fixed upstream post-release but have proven non-trivial to
-        ;; backport; at least one issue remains. Re-enable tests once
-        ;; https://github.com/racket/racket/issues/4359 is fixed.
-        #f)
        ((#:configure-flags cfg-flags #~'())
         #~`("--disable-x11"
             "--threads" ;; ok to potentially duplicate
@@ -590,7 +584,7 @@ (define-public chez-scheme-for-racket
 Main additions to Chez Scheme in the Racket variant:
 @itemize @bullet
 @item
-AArch64 code generation
+AArch64 and RV64G (RISC-V) code generation
 @item
 Portable bytecode (@code{pb}) mode, which is mainly useful for bootstrapping a
 build on any platform, but can also be used on platforms without native-code
@@ -603,7 +597,7 @@ (define-public chez-scheme-for-racket
 @item
 Type reconstruction during optimization (especially for safe code)
 @item
-Continuation attachments
+Continuation marks
 @item
 Parallel garbage collection, in-place garbage collection for old-generation
 objects (instead of always copying), and reachability-based memory
@@ -611,6 +605,8 @@ (define-public chez-scheme-for-racket
 @item
 Ordered finalization, immobile (but collectable) objects, weak/ephemeron
 generic hash tables, and reference bytevectors
+@item
+Easier bootstrapping via old versions of Chez Scheme
 @end itemize")
     (license asl2.0)))
 
@@ -695,7 +691,7 @@ (define-public chez-scheme-for-racket-bootstrap-bootfiles
                       #~(invoke
                          (search-input-file (or native-inputs inputs)
                                             "/opt/racket-vm/bin/racket")
-                         "rktboot/main.rkt"
+                         "../rktboot/main.rkt"
                          #$@(if (racket-cs-native-supported-system?)
                                 #~()
                                 (let ((m (nix-system->pbarch-machine-type)))
diff --git a/gnu/packages/patches/racket-backport-8.6-cross-install.patch b/gnu/packages/patches/racket-backport-8.6-cross-install.patch
deleted file mode 100644
index 2c4d8924ed..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-cross-install.patch
+++ /dev/null
@@ -1,126 +0,0 @@
-From fbe2094f56fb81c888076c781e90fb0abbc0cc07 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 30 Jul 2022 07:06:55 -0600
-Subject: [PATCH 1/2] CS makefiles: fix Unix-style install for cross
- compilation
-
-Closes #4377
-
-(cherry picked from commit 053be470e7c5454cdf48e934f3254d2d916bbbc5)
----
- racket/src/cs/c/build.zuo | 5 ++---
- 1 file changed, 2 insertions(+), 3 deletions(-)
-
-diff --git a/racket/src/cs/c/build.zuo b/racket/src/cs/c/build.zuo
-index 8d3950bb27..d8b74c509d 100644
---- a/racket/src/cs/c/build.zuo
-+++ b/racket/src/cs/c/build.zuo
-@@ -1016,10 +1016,9 @@
-   (define (setup)
-     (call-with-dest-racket
-      (lambda (bindir dest-racket)
--       (define copytree-racket (and cross? (config-bootstrap-racket)))
-+       (define copytree-racket (and cross? (hash-ref (config-bootstrap-racket) 'racket)))
-        (maybe-copytree config dest-racket copytree-racket at-dir)
--       (run-raco-setup config dest-racket
--                       (and cross? (hash-ref (config-bootstrap-racket) 'racket))
-+       (run-raco-setup config dest-racket copytree-racket
-                        ;; this can be redundant if it's also supplied via `SETUP_MACHINE_FLAGS`,
-                        ;; but redundant should be ok:
-                        (list "-MCR" (~a (at-dir "compiled") ":")
--- 
-2.32.0
-
-
-From 85802f4d515e310e657928707800ad709a676e2a Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Mon, 15 Aug 2022 10:37:01 +0800
-Subject: [PATCH 2/2] configure: adjust cross-build assumption for a pb build
-
-Don't assume a cross build for a pb target on a platform that's only
-supported via pb.
-
-(cherry picked from commit 70e484e885637c495be5481983dae2207fdd67bb)
-
-(Edited to remove unrelated tweak to comments in
-"racket/src/expander/expand/require+provide.rkt".)
----
- racket/src/cs/c/configure    | 15 +++++++++++----
- racket/src/cs/c/configure.ac | 15 +++++++++++----
- 2 files changed, 22 insertions(+), 8 deletions(-)
-
-diff --git a/racket/src/cs/c/configure b/racket/src/cs/c/configure
-index 454d79e11a..7e0fa5600d 100755
---- a/racket/src/cs/c/configure
-+++ b/racket/src/cs/c/configure
-@@ -4679,6 +4679,11 @@ case "$MACH_HOST_CPU" in
-     ;;
- esac
- 
-+if test "${MACH}" = "" ; then
-+  default_mach_was_empty=yes
-+else
-+  default_mach_was_empty=no
-+fi
- 
- if test "${enable_mach}" != "" ; then
-   MACH="${enable_mach}"
-@@ -4701,13 +4706,15 @@ elif test "$MACH" = "" -o "$MACH_OS" = "" ; then
-    exit 1
- fi
- 
--# For a pb build where Racket is supplied, force cross-build
--# mode on the assumption that the host is not a pb build
--# (because it should be created with default configure options)
-+# For a pb build where Racket is supplied and MACH was not originally
-+# empty, force cross-build mode on the assumption that the host is not
-+# a pb build (because it should be created with default configure options)
- if test "${enable_pb}" = "yes" ; then
-   if test "${enable_racket}" != "" ; then
-     if test "${enable_target}" = "" ; then
--      enable_target="${MACH}"
-+      if test "${default_mach_was_empty}" = "no" ; then
-+        enable_target="${MACH}"
-+      fi
-     fi
-   fi
- fi
-diff --git a/racket/src/cs/c/configure.ac b/racket/src/cs/c/configure.ac
-index 5bce979c92..734c1e8feb 100644
---- a/racket/src/cs/c/configure.ac
-+++ b/racket/src/cs/c/configure.ac
-@@ -415,6 +415,11 @@ case "$MACH_HOST_CPU" in
-     ;;
- esac
- 
-+if test "${MACH}" = "" ; then
-+  default_mach_was_empty=yes
-+else
-+  default_mach_was_empty=no
-+fi
- 
- if test "${enable_mach}" != "" ; then
-   MACH="${enable_mach}"
-@@ -437,13 +442,15 @@ elif test "$MACH" = "" -o "$MACH_OS" = "" ; then
-    exit 1
- fi
- 
--# For a pb build where Racket is supplied, force cross-build
--# mode on the assumption that the host is not a pb build
--# (because it should be created with default configure options)
-+# For a pb build where Racket is supplied and MACH was not originally
-+# empty, force cross-build mode on the assumption that the host is not
-+# a pb build (because it should be created with default configure options)
- if test "${enable_pb}" = "yes" ; then
-   if test "${enable_racket}" != "" ; then
-     if test "${enable_target}" = "" ; then
--      enable_target="${MACH}"
-+      if test "${default_mach_was_empty}" = "no" ; then
-+        enable_target="${MACH}"
-+      fi
-     fi
-   fi
- fi
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-docindex-write.patch b/gnu/packages/patches/racket-backport-8.6-docindex-write.patch
deleted file mode 100644
index abe1984507..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-docindex-write.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-From 8b4d686a62fd66dedfc40ecdcf3698316993d614 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Sun, 17 Jul 2022 22:51:44 -0400
-Subject: [PATCH] racket-index: set write permission when copying
- `docindex.sqlite`
-
-Fixes https://github.com/racket/racket/issues/4357
-
-(cherry picked from commit 55b6cbdca1f36a4f37bab1519c1b658717d3cad2)
----
- pkgs/racket-index/setup/scribble.rkt | 9 ++++++++-
- 1 file changed, 8 insertions(+), 1 deletion(-)
-
-diff --git a/pkgs/racket-index/setup/scribble.rkt b/pkgs/racket-index/setup/scribble.rkt
-index 6694f0b793..e27a8fa348 100644
---- a/pkgs/racket-index/setup/scribble.rkt
-+++ b/pkgs/racket-index/setup/scribble.rkt
-@@ -252,7 +252,14 @@
-     (unless (file-exists? db-file)
-       (define-values (base name dir?) (split-path db-file))
-       (make-directory* base)
--      (when copy-from (copy-file copy-from db-file))
-+      (when copy-from
-+        (copy-file copy-from db-file)
-+        ;; we might not have write permissions for the previous layer:
-+        ;; ensure that we do for the new file
-+        (define orig-mode (file-or-directory-permissions db-file 'bits))
-+        (define writeable-mode (bitwise-ior user-write-bit orig-mode))
-+        (unless (= writeable-mode orig-mode)
-+          (file-or-directory-permissions db-file writeable-mode)))
-       (doc-db-disconnect
-        (doc-db-file->connection db-file #t))))
-   (when (or (ormap can-build*? main-docs)
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-hurd.patch b/gnu/packages/patches/racket-backport-8.6-hurd.patch
deleted file mode 100644
index d593b01e62..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-hurd.patch
+++ /dev/null
@@ -1,609 +0,0 @@
-From f17b030fa2f902bb3666913d4a3cd6ba9c146d22 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Wed, 3 Aug 2022 03:13:03 -0400
-Subject: [PATCH 1/3] Chez Scheme: Fix build on GNU/Hurd
-
-Mostly GNU/Hurd should take the same options as GNU/Linux. One
-difference is that the Hurd does not define macros such as `PATH_MAX` or
-`NOFILE`, because it avoids imposing arbitrary limits on such resources.
-This patch provides alternatives for localized uses of those constants,
-but it accepts the pervasive use of `PATH_MAX` in finding bootfiles for
-now. See https://www.gnu.org/software/hurd/hurd/porting/guidelines.html.
-
-(cherry picked from commit 87eee6e2adb8c6bc11e60619c706fa6295096085)
----
- racket/src/ChezScheme/README.md    |  1 +
- racket/src/ChezScheme/c/number.c   | 22 +++++++++----------
- racket/src/ChezScheme/c/prim5.c    | 35 ++++++++++++++++++++++++++++--
- racket/src/ChezScheme/c/scheme.c   | 34 +++++++++++++++++------------
- racket/src/ChezScheme/c/version.h  |  7 ++++--
- racket/src/ChezScheme/configure    | 17 ++++++++++-----
- racket/src/ChezScheme/s/cmacros.ss |  1 +
- racket/src/cs/c/configure          | 14 ++++++++++--
- racket/src/cs/c/configure.ac       | 14 ++++++++++--
- racket/src/cs/rumble/system.ss     |  3 +++
- 10 files changed, 109 insertions(+), 39 deletions(-)
-
-diff --git a/racket/src/ChezScheme/README.md b/racket/src/ChezScheme/README.md
-index a4a11a5eef..25231dd9bb 100644
---- a/racket/src/ChezScheme/README.md
-+++ b/racket/src/ChezScheme/README.md
-@@ -13,6 +13,7 @@ Supported platforms (bytecode interpreter may work for others):
-  * OpenBSD: x86, x86_64, ARMv6, AArch64, PowerPC32
-  * NetBSD: x86, x86_64, ARMv6, AArch64, PowerPC32
-  * Solaris: x86, x86_64
-+ * GNU/Hurd: x86
-  * Android: ARMv7, AArch64
-  * iOS: AArch64
-  * WebAssembly via Emscripten (bytecode interpreter only)
-diff --git a/racket/src/ChezScheme/c/number.c b/racket/src/ChezScheme/c/number.c
-index ede38cc626..e2bce0d2d3 100644
---- a/racket/src/ChezScheme/c/number.c
-+++ b/racket/src/ChezScheme/c/number.c
-@@ -1041,15 +1041,15 @@ floating-point operations
- 
- #ifdef IEEE_DOUBLE
- /* exponent stored + 1024, hidden bit to left of decimal point */
--#define bias 1023
--#define bitstoright 52
--#define m1mask 0xf
--#ifdef WIN32
--#define hidden_bit 0x10000000000000
--#else
--#define hidden_bit 0x10000000000000ULL
--#endif
--#ifdef LITTLE_ENDIAN_IEEE_DOUBLE
-+# define bias 1023
-+# define bitstoright 52
-+# define m1mask 0xf
-+# ifdef WIN32
-+#  define hidden_bit 0x10000000000000
-+# else
-+#  define hidden_bit 0x10000000000000ULL
-+# endif
-+# ifdef LITTLE_ENDIAN_IEEE_DOUBLE
- struct dblflt {
-     UINT m4: 16;
-     UINT m3: 16;
-@@ -1058,7 +1058,7 @@ struct dblflt {
-     UINT e: 11;
-     UINT sign: 1;
- };
--#else
-+# else
- struct dblflt {
-     UINT sign: 1;
-     UINT e: 11;
-@@ -1067,7 +1067,7 @@ struct dblflt {
-     UINT m3: 16;
-     UINT m4: 16;
- };
--#endif
-+# endif
- #endif
- 
- double S_random_double(U32 m1, U32 m2, U32 m3, U32 m4, double scale) {
-diff --git a/racket/src/ChezScheme/c/prim5.c b/racket/src/ChezScheme/c/prim5.c
-index 124d1e049c..82bbf8d687 100644
---- a/racket/src/ChezScheme/c/prim5.c
-+++ b/racket/src/ChezScheme/c/prim5.c
-@@ -23,6 +23,10 @@
- #include <ctype.h>
- #include <math.h>
- 
-+#if defined(__GNU__) /* Hurd */
-+#include <sys/resource.h>
-+#endif
-+
- /* locally defined functions */
- static INT s_errno(void);
- static IBOOL s_addr_in_heap(uptr x);
-@@ -58,7 +62,7 @@ static void s_showalloc(IBOOL show_dump, const char *outfn);
- static ptr s_system(const char *s);
- static ptr s_process(char *s, IBOOL stderrp);
- static I32 s_chdir(const char *inpath);
--#ifdef GETWD
-+#if defined(GETWD) || defined(__GNU__) /* Hurd */
- static char *s_getwd(void);
- #endif
- static ptr s_set_code_byte(ptr p, ptr n, ptr x);
-@@ -881,7 +885,18 @@ static ptr s_process(char *s, IBOOL stderrp) {
-         CLOSE(0); if (dup(tofds[0]) != 0) _exit(1);
-         CLOSE(1); if (dup(fromfds[1]) != 1) _exit(1);
-         CLOSE(2); if (dup(stderrp ? errfds[1] : 1) != 2) _exit(1);
-+#ifndef __GNU__ /* Hurd */
-         {INT i; for (i = 3; i < NOFILE; i++) (void)CLOSE(i);}
-+#else /* __GNU__ Hurd: no NOFILE */
-+        {
-+          INT i;
-+          struct rlimit rlim;
-+          getrlimit(RLIMIT_NOFILE, &rlim);
-+          for (i = 3; i < rlim.rlim_cur; i++) {
-+            (void)CLOSE(i);
-+          }
-+        }
-+#endif /* __GNU__ Hurd */
-         execl("/bin/sh", "/bin/sh", "-c", s, NULL);
-         _exit(1) /* only if execl fails */;
-         /*NOTREACHED*/
-@@ -927,6 +942,22 @@ static I32 s_chdir(const char *inpath) {
- static char *s_getwd() {
-   return GETWD(TO_VOIDP(&BVIT(S_bytevector(PATH_MAX), 0)));
- }
-+#elif defined(__GNU__) /* Hurd: no PATH_MAX */
-+static char *s_getwd() {
-+  char *path;
-+  size_t len;
-+  ptr bv;
-+  path = getcwd(NULL, 0);
-+  if (NULL == path) {
-+    return NULL;
-+  } else {
-+    len = strlen(path);
-+    bv = S_bytevector(len);
-+    memcpy(TO_VOIDP(&BVIT(bv, 0)), path, len);
-+    free(path);
-+    return TO_VOIDP(&BVIT(bv, 0));
-+  }
-+}
- #endif /* GETWD */
- 
- static ptr s_set_code_byte(ptr p, ptr n, ptr x) {
-@@ -1817,7 +1848,7 @@ void S_prim5_init(void) {
-     Sforeign_symbol("(cs)s_rational", (void *)S_rational);
-     Sforeign_symbol("(cs)sub", (void *)S_sub);
-     Sforeign_symbol("(cs)rem", (void *)S_rem);
--#ifdef GETWD
-+#if defined(GETWD) || defined(__GNU__) /* Hurd */
-     Sforeign_symbol("(cs)s_getwd", (void *)s_getwd);
- #endif
-     Sforeign_symbol("(cs)s_chdir", (void *)s_chdir);
-diff --git a/racket/src/ChezScheme/c/scheme.c b/racket/src/ChezScheme/c/scheme.c
-index ed5564540b..0c40e3eaf0 100644
---- a/racket/src/ChezScheme/c/scheme.c
-+++ b/racket/src/ChezScheme/c/scheme.c
-@@ -458,6 +458,12 @@ static IBOOL next_path(char *path, const char *name, const char *ext, const char
- static const char *path_last(const char *path);
- static char *get_defaultheapdirs(void);
- 
-+#ifdef PATH_MAX
-+# define BOOT_PATH_MAX PATH_MAX
-+#else /* hack for Hurd: better to remove the restriction */
-+# define BOOT_PATH_MAX 4096
-+#endif
-+
- static const char *path_last(const char *p) {
-   const char *s;
- #ifdef WIN32
-@@ -483,7 +489,7 @@ static const char *path_last(const char *p) {
- 
- static char *get_defaultheapdirs() {
-   char *result;
--  wchar_t buf[PATH_MAX];
-+  wchar_t buf[BOOT_PATH_MAX];
-   DWORD len = sizeof(buf);
-   if (ERROR_SUCCESS != RegGetValueW(HKEY_LOCAL_MACHINE, L"Software\\Chez Scheme\\csv" VERSION, L"HeapSearchPath", RRF_RT_REG_SZ, NULL, buf, &len))
-     return DEFAULT_HEAP_PATH;
-@@ -512,14 +518,14 @@ static char *get_defaultheapdirs() {
-  * leaving the full path with name affixed in path and *sp / *dsp pointing
-  * past the current entry.  it returns 1 on success and 0 if at the end of
-  * the search path.  path should be a pointer to an unoccupied buffer
-- * PATH_MAX characters long.  either or both of sp/dsp may be empty,
-+ * BOOT_PATH_MAX characters long.  either or both of sp/dsp may be empty,
-  * but neither may be null, i.e., (char *)0. */
- static IBOOL next_path(char *path, const char *name, const char *ext,
-                        const char **sp, const char **dsp) {
-   char *p;
-   const char *s, *t;
- 
--#define setp(c) if (p >= path + PATH_MAX) { fprintf(stderr, "search path entry too long\n"); S_abnormal_exit(); } else *p++ = (c)
-+#define setp(c) if (p >= path + BOOT_PATH_MAX) { fprintf(stderr, "search path entry too long\n"); S_abnormal_exit(); } else *p++ = (c)
-   for (;;) {
-     s = *sp;
-     p = path;
-@@ -532,10 +538,10 @@ static IBOOL next_path(char *path, const char *name, const char *ext,
-           switch (*s) {
- #ifdef WIN32
-             case 'x': {
--              wchar_t exepath[PATH_MAX]; DWORD n;
-+              wchar_t exepath[BOOT_PATH_MAX]; DWORD n;
-               s += 1;
--              n = GetModuleFileNameW(NULL, exepath, PATH_MAX);
--              if (n == 0 || (n == PATH_MAX && GetLastError() == ERROR_INSUFFICIENT_BUFFER)) {
-+              n = GetModuleFileNameW(NULL, exepath, BOOT_PATH_MAX);
-+              if (n == 0 || (n == BOOT_PATH_MAX && GetLastError() == ERROR_INSUFFICIENT_BUFFER)) {
-                 fprintf(stderr, "warning: executable path is too long; ignoring %%x\n");
-               } else {
-                 char *tstart;
-@@ -608,7 +614,7 @@ typedef struct {
-   iptr len; /* 0 => unknown */
-   iptr offset;
-   IBOOL need_check, close_after;
--  char path[PATH_MAX];
-+  char path[BOOT_PATH_MAX];
- } boot_desc;
- 
- #define MAX_BOOT_FILES 10
-@@ -695,14 +701,14 @@ static void finish_dependencies_header(int fd, const char *path, int c) {
- static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-                        int fd,
-                        IBOOL errorp) {
--  char pathbuf[PATH_MAX], buf[PATH_MAX];
-+  char pathbuf[BOOT_PATH_MAX], buf[BOOT_PATH_MAX];
-   uptr n = 0;
-   INT c;
-   const char *path;
-   char *expandedpath;
- 
-   if ((fd != -1) || direct_pathp || S_fixedpathp(name)) {
--    if (strlen(name) >= PATH_MAX) {
-+    if (strlen(name) >= BOOT_PATH_MAX) {
-       fprintf(stderr, "boot-file path is too long %s\n", name);
-       S_abnormal_exit();
-     }
-@@ -776,7 +782,7 @@ static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-     if (boot_count == 0) {
-       for (;;) {
-        /* try to load heap or boot file this boot file requires */
--        if (get_string(fd, buf, PATH_MAX, &c) != 0) {
-+        if (get_string(fd, buf, BOOT_PATH_MAX, &c) != 0) {
-           fprintf(stderr, "unexpected end of file on %s\n", path);
-           CLOSE(fd);
-           S_abnormal_exit();
-@@ -796,7 +802,7 @@ static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-           c = get_u8(fd);
-           for (sep = " "; ; sep = "or ") {
-             if (c == ')') break;
--            (void) get_string(fd, buf, PATH_MAX, &c);
-+            (void) get_string(fd, buf, BOOT_PATH_MAX, &c);
-             fprintf(stderr, "%s%s.boot ", sep, buf);
-           }
-           fprintf(stderr, "required by %s\n", path);
-@@ -1090,7 +1096,7 @@ extern void Sregister_boot_file_fd_region(const char *name,
-                                           int close_after) {
-   check_boot_file_state("Sregister_boot_file_fd");
- 
--  if (strlen(name) >= PATH_MAX) {
-+  if (strlen(name) >= BOOT_PATH_MAX) {
-     fprintf(stderr, "boot-file path is too long %s\n", name);
-     S_abnormal_exit();
-   }
-@@ -1141,14 +1147,14 @@ extern void Sbuild_heap(const char *kernel, void (*custom_init)(void)) {
-     }
- 
-     name = path_last(kernel);
--    if (strlen(name) >= PATH_MAX) {
-+    if (strlen(name) >= BOOT_PATH_MAX) {
-       fprintf(stderr, "executable name too long: %s\n", name);
-       S_abnormal_exit();
-     }
- 
- #ifdef WIN32
-     { /* strip off trailing .exe, if any */
--      static char buf[PATH_MAX];
-+      static char buf[BOOT_PATH_MAX];
-       iptr n;
- 
-       n = strlen(name) - 4;
-diff --git a/racket/src/ChezScheme/c/version.h b/racket/src/ChezScheme/c/version.h
-index a79d12621b..61751a9fad 100644
---- a/racket/src/ChezScheme/c/version.h
-+++ b/racket/src/ChezScheme/c/version.h
-@@ -80,7 +80,7 @@ FORCEINLINE void store_unaligned_uptr(uptr *addr, uptr val) {
- /*****************************************/
- /* Operating systems                     */
- 
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__GNU__) /* Hurd */
- #define NOBLOCK O_NONBLOCK
- #define LOAD_SHARED_OBJECT
- #define USE_MMAP
-@@ -91,7 +91,10 @@ FORCEINLINE void store_unaligned_uptr(uptr *addr, uptr val) {
- #define GETPAGESIZE() getpagesize()
- typedef char *memcpy_t;
- #define MAKE_NAN(x) { x = 0.0; x = x / x; }
--#define GETWD(x) getcwd((x),PATH_MAX)
-+#ifndef __GNU__ /* Hurd: no PATH_MAX */
-+/* n.b. don't test PATH_MAX directly: we have not yet included <limits.h>  */
-+# define GETWD(x) getcwd((x),PATH_MAX)
-+#endif
- typedef int tputsputcchar;
- #ifndef __ANDROID__
- # define LOCKF
-diff --git a/racket/src/ChezScheme/configure b/racket/src/ChezScheme/configure
-index f64b639c3a..efdb6029cb 100755
---- a/racket/src/ChezScheme/configure
-+++ b/racket/src/ChezScheme/configure
-@@ -102,6 +102,11 @@ case "${CONFIG_UNAME}" in
-     installprefix=/usr
-     installmansuffix=share/man
-     ;;
-+  GNU)
-+    unixsuffix=gnu # the Hurd
-+    installprefix=/usr
-+    installmansuffix=share/man
-+    ;;
-   QNX)
-     if uname -a | egrep 'x86' > /dev/null 2>&1 ; then
-       m32=i3qnx
-@@ -591,7 +596,7 @@ fi
- 
- # Infer flags needed for threads:
- case "${flagsm}" in
--  *le|*fb|*ob|*nb)
-+  *le|*gnu|*fb|*ob|*nb)
-       threadFlags="-D_REENTRANT -pthread"
-       threadLibs="-lpthread"
-       ;;
-@@ -627,7 +632,7 @@ if [ "$cflagsset" = "no" ] ; then
-     a6*)
-         CFLAGS="-m64 ${optFlags}"
-         ;;
--    i3le)
-+    i3le) # intentionally not including i3gnu, which may not support sse2
-         CFLAGS="-m32 -msse2 -mfpmath=sse ${optFlags}"
-         ;;
-     i3nt)
-@@ -688,7 +693,7 @@ fi
- # Add automatic linking flags, unless suppressed by --disable-auto-flags
- if [ "$addflags" = "yes" ] ; then
-   case "${flagsm}" in
--    *le)
-+    *le|*gnu)
-         LDFLAGS="${LDFLAGS} -rdynamic"
-         ;;
-     *fb|*nb)
-@@ -702,7 +707,7 @@ if [ "$addflags" = "yes" ] ; then
-   esac
- 
-   case "${flagsm}" in
--    *le)
-+    *le|*gnu)
-         LIBS="${LIBS} -lm -ldl ${ncursesLib} -lrt"
-         ;;
-     *fb|*ob)
-@@ -749,7 +754,7 @@ exeSuffix=
- 
- # compile flags for c/Mf-unix and mats/Mf-unix
- case "${flagsmuni}" in
--    *le)
-+    *le|*gnu)
-         mdcflags="-fPIC -shared"
-         ;;
-     *fb|*ob)
-@@ -781,7 +786,7 @@ case "${flagsmuni}" in
-     i3le)
-         mdldflags="-melf_i386"
-         ;;
--    *le)
-+    *le|*gnu)
-         ;;
-     i3nb)
-         mdldflags="-m elf_i386"
-diff --git a/racket/src/ChezScheme/s/cmacros.ss b/racket/src/ChezScheme/s/cmacros.ss
-index ff2b09217b..2e79a4d8de 100644
---- a/racket/src/ChezScheme/s/cmacros.ss
-+++ b/racket/src/ChezScheme/s/cmacros.ss
-@@ -385,6 +385,7 @@
-   i3fb      ti3fb
-   i3ob      ti3ob
-   i3osx     ti3osx
-+  i3gnu     ti3gnu
-   a6le      ta6le
-   a6osx     ta6osx
-   a6ob      ta6ob
-diff --git a/racket/src/cs/c/configure b/racket/src/cs/c/configure
-index 454d79e11a..dab545c0b4 100755
---- a/racket/src/cs/c/configure
-+++ b/racket/src/cs/c/configure
-@@ -4449,8 +4449,15 @@ case "$host_os" in
-     ;;
-   irix*)
-     ;;
--  linux*)
--    MACH_OS=le
-+  linux*|gnu*)
-+    case "$host_os" in
-+      *linux*)
-+        MACH_OS=le
-+        ;;
-+      *)
-+        MACH_OS=gnu # Hurd
-+        ;;
-+    esac
-     case "$host_os" in
-       *linux-android*)
-         ;;
-@@ -4730,6 +4737,9 @@ if test "${build_os}_${build_cpu}" != "${host_os}_${host_cpu}" ; then
-     linux*)
-       BUILD_OS=le
-       ;;
-+    gnu*) # Hurd: must come after linux*
-+      BUILD_OS=gnu
-+      ;;
-     *mingw*)
-       BUILD_OS=nt
-       ;;
-diff --git a/racket/src/cs/c/configure.ac b/racket/src/cs/c/configure.ac
-index 5bce979c92..43e7307b1b 100644
---- a/racket/src/cs/c/configure.ac
-+++ b/racket/src/cs/c/configure.ac
-@@ -272,8 +272,15 @@ case "$host_os" in
-     ;;
-   irix*)
-     ;;
--  linux*)
--    MACH_OS=le
-+  linux*|gnu*)
-+    case "$host_os" in
-+      linux*)
-+        MACH_OS=le
-+        ;;
-+      *)
-+        MACH_OS=gnu # Hurd
-+        ;;
-+    esac
-     case "$host_os" in
-       *linux-android*)
-         ;;
-@@ -466,6 +473,9 @@ if test "${build_os}_${build_cpu}" != "${host_os}_${host_cpu}" ; then
-     linux*)
-       BUILD_OS=le
-       ;;
-+    gnu*) # Hurd - must come after linux*
-+      BUILD_OS=gnu
-+      ;;
-     *mingw*)
-       BUILD_OS=nt
-       ;;
-diff --git a/racket/src/cs/rumble/system.ss b/racket/src/cs/rumble/system.ss
-index 2319cbe7a5..773eb79cf3 100644
---- a/racket/src/cs/rumble/system.ss
-+++ b/racket/src/cs/rumble/system.ss
-@@ -48,6 +48,8 @@
-            arm32le tarm32le arm64le tarm64le
-            ppc32le tppc32le)
-      'linux]
-+    [(i3gnu ti3gnu)
-+     'gnu-hurd]
-     [(a6fb ta6fb i3fb ti3fb
-            arm32fb tarm32fb arm64fb tarm64fb
-            ppc32fb tppc32fb)
-@@ -85,6 +87,7 @@
-             i3nb ti3nb
-             i3fb ti3fb
-             i3s2 ti3s2
-+            i3gnu ti3gnu
-             i3qnx)
-      'i386]
-     [(arm32le tarm32le
--- 
-2.32.0
-
-
-From 8653294b771c741d320aba31e692b4f0ed0c702f Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Thu, 4 Aug 2022 20:18:09 -0400
-Subject: [PATCH 2/3] BC: Fix build on GNU/Hurd
-
-(cherry picked from commit 5c05496afd6159c2f9cd52e7f23389fdc6b55f43)
----
- racket/src/bc/configure    |  2 +-
- racket/src/bc/configure.ac |  2 +-
- racket/src/bc/sconfig.h    | 14 +++++++++-----
- 3 files changed, 11 insertions(+), 7 deletions(-)
-
-diff --git a/racket/src/bc/configure b/racket/src/bc/configure
-index 4ddb607b37..4ee346014d 100755
---- a/racket/src/bc/configure
-+++ b/racket/src/bc/configure
-@@ -5018,7 +5018,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*)
-+  linux*,gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/configure.ac b/racket/src/bc/configure.ac
-index deef8f3077..866851236e 100644
---- a/racket/src/bc/configure.ac
-+++ b/racket/src/bc/configure.ac
-@@ -557,7 +557,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*)
-+  linux*,gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/sconfig.h b/racket/src/bc/sconfig.h
-index 01ecb48158..8468942fcd 100644
---- a/racket/src/bc/sconfig.h
-+++ b/racket/src/bc/sconfig.h
-@@ -79,12 +79,14 @@
- 
- #endif
- 
--  /************** Linux with gcc ****************/
-+  /************** Linux (or Hurd) with gcc ****************/
- 
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__GNU__)
- 
- # ifdef __ANDROID__
- #  define SCHEME_OS "android"
-+# elif defined(__GNU__)
-+#  define SCHEME_OS "gnu-hurd"
- # else
- #  define SCHEME_OS "linux"
- # endif
-@@ -146,13 +148,15 @@
- # define USE_IEEE_FP_PREDS
- # define USE_EXPLICT_FP_FORM_CHECK
- 
--# define LINUX_FIND_STACK_BASE
-+# define LINUX_FIND_STACK_BASE /* also ok for Hurd */
- 
- # define FLAGS_ALREADY_SET
- 
- #if defined(__i386__)
--# define MZ_USE_JIT_I386
--# define MZ_JIT_USE_MPROTECT
-+# ifndef __GNU__ /* Hurd */
-+#  define MZ_USE_JIT_I386
-+#  define MZ_JIT_USE_MPROTECT
-+# endif
- # ifndef MZ_NO_UNWIND_SUPPORT
- #  define MZ_USE_DWARF_LIBUNWIND
- # endif
--- 
-2.32.0
-
-
-From 1b0cd08557f58506c96f0ddd855bd9051a45a2f1 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Sat, 6 Aug 2022 22:48:40 -0400
-Subject: [PATCH 3/3] BC: repair configure script
-
-Hopefully this will fix the DrDr failures caused by 5c05496.
-
-Related to https://github.com/racket/racket/pull/4384
-
-(cherry picked from commit c3dd01055ed7589a18136904510fe4db557d6e77)
----
- racket/src/bc/configure    | 2 +-
- racket/src/bc/configure.ac | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/racket/src/bc/configure b/racket/src/bc/configure
-index 4ee346014d..b1c5175b84 100755
---- a/racket/src/bc/configure
-+++ b/racket/src/bc/configure
-@@ -5018,7 +5018,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*,gnu*)
-+  linux*|gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/configure.ac b/racket/src/bc/configure.ac
-index 866851236e..ecc3b0b579 100644
---- a/racket/src/bc/configure.ac
-+++ b/racket/src/bc/configure.ac
-@@ -557,7 +557,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*,gnu*)
-+  linux*|gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-zuo.patch b/gnu/packages/patches/racket-backport-8.6-zuo.patch
deleted file mode 100644
index b86679b7ec..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-zuo.patch
+++ /dev/null
@@ -1,481 +0,0 @@
-From 8761fc06b188b9ca2f4b7f2b7d1235075c44a321 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 17:10:58 -0600
-Subject: [PATCH 1/4] Zuo: support cross compilation via `configure` and
- `CC_FOR_BUILD`
-
-(cherry picked from commit 798a989ba6d1a30c491a3120b2c2f1570ecab911)
----
- racket/src/zuo/Makefile.in  |  7 ++++++-
- racket/src/zuo/README.md    | 10 ++++++++++
- racket/src/zuo/configure    | 15 +++++++++++++++
- racket/src/zuo/configure.ac | 11 +++++++++++
- 4 files changed, 42 insertions(+), 1 deletion(-)
-
-diff --git a/racket/src/zuo/Makefile.in b/racket/src/zuo/Makefile.in
-index 5d16e145bf..747b584c5c 100644
---- a/racket/src/zuo/Makefile.in
-+++ b/racket/src/zuo/Makefile.in
-@@ -17,6 +17,11 @@ CPPFLAGS = @CPPFLAGS@
- LDFLAGS = @LDFLAGS@
- LIBS = @LIBS@
- 
-+CC_FOR_BUILD = @CC_FOR_BUILD@
-+CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
-+LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
-+LIBS_FOR_BUILD = @LIBS_FOR_BUILD@
-+
- EMBED_LIBS = @EMBED_LIBS@
- 
- .PHONY: zuos-to-run-and-install
-@@ -24,7 +29,7 @@ zuos-to-run-and-install: zuo
- 	./zuo . zuos-to-run-and-install
- 
- zuo: $(srcdir)/zuo.c
--	$(CC) $(CPPFLAGS) $(CFLAGS) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS) $(LIBS)
-+	$(CC_FOR_BUILD) $(FLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
- 
- .PHONY: check
- check: zuo
-diff --git a/racket/src/zuo/README.md b/racket/src/zuo/README.md
-index 17c88ee9ec..3aad504b7e 100644
---- a/racket/src/zuo/README.md
-+++ b/racket/src/zuo/README.md
-@@ -84,6 +84,16 @@ A boot image is machine-independent, whether in a stand-alone file or
- embedded in `.c` source.
- 
- 
-+Cross Compiling
-+---------------
-+
-+If you use `./configure --host=...` to cross compile, then you will
-+also need to add something like `CC_FOR_BUILD=cc` as a `./configure`
-+argument to specify the compiler for a `zuo` to use on the build
-+machine. If necessary, you can also specify `CFLAGS_FOR_BUILD`,
-+`LDFLAGS_FOR_BUILD`, and/or `LIBS_FOR_BUILD`.
-+
-+
- Embedding Zuo in Another Application
- ------------------------------------
- 
-diff --git a/racket/src/zuo/configure b/racket/src/zuo/configure
-index 1fa34a3fe8..575ce07d96 100755
---- a/racket/src/zuo/configure
-+++ b/racket/src/zuo/configure
-@@ -589,6 +589,10 @@ enable_embed="zuo"
- ac_subst_vars='LTLIBOBJS
- LIBOBJS
- EMBED_LIBS
-+LIBS_FOR_BUILD
-+LDFLAGS_FOR_BUILD
-+CFLAGS_FOR_BUILD
-+CC_FOR_BUILD
- OBJEXT
- EXEEXT
- ac_ct_CC
-@@ -2584,6 +2588,17 @@ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- 
- 
-+if test "${CC_FOR_BUILD}" = ""; then
-+  CC_FOR_BUILD='$(CC) -O2'
-+  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-+  LIBS_FOR_BUILD='$(LIBS)'
-+fi
-+
-+
-+
-+
-+
- 
- { $as_echo "$as_me:${as_lineno-$LINENO}: zuo libraries to embed: \"${EMBED_LIBS}\"" >&5
- $as_echo "$as_me: zuo libraries to embed: \"${EMBED_LIBS}\"" >&6;}
-diff --git a/racket/src/zuo/configure.ac b/racket/src/zuo/configure.ac
-index 89b3c6391d..598ff79629 100644
---- a/racket/src/zuo/configure.ac
-+++ b/racket/src/zuo/configure.ac
-@@ -25,6 +25,17 @@ AS_IF([test "x$enable_embed" = xno],
- AC_PROG_MAKE_SET()
- AC_PROG_CC
- 
-+if test "${CC_FOR_BUILD}" = ""; then
-+  CC_FOR_BUILD='$(CC) -O2'
-+  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-+  LIBS_FOR_BUILD='$(LIBS)'
-+fi
-+AC_SUBST(CC_FOR_BUILD)
-+AC_SUBST(CFLAGS_FOR_BUILD)
-+AC_SUBST(LDFLAGS_FOR_BUILD)
-+AC_SUBST(LIBS_FOR_BUILD)
-+
- AC_SUBST(EMBED_LIBS)
- AC_MSG_NOTICE([zuo libraries to embed: "${EMBED_LIBS}"])
- 
--- 
-2.32.0
-
-
-From f65194ea41eb472fbdd45d5f6c13eabe5e681704 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 17:47:03 -0600
-Subject: [PATCH 2/4] Zuo: sort hash keys
-
-Printing in a sorted order is helpful to make things more
-deterministic independent of symbol inputs. Making `hash-keys`
-produce a sorted list generalizes that determinism.
-
-(cherry picked from commit 4e7ffd3b365d01c5d0993c0b3fd24c9623962edf)
----
- racket/src/zuo/build.zuo              |  5 ++-
- racket/src/zuo/tests/hash.zuo         |  8 ++--
- racket/src/zuo/zuo-doc/lang-zuo.scrbl | 18 +++++++--
- racket/src/zuo/zuo.c                  | 57 ++++++++++++++++++++++++++-
- 4 files changed, 78 insertions(+), 10 deletions(-)
-
-diff --git a/racket/src/zuo/build.zuo b/racket/src/zuo/build.zuo
-index c1b5e8ce66..129240120a 100644
---- a/racket/src/zuo/build.zuo
-+++ b/racket/src/zuo/build.zuo
-@@ -47,7 +47,10 @@
-     (target (at-dir (add-exe name))
-             (lambda (path token)
-               (rule (list image_zuo.c
--                          (input-data-target 'config config)
-+                          (input-data-target 'config (cons
-+                                                      lib-path
-+                                                      (map (lambda (key) (hash-ref config key))
-+                                                           '(CC CPPFLAGS CFLAGS LDFLAGS LIBS))))
-                           (quote-module-path))
-                     (lambda ()
-                       (define l (split-path path))
-diff --git a/racket/src/zuo/tests/hash.zuo b/racket/src/zuo/tests/hash.zuo
-index a35741c730..0d3d7f3af6 100644
---- a/racket/src/zuo/tests/hash.zuo
-+++ b/racket/src/zuo/tests/hash.zuo
-@@ -35,9 +35,7 @@
- 
- (check (hash-keys (hash)) '())
- (check (hash-keys (hash 'a 1)) '(a))
--(check (let ([keys (hash-keys (hash 'a 1 'b 2))])
--         (or (equal? keys '(a b))
--             (equal? keys '(b a)))))
-+(check (hash-keys (hash 'a 1 'b 2)) '(a b)) ; always in order
- (check (length (hash-keys (hash 'a 1 'b 2 'c 3))) 3)
- (check (length (hash-keys (hash 'a 1 'b 2 'a 3))) 2)
- (check-arg-fail (hash-keys 0) "not a hash table")
-@@ -50,3 +48,7 @@
- (check (hash-keys-subset? (hash 'a 1 'b 2) (hash 'b 1)) #f)
- (check-arg-fail (hash-keys-subset? 0 (hash)) "not a hash table")
- (check-arg-fail (hash-keys-subset? (hash) 0) "not a hash table")
-+
-+;; print sorts keys alphabetically:
-+(check (~a (hash 'a 1 'b 2)) "#hash((a . 1) (b . 2))")
-+(check (~a (hash 'b 2 'a 1)) "#hash((a . 1) (b . 2))")
-diff --git a/racket/src/zuo/zuo-doc/lang-zuo.scrbl b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-index 94641d041e..4605e47471 100644
---- a/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-+++ b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-@@ -538,10 +538,20 @@ support to convert the textual form back into a hash table value.
- 
- Analogous to @realracket*[hash? hash hash-ref hash-set hash-remove
- hash-keys hash-count hash-keys-subset?] from @racketmodname[racket].
--Besides being constrained to symbol keys, there is one additional
--difference: the third argument to @racket[hash-ref], when supplied,
--is always used as a value to return if a key is missing, as
--opposed to a failure thunk.}
-+
-+Besides being constrained to symbol keys, there are two additional
-+differences:
-+
-+@itemlist[
-+
-+ @item{the third argument to @racket[hash-ref], when supplied, is
-+       always used as a value to return if a key is missing, as
-+       opposed to a failure thunk; and}
-+
-+ @item{the @racket[hash-keys] function returns interned keys sorted
-+       alphabetically.}
-+
-+]}
- 
- 
- @section{Procedures}
-diff --git a/racket/src/zuo/zuo.c b/racket/src/zuo/zuo.c
-index 2957d478af..88d5747326 100644
---- a/racket/src/zuo/zuo.c
-+++ b/racket/src/zuo/zuo.c
-@@ -1298,6 +1298,59 @@ static zuo_t *zuo_trie_keys(zuo_t *trie_in, zuo_t *accum) {
-   return accum;
- }
- 
-+/*======================================================================*/
-+/* symbol-list sorting                                                  */
-+/*======================================================================*/
-+
-+/* merge sort used to make hash printing deterministic */
-+static zuo_t *zuo_symbol_list_sort(zuo_t *l_in) {
-+  zuo_t *l, *left, *right, *first, *last;
-+  zuo_uint_t len = 0, i;
-+
-+  for (l = l_in, len = 0; l != z.o_null; l = _zuo_cdr(l))
-+    len++;
-+
-+  if (len < 2)
-+    return l_in;
-+
-+  left = z.o_null;
-+  for (l = l_in, i = len >> 1; i > 0; l = _zuo_cdr(l), i--)
-+    left = zuo_cons(_zuo_car(l), left);
-+  right = l;
-+
-+  left = zuo_symbol_list_sort(left);
-+  right = zuo_symbol_list_sort(right);
-+
-+  first = last = z.o_null;
-+  while ((left != z.o_null) && (right != z.o_null)) {
-+    zuo_t *p;
-+
-+    if (strcmp(ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(left))->str),
-+               ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(right))->str))
-+        < 1) {
-+      p = zuo_cons(_zuo_car(left), z.o_null);
-+      left = _zuo_cdr(left);
-+    } else {
-+      p = zuo_cons(_zuo_car(right), z.o_null);
-+      right = _zuo_cdr(right);
-+    }
-+
-+    if (first == z.o_null)
-+      first = p;
-+    else
-+      ((zuo_pair_t *)last)->cdr = p;
-+    last = p;
-+  }
-+
-+  ((zuo_pair_t *)last)->cdr = ((left != z.o_null) ? left : right);
-+
-+  return first;
-+}
-+
-+static zuo_t *zuo_trie_sorted_keys(zuo_t *trie_in, zuo_t *accum) {
-+  return zuo_symbol_list_sort(zuo_trie_keys(trie_in, accum));
-+}
-+
- /*======================================================================*/
- /* terminal support                                                     */
- /*======================================================================*/
-@@ -1571,7 +1624,7 @@ static void zuo_out(zuo_out_t *out, zuo_t *obj, zuo_print_mode_t mode) {
-         out_string(out, "opaque");
-       out_string(out, ">");
-     } else if (obj->tag == zuo_trie_node_tag) {
--      zuo_t *keys = zuo_trie_keys(obj, z.o_null);
-+      zuo_t *keys = zuo_trie_sorted_keys(obj, z.o_null);
-       if (mode == zuo_print_mode) {
-         out_string(out, "(hash");
-         if (keys != z.o_null)
-@@ -2587,7 +2640,7 @@ static zuo_t *zuo_hash_remove(zuo_t *ht, zuo_t *sym) {
- 
- static zuo_t *zuo_hash_keys(zuo_t *ht) {
-   check_hash("hash-keys", ht);
--  return zuo_trie_keys(ht, z.o_null);
-+  return zuo_trie_sorted_keys(ht, z.o_null);
- }
- 
- static zuo_t *zuo_hash_keys_subset_p(zuo_t *ht, zuo_t *ht2) {
--- 
-2.32.0
-
-
-From f2eecaa1dd875479d2cf51566223b3d0d7b9f738 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 18:06:41 -0600
-Subject: [PATCH 3/4] Zuo: check for nul characters in `string->symbol`
-
-(cherry picked from commit e20022ccfad40d0ba2e77aa75bc4f775018c781f)
----
- racket/src/zuo/tests/symbol.zuo       |  3 +++
- racket/src/zuo/zuo-doc/lang-zuo.scrbl |  4 ++-
- racket/src/zuo/zuo.c                  | 37 +++++++++++++++++----------
- 3 files changed, 29 insertions(+), 15 deletions(-)
-
-diff --git a/racket/src/zuo/tests/symbol.zuo b/racket/src/zuo/tests/symbol.zuo
-index 7775aeeb04..5600a89755 100644
---- a/racket/src/zuo/tests/symbol.zuo
-+++ b/racket/src/zuo/tests/symbol.zuo
-@@ -19,3 +19,6 @@
- (check (not (equal? 'apple (string->uninterned-symbol "apple"))))
- (check-arg-fail (string->symbol 'apple) not-string)
- (check-arg-fail (string->uninterned-symbol 'apple) not-string)
-+
-+(check-arg-fail (string->symbol "apple\0spice") "without a nul character")
-+(check (symbol? (string->uninterned-symbol "apple\0spice")))
-diff --git a/racket/src/zuo/zuo-doc/lang-zuo.scrbl b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-index 4605e47471..07dd5815b0 100644
---- a/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-+++ b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-@@ -500,7 +500,9 @@ back into Zuo.
- )]{
- 
- Analogous to @realracket*[symbol? symbol->string string->symbol
--string->uninterned-symbol] from @racketmodname[racket].}
-+string->uninterned-symbol] from @racketmodname[racket], but
-+@racket[string->symbol] accepts only strings that do not contain the
-+null character.}
- 
- 
- @section{Hash Tables (Persistent Maps)}
-diff --git a/racket/src/zuo/zuo.c b/racket/src/zuo/zuo.c
-index 88d5747326..17f161826d 100644
---- a/racket/src/zuo/zuo.c
-+++ b/racket/src/zuo/zuo.c
-@@ -1323,7 +1323,7 @@ static zuo_t *zuo_symbol_list_sort(zuo_t *l_in) {
- 
-   first = last = z.o_null;
-   while ((left != z.o_null) && (right != z.o_null)) {
--    zuo_t *p;
-+    zuo_t *p, *s_left, *s_right;
- 
-     if (strcmp(ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(left))->str),
-                ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(right))->str))
-@@ -2573,8 +2573,28 @@ static zuo_t *zuo_substring(zuo_t *obj, zuo_t *start_i, zuo_t *end_i) {
-   return zuo_sized_string((const char *)&((zuo_string_t *)obj)->s[s_idx], e_idx - s_idx);
- }
- 
-+static int zuo_is_string_without_nul(zuo_t *obj) {
-+  zuo_int_t i;
-+
-+  if ((obj->tag != zuo_string_tag)
-+      || ZUO_STRING_LEN(obj) == 0)
-+    return 0;
-+
-+  for (i = ZUO_STRING_LEN(obj); i--; ) {
-+    if (((zuo_string_t *)obj)->s[i] == 0)
-+      return 0;
-+  }
-+
-+  return 1;
-+}
-+
- static zuo_t *zuo_string_to_symbol(zuo_t *obj) {
--  check_string("string->symbol", obj);
-+  if (!zuo_is_string_without_nul(obj)) {
-+    const char *who = "string->symbol";
-+    check_string(who, obj);
-+    zuo_fail_arg(who, "string without a nul character", obj);
-+  }
-+
-   return zuo_symbol_from_string(ZUO_STRING_PTR(obj), obj);
- }
- 
-@@ -3577,18 +3597,7 @@ static void *zuo_envvars_block(const char *who, zuo_t *envvars)
- #endif
- 
- static int zuo_is_path_string(zuo_t *obj) {
--  zuo_int_t i;
--
--  if ((obj->tag != zuo_string_tag)
--      || ZUO_STRING_LEN(obj) == 0)
--    return 0;
--
--  for (i = ZUO_STRING_LEN(obj); i--; ) {
--    if (((zuo_string_t *)obj)->s[i] == 0)
--      return 0;
--  }
--
--  return 1;
-+  return zuo_is_string_without_nul(obj);
- }
- 
- static zuo_t *zuo_path_string_p(zuo_t *obj) {
--- 
-2.32.0
-
-
-From de6618cb3819d25580e3cd400ea09c8cf4f673a9 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 19:50:46 -0600
-Subject: [PATCH 4/4] Zuo: CPPFLAGS_FOR_BUILD, too
-
-(cherry picked from commit cf82706c4b298f654a04c4bc8d98dff39b62a2ac)
----
- racket/src/zuo/Makefile.in  | 3 ++-
- racket/src/zuo/configure    | 5 ++++-
- racket/src/zuo/configure.ac | 4 +++-
- 3 files changed, 9 insertions(+), 3 deletions(-)
-
-diff --git a/racket/src/zuo/Makefile.in b/racket/src/zuo/Makefile.in
-index 747b584c5c..0376c038a8 100644
---- a/racket/src/zuo/Makefile.in
-+++ b/racket/src/zuo/Makefile.in
-@@ -19,6 +19,7 @@ LIBS = @LIBS@
- 
- CC_FOR_BUILD = @CC_FOR_BUILD@
- CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
-+CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
- LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
- LIBS_FOR_BUILD = @LIBS_FOR_BUILD@
- 
-@@ -29,7 +30,7 @@ zuos-to-run-and-install: zuo
- 	./zuo . zuos-to-run-and-install
- 
- zuo: $(srcdir)/zuo.c
--	$(CC_FOR_BUILD) $(FLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
-+	$(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(CPPFLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
- 
- .PHONY: check
- check: zuo
-diff --git a/racket/src/zuo/configure b/racket/src/zuo/configure
-index 575ce07d96..7ac453e3bc 100755
---- a/racket/src/zuo/configure
-+++ b/racket/src/zuo/configure
-@@ -591,6 +591,7 @@ LIBOBJS
- EMBED_LIBS
- LIBS_FOR_BUILD
- LDFLAGS_FOR_BUILD
-+CPPFLAGS_FOR_BUILD
- CFLAGS_FOR_BUILD
- CC_FOR_BUILD
- OBJEXT
-@@ -2590,7 +2591,8 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
- 
- if test "${CC_FOR_BUILD}" = ""; then
-   CC_FOR_BUILD='$(CC) -O2'
--  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  CPPFLAGS_FOR_BUILD='$(CPPFLAGS)'
-+  CFLAGS_FOR_BUILD='$(CFLAGS)'
-   LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-   LIBS_FOR_BUILD='$(LIBS)'
- fi
-@@ -2600,6 +2602,7 @@ fi
- 
- 
- 
-+
- { $as_echo "$as_me:${as_lineno-$LINENO}: zuo libraries to embed: \"${EMBED_LIBS}\"" >&5
- $as_echo "$as_me: zuo libraries to embed: \"${EMBED_LIBS}\"" >&6;}
- 
-diff --git a/racket/src/zuo/configure.ac b/racket/src/zuo/configure.ac
-index 598ff79629..051ea0beb5 100644
---- a/racket/src/zuo/configure.ac
-+++ b/racket/src/zuo/configure.ac
-@@ -27,12 +27,14 @@ AC_PROG_CC
- 
- if test "${CC_FOR_BUILD}" = ""; then
-   CC_FOR_BUILD='$(CC) -O2'
--  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  CPPFLAGS_FOR_BUILD='$(CPPFLAGS)'
-+  CFLAGS_FOR_BUILD='$(CFLAGS)'
-   LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-   LIBS_FOR_BUILD='$(LIBS)'
- fi
- AC_SUBST(CC_FOR_BUILD)
- AC_SUBST(CFLAGS_FOR_BUILD)
-+AC_SUBST(CPPFLAGS_FOR_BUILD)
- AC_SUBST(LDFLAGS_FOR_BUILD)
- AC_SUBST(LIBS_FOR_BUILD)
- 
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch b/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch
new file mode 100644
index 0000000000..703b6e8e82
--- /dev/null
+++ b/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch
@@ -0,0 +1,90 @@
+From 1b7e15c23baf1fda44b1d0752902ddea11419fc5 Mon Sep 17 00:00:00 2001
+From: Philip McGrath <philip@HIDDEN>
+Date: Fri, 7 Oct 2022 02:15:13 -0400
+Subject: [PATCH] pkg/strip: handle read-only input
+
+A package directory supplied to the functions from `pkg/strip` might
+have had all of its write permission bits unset. Since `copy-file`
+preserves the permissions of the source file, we may end up with a
+read-only file that we want to overwrite (e.g. an `info.rkt` file).
+Explicitly setting `user-write-bit` before writing avoids this problem.
+Conservatively, we only set the permissions when actually needed,
+and we restore the original permissions when we are done.
+
+(cherry picked from commit 8c647c8cc9b66112198fcf9bea27fc0e3737162f)
+---
+ racket/collects/pkg/strip.rkt | 35 +++++++++++++++++++++++++++++------
+ 1 file changed, 29 insertions(+), 6 deletions(-)
+
+diff --git a/racket/collects/pkg/strip.rkt b/racket/collects/pkg/strip.rkt
+index 0ff58cea02..5899dbc6e6 100644
+--- a/racket/collects/pkg/strip.rkt
++++ b/racket/collects/pkg/strip.rkt
+@@ -306,9 +306,8 @@
+            #t
+            new-mod*-subs))))
+   (unless (eq? mod new-mod)
+-    (call-with-output-file*
++    (call-with-output-file/writable
+      new-p
+-     #:exists 'truncate/replace
+      (lambda (out) (write new-mod out)))))
+ 
+ (define (fixup-local-redirect-reference p js-path #:user [user-js-path js-path])
+@@ -340,9 +339,8 @@
+                                       (string->bytes/utf-8 user-js-path)
+                                       (subbytes s (+ delta end2)))]
+                        [else s]))))
+-    (call-with-output-file*
++    (call-with-output-file/writable
+      p
+-     #:exists 'truncate/replace
+      (lambda (out) (write-bytes new-bstr out)))))
+ 
+ ;; Used in binary[-lib] mode:
+@@ -383,9 +381,8 @@
+          (convert-mod info-lib defns)]))
+     (unless (equal? new-content content)
+       ;; write updated:
+-      (call-with-output-file* 
++      (call-with-output-file/writable
+        new-p
+-       #:exists 'truncate
+        (lambda (out)
+          (write new-content out)
+          (newline out)))
+@@ -503,3 +500,29 @@
+                     which
+                     dir)
+             (current-continuation-marks)))))
++
++(define (call-with-output-file/writable pth proc)
++  ;; In case `pth` was copied from a file without the user-write-bit set,
++  ;; explicitly make it writable while we overwrite it.
++  (define (run)
++    (call-with-output-file* pth
++      #:exists 'truncate/replace
++      proc))
++  (cond
++    [(file-exists? pth)
++     (define old-mode
++       (file-or-directory-permissions pth 'bits))
++     (define new-mode
++       (if (eq? (system-type) 'windows)
++           (bitwise-ior old-mode user-write-bit group-write-bit other-write-bit)
++           (bitwise-ior old-mode user-write-bit)))
++     (if (= old-mode new-mode)
++         (run)
++         (dynamic-wind
++          (λ ()
++            (file-or-directory-permissions pth new-mode))
++          run
++          (λ ()
++            (file-or-directory-permissions pth old-mode))))]
++    [else
++     (run)]))
+
+base-commit: 7e4f6e2362d4a08affbbae3c7ee4b98e325274c6
+-- 
+2.38.0
+
diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index 10f93a1362..20d293e998 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -191,7 +191,7 @@ (define-module (gnu packages racket)
 ;;
 ;; CODE:
 
-(define %racket-version "8.6") ; Remember to update chez-scheme-for-racket!
+(define %racket-version "8.7") ; Remember to update chez-scheme-for-racket!
 (define %zuo-version "1.0") ; defined in racket/src/zuo/zuo.c
 (define %racket-commit
   (string-append "v" %racket-version))
@@ -202,12 +202,9 @@ (define %racket-origin
           (url "https://github.com/racket/racket")
           (commit %racket-commit)))
     (sha256
-     (base32 "1lw6h70dk8zqpl96zz0hmhn8vjcc0c7gw4prkfz2wid5bkq4mhg4"))
+     (base32 "0agwa1nrv8mizkqg9nffjli00djyx1r9n6y6b6ry7k13pb6i7xnj"))
     (file-name (git-file-name "racket" %racket-version))
-    (patches (search-patches "racket-backport-8.6-cross-install.patch"
-                             "racket-backport-8.6-docindex-write.patch"
-                             "racket-backport-8.6-hurd.patch"
-                             "racket-backport-8.6-zuo.patch"
+    (patches (search-patches "racket-backport-8.7-pkg-strip.patch"
                              "racket-chez-scheme-bin-sh.patch"
                              "racket-rktio-bin-sh.patch"
                              "racket-zuo-bin-sh.patch"))
@@ -689,6 +686,7 @@ (define-public racket
          ("net-lib" "pkgs/net-lib")
          ("racket-doc" "pkgs/racket-doc")
          ("racket-index" "pkgs/racket-index")
+         ("scheme-doc" "pkgs/scheme-doc")
          ("sandbox-lib" "pkgs/sandbox-lib")
          ("zo-lib" "pkgs/zo-lib")))
       (simple-racket-origin
@@ -698,7 +696,7 @@ (define-public racket
        "class-iop" (base32 "08z57q83cr7wnh6g8ah3hdhmsmf9zp1jfs7yvxv188l3hzvygy5l")
        '("class-iop-lib"))
       (simple-racket-origin
-       "compatibility" (base32 "0bfqwscjpyi325br5pa6g62g9c8lq18a80zp5g3d2qzn3n3mi6x0")
+       "compatibility" (base32 "0ydx9alrpqg03xcl7zm5qcpx017i554q9ramz69vpwlfy3zdqmdm")
        '("compatibility" "compatibility-doc" "compatibility-lib"))
       (simple-racket-origin
        "contract-profile" (base32 "1xm2z8g0dpv5d9h2sg680vx1a8ix9gbsdpxxb8qv1w7akp73paj3")
@@ -710,19 +708,19 @@ (define-public racket
        "datalog" (base32 "0nf6cy4djpyhfvgpa6yn72apbz9s83gp0qg95pzjd0az4v6qwq1s")
        '(("datalog" ".")))
       (simple-racket-origin
-       "db" (base32 "0jzsbfcdm3xj0g8xxw3ky2swrhiqqsq2aqa3r08m641dc981dmjq")
+       "db" (base32 "0xx0k8yw2vb9b4vk2dwjfbpixnmriqsv7kpv3fvfxbwyg42y0db5")
        '("db" "db-doc" "db-lib"))
       (simple-racket-origin
-       "deinprogramm" (base32 "16ncs3ms3mmdavbk0mkhm2qi62vyyif9cch3sn1y64pij489x34v")
+       "deinprogramm" (base32 "1ngdjky4n1vy2b9jz1z4pnzl0vgvaqr3p0ff5sx82hs38qvvi5di")
        '("deinprogramm" "deinprogramm-signature"))
       (simple-racket-origin
        "distributed-places" (base32 "1dajpkj9balqcpv6cdk9hwjz592h1vq8rrx5vncariiac4vbdpa0")
        '("distributed-places" "distributed-places-doc" "distributed-places-lib"))
       (simple-racket-origin
-       "draw" (base32 "00rq5y4ba6z1d6jh76kl8rwpxrlqqp81a875zyhk3k81i42635sm")
+       "draw" (base32 "0pxpay04rylq3hqfpdrha2pw78hhwsjzq8w4f156gipin74lb7a2")
        '("draw" "draw-doc" "draw-lib"))
       (simple-racket-origin
-       "drracket" (base32 "05d7wssi0ry13alb5hl3llpsg30dd0jhyfv5nb1nmg189fn42q62")
+       "drracket" (base32 "12khv954v7xpi3wv50pp5l28ww1382apbvzvs67d6ik10nn3d0y4")
        '("drracket"
          "drracket-plugin-lib"
          "drracket-tool"
@@ -736,10 +734,10 @@ (define-public racket
        "eli-tester" (base32 "0icx6wn14gjm8kdmq1jppqgq87sxkras4qb5xmdr6wigxafhjqyk")
        '(("eli-tester"  ".")))
       (simple-racket-origin
-       "eopl" (base32 "1fmiixj6rxsgzwvgva8lvrvv0gl49v2405mp3s0i7ipis5c4n27s")
+       "eopl" (base32 "1n8lzvhggp6bp2hg4n51zg8f4ya10isb92pfzngss2ch7299zfj2")
        '(("eopl" ".")))
       (simple-racket-origin
-       "errortrace" (base32 "0r5630bb2d6hk0fbi95fmyfja54nnwdfcj2zjba124pp6xkjyavx")
+       "errortrace" (base32 "0l9k2rx6z4jkid7kxhbs763s66pxbzvfrgxajykbrmqkv77lhb3w")
        '("errortrace" "errortrace-doc" "errortrace-lib"))
       (simple-racket-origin
        "expeditor" (base32 "0mjfwb4wzwsg5xj3k6cmik0va432n56rp5h7rxx1c2yy3prh1j7q")
@@ -756,13 +754,13 @@ (define-public racket
        "games" (base32 "0kpn3izlx1ccd0pj0dnvmnrhny51b85xy418a7psj70lz8j8415d")
        '(("games" ".")))
       (simple-racket-origin
-       "gui" (base32 "18pcnx3wi8f32i2frm8bn9pi08n4y3c5jgqs4gy21w6f84dv401w")
+       "gui" (base32 "027imnxwm0663yn9mbkq8sjm1qr1pw7zf4ra168k746hp446ah58")
        '("gui" "gui-doc" "gui-lib" "tex-table"))
       (simple-racket-origin
        "gui-pkg-manager" (base32 "1ji9448d723nklqvycwdswj0ni28sabrncag14f9mx47did5myb5")
        '("gui-pkg-manager-lib"))
       (simple-racket-origin
-       "htdp" (base32 "173xy6ks55npvwn6cykjs41s9qfb70hc2gfjiqvw91hdsbjykwir")
+       "htdp" (base32 "0pf2kf63xj9s0n44vaxlmnd1bdb1a44gcp807a3b3cmlc1lkb36z")
        '("htdp" "htdp-doc" "htdp-lib"))
       (simple-racket-origin
        "html" (base32 "18n1jnjgzfknc8nv8dppi85nb8q08gqdwkg6hfjk08x0p00anx2x")
@@ -795,7 +793,7 @@ (define-public racket
        "mzcom" (base32 "0rc9pfj7gwm5azghqvcibz6si1x5s2v8mr2yngk7ssq9gzfbi6a4")
        '(("mzcom" ".")))
       (simple-racket-origin
-       "mzscheme" (base32 "192c52zi726h5wjamxrhivjw2waq1im0zpyxhbrkrxknm8x84bs9")
+       "mzscheme" (base32 "04kyrhznq46mklacf7pms4fv47zsimqqk3948r3w2ym9n04fhjsx")
        '("mzscheme" "mzscheme-doc" "mzscheme-lib"))
       (racket-packages-origin
        "net-cookies" (origin
@@ -824,13 +822,13 @@ (define-public racket
        "option-contract" (base32 "07cncg9pi15cm19k7rzv54vx83wq7y42i2m6bgzaqja1h8vnj2ww")
        '("option-contract" "option-contract-doc" "option-contract-lib"))
       (simple-racket-origin
-       "parser-tools" (base32 "04ycihliikh0c47ivp09gayxiql9d9wpl216czic19cj6f7rmcnj")
+       "parser-tools" (base32 "11m1x8q0cqb4b082423iv19s86xgkshv29cb4hp8yx84lb0vpwx3")
        '("parser-tools" "parser-tools-doc" "parser-tools-lib"))
       (simple-racket-origin
        "pconvert" (base32 "00czi0p399mmyrvxyrs5kniizpkqfxyz2ncxqi2jy79a7wk79pb1")
        '("pconvert-lib"))
       (simple-racket-origin
-       "pict" (base32 "1n0v7kynkiin1v8igs9m8k8vfwjn5cswanhq2imp1pxzjvdyq6sx")
+       "pict" (base32 "063a1lc6v1i8ywxcskkvvfxdvlx0qhr0l4l3dkibmnli47mdhv7g")
        '("pict" "pict-doc" "pict-lib"))
       (simple-racket-origin
        "pict-snip" (base32 "081nwiy4a0n4f7xws16hqbhf0j3kz5alizndi3nnyr3chm4kng6x")
@@ -839,13 +837,13 @@ (define-public racket
        "picturing-programs" (base32 "1g6xr39hx1j03gb3d4dljm3v91xcj2gfpq3dgy5xvplzr6cmmxgr")
        '(("picturing-programs" ".")))
       (simple-racket-origin
-       "plai" (base32 "0i983sh0r0zm2ng4j44m5aw9669kh5fhp91bzpc9jm280rfcqvyl")
+       "plai" (base32 "18kz31pj4lanlf9mn2yc0q9sxis264wb4f9v85ga23wd7g1hrzbq")
        '("plai" "plai-doc" "plai-lib"))
       (simple-racket-origin
        "planet" (base32 "0r2yqrzrmdjjyr14k6hhlzc5kzrcx3583m1s02mhrcmpfw0s85w9")
        '("planet" "planet-doc" "planet-lib"))
       (simple-racket-origin
-       "plot" (base32 "04871pspbm0q3bz5896sa3jw2rp9i6jf0b5aivrxfp56vxxd2ybb")
+       "plot" (base32 "1129k78vyqg2cbc87r9ak95zpa1ghh26fmz3wr8gm556j5j0k6y5")
        '("plot" "plot-compat" "plot-doc" "plot-gui-lib" "plot-lib"))
       (simple-racket-origin
        "preprocessor" (base32 "1p5aid58ifnjy4xl0ysh85cq39k25661v975jrpk182z3k5621mg")
@@ -867,7 +865,7 @@ (define-public racket
        "r5rs" (base32 "1g3cysj7z88r38vkzvi8g2fb2hn4yg1fdhy5smxw303jxgl3inp6")
        '("r5rs" "r5rs-doc" "r5rs-lib"))
       (simple-racket-origin
-       "r6rs" (base32 "0b1ymzdp10r0flw2acbidjsh5ma1pm5hy54jss37sxf89z3xbvm4")
+       "r6rs" (base32 "1mgcxd88s67w47a2z1i6snz8qhbngjbmr6rs4pchpnrfap96ssgl")
        '("r6rs" "r6rs-doc" "r6rs-lib"))
       (racket-packages-origin
        "racket-cheat" (origin
@@ -900,7 +898,7 @@ (define-public racket
        "realm" (base32 "0rlvwyd6rpyl0zda4a5p8dp346fvqzc8555dgfnrhliymkxb6x4g")
        '(("realm" ".")))
       (simple-racket-origin
-       "redex" (base32 "06dhyqmin0qdm6b6sdvgzpy3pa4svlw42ld9k2h1dxcr852czil7")
+       "redex" (base32 "1v5p65y3hnp1mfvy0jl4lhmaw9s3qzzfcfh3fhihhqxsybbqp3q3")
        '("redex"
          "redex-benchmark"
          "redex-doc"
@@ -915,7 +913,7 @@ (define-public racket
        "scheme-lib" (base32 "0pcf0y8rp4qyjhaz5ww5sr5diq0wpcdfrrnask7zapyklzx1jx8x")
        '(("scheme-lib" ".")))
       (simple-racket-origin
-       "scribble" (base32 "0a11kvcnzp04mp4xxq68rkl09jv00hv81k2nmwkmwpfx9b2acvd3")
+       "scribble" (base32 "1n0ywdham53h2ibkhc0cnrhhaxfkl7ax0bx5sdfpnyh2yrabxwqf")
        '("scribble"
          "scribble-doc"
          "scribble-html-lib"
@@ -941,13 +939,13 @@ (define-public racket
        "slatex" (base32 "0pkm2isbbdk63slrbsxcql7rr0wdrw5kapw1xq4ps5k8dhlzv8x0")
        '(("slatex" ".")))
       (simple-racket-origin
-       "slideshow" (base32 "1znv1i2d0610hhy71q932xy7wka00q3q50in1xfnk8ibg7nzkagm")
+       "slideshow" (base32 "0s6w4iq7m263jwx01c5czkk1a2950hdpxn5yirxvnr26qpjpfyzr")
        '("slideshow" "slideshow-doc" "slideshow-exe" "slideshow-lib" "slideshow-plugin"))
       (simple-racket-origin
-       "snip" (base32 "01r9wc5xr3q3n4yyif6j0a37rgdzmpslxn05k13ksik73b3wj6hj")
+       "snip" (base32 "19n2i1m2nysrbv38jxk32abymdbhcxdcrrjsg4ppfbng8niygc8x")
        '("snip" "snip-lib"))
       (simple-racket-origin
-       "typed-racket" (base32 "03wsz647fi58brbg33fw1xavp100gzfvngdy8bk7bdc0jfg8a18l")
+       "typed-racket" (base32 "0yh9vcg1bjamf6nq3hqxwjg07kjkxyqhvymv3r64j1n4hiiwz6iv")
        '("source-syntax"
          "typed-racket"
          "typed-racket-compatibility"
@@ -955,10 +953,10 @@ (define-public racket
          "typed-racket-lib"
          "typed-racket-more"))
       (simple-racket-origin
-       "srfi" (base32 "0aqbcdv2dfc2xnk0h6zfi56p7bpwqji8s88qds3d03hhh9k28gvn")
+       "srfi" (base32 "13xvfzr5546m3a4kksyawzcl93nrklasr1slfa5ar3p77h962la4")
        '("srfi" "srfi-doc" "srfi-lib" "srfi-lite-lib"))
       (simple-racket-origin
-       "string-constants" (base32 "1kg3vxq2hcd0vl76brgpzdwbrb65a4nrrkc6hj4az5lfbbdvqz47")
+       "string-constants" (base32 "174q3ihcp8s52mmlk7z0sipjksiac432pfkm0inlwi92s6p7dlb3")
        '("string-constants" "string-constants-doc" "string-constants-lib"))
       (simple-racket-origin
        "swindle" (base32 "03n9ymjhrw45h7hxkw4nq8nidnvs9mfzb4228s2cjfaqbgqxvsyb")
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 00:47:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 19:47:14 2022
Received: from localhost ([127.0.0.1]:34711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovpXF-0001h5-Kk
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:14 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:49401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovpXB-0001gQ-Dv
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:09 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 5AD6E5C0197;
 Thu, 17 Nov 2022 19:47:04 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 17 Nov 2022 19:47:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to; s=fm1; t=
 1668732424; x=1668818824; bh=v+hR7rzCufd7aURXZAPF08uXF8cMAfLJLOJ
 o941VzfE=; b=niINJIPijOoSo3LvP/JCEy+hxiW+qoZlLKMvLezGJn0+fhgTVnY
 wT980ljKgNZZ3SuiwD7h2zGatu0BpOgBsnPn+SL5i0dh6j+HOz1vDUsc2fXy5KuK
 tT0tISC4wnWEp+9fqZSL2v9XmTCgx6/HG30oeKFkXJ1QEjiwK0sTsZSLPivK7o+4
 j5XH0wztoRDTvM/vIfwY6Av62KOonhtLj4WjdaQs7vf7RNecnfjxpjiWiH/qtjpO
 aWbdcNcMpsmL0Jm6FLzT6RxZcbzivmPhNx4QEsRcFwjNSsITExsP/6pXmq067fje
 t/NLS7/XkND8DXrvQTQ3+qFoejRmNVImQdA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding:date:date
 :feedback-id:feedback-id:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1668732424; x=1668818824; bh=v+hR7rzCufd7a
 URXZAPF08uXF8cMAfLJLOJo941VzfE=; b=cUQnZEsACluMEadNCbd8u3Ccdb2Nf
 NnI7opVK3ajvvI8bGWe7KYle3tAdc0P2VGRjoSIUdoABc+35rN7krewsl6Rp+fB0
 8NIGeohyya+HLVNa1WV13EMwarRqK+QHaDlkb0UrbLVdU4U4qnPKzPZb8DTW98ji
 Mjuqe6BwXSUzSRtxxYM5S1FBWbfmkNN9ClK9nzBA2qVtlnQyQa9rSO5Hd+Fo5T3k
 bjmIl6/gp9wbey0Wk46XjKg7wATnwRpXQb8gZh546EI01nBPfKYkTWOuvTfoagfE
 FQCHMgrwVAoBcFhp1nfpPO3fFfnuHHiYOTDwqqOd4KMhK9fxHzqEV5F9Q==
X-ME-Sender: <xms:CNZ2Y6Q0qHXGFSdSxO7h6COJOud-kz8fbeTFXXGLgg1w11TTLecP9w>
 <xme:CNZ2Y_zdDz-5XT7WPrizPOVsTqxghj1II9SypmXoPuS2qWBJSvdwNvr8YQ75lKaar
 DOuCPBvh-8bZyon9Po>
X-ME-Received: <xmr:CNZ2Y31E4j62CYde_bJ5heSaadkhoQ7RK0FAL6j6FSVI9cxEqCDA5oGNijc4S3Hm-U0tC76Sdu2L_FKz5Oht-8Ln20bD>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeelgddvgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvfevufffkffojghfggfgsedtkeertdertddtnecuhfhrohhmpefrhhhilhhi
 phcuofgtifhrrghthhcuoehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomh
 eqnecuggftrfgrthhtvghrnhepkeffkeekuddtfeehgeelvdeuleeuhefghfetgedttddv
 kefgtefhudetleelhfehnecuffhomhgrihhnpehstghmrdhinhenucevlhhushhtvghruf
 hiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehphhhilhhiphesphhhihhlihhp
 mhgtghhrrghthhdrtghomh
X-ME-Proxy: <xmx:CNZ2Y2Dj_t2l0kmri1IsUEkWAf4Gr-qz3H8LfrI0yP-etJhljXKbPg>
 <xmx:CNZ2YzjUkp7YLV5YeJbNRbaLpJfDKzuSeWpIah1cFgmu5pd6mvoU5Q>
 <xmx:CNZ2YypItSODclNj2lW3O7lvppX--_YsT64YDriyIYjR9H8egrIsUg>
 <xmx:CNZ2Y-UK3DUF90AKFv_VWjBX3hiWSOV1DESs3Mcht1CT3jOFH5gpkA>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 17 Nov 2022 19:47:03 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH v2 4/4] etc: teams: Add chez.scm to Racket team's scope.
Date: Thu, 17 Nov 2022 19:45:33 -0500
Message-Id: <3a1f02544e018bd1164b8d867c8e672bc751128c.1668730588.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668730588.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Philip McGrath <philip@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Racket's variant of Chez Scheme is defined in that file.

* etc/teams.scm.in (racket)[#:scope]: Add gnu/packages/chez.scm.
---
 etc/teams.scm.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index c458b14e3b..f744204017 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -393,7 +393,8 @@ (define-team racket
         "The Racket language and Racket-based languages, Racket packages,
 Racket's variant of Chez Scheme, and development of a Racket build system and
 importer."
-        #:scope (list "gnu/packages/racket.scm")))
+        #:scope (list "gnu/packages/chez.scm"
+                      "gnu/packages/racket.scm")))
 
 
 (define-member (person "Thiago Jung Bauermann"
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 00:47:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 19:47:13 2022
Received: from localhost ([127.0.0.1]:34709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovpXF-0001h3-9h
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:13 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:37279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovpXA-0001gN-PE
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:09 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A5C895C014E;
 Thu, 17 Nov 2022 19:47:03 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 17 Nov 2022 19:47:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to; s=fm1; t=
 1668732423; x=1668818823; bh=uWNPaxEM/hHI0tTebpoGmUi8hjFKIy0oGel
 Xy1jKs1c=; b=Vbi9pIJvW4vrNdSRwowcqn22DXGHL6o7zyRHNZd6TcUeKBOE4t+
 asaw7Kp8yosnUrlpODfjfsUDVgsZiAvJw5q1BaOoKylSa+ca4esxsnL7zM5/YcQ2
 DEc1phkNOFznmnENTTAUrwSH6+Q+7ms9AzsMmnggC5rLCzk7q2w8qRUIUe1c3ffs
 wTCMX5XWZAPypTufm8g5WcQKRxwfw4NQp5kgfGmWK5OWycBpKYvdrHTD137YGgQW
 65ns04risBotMSZPNmiyaOo0/1nB5GyxoDwaipV/bl3waQIrJr8/VVDmNIidFczr
 503yJZbyGbXPUqTTnNKiHZVm/vITV1Dv61Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding:date:date
 :feedback-id:feedback-id:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1668732423; x=1668818823; bh=uWNPaxEM/hHI0
 tTebpoGmUi8hjFKIy0oGelXy1jKs1c=; b=QnlE/TNy6hkGrIicSfirjQ8dJSvzx
 L3fXtYURkGv+G/JhzDSPUYcTdVVa1bdi2e0gqEC48941luV4zMwzkN9qUCOYP9IX
 38hIV1TRBFbSNZt8ebM1rPmO7cc6MAkaIFlSW3DdfoaK1t+PdISoTf07PkgaGrFM
 WaOlmr8XMEWLs9i/wHoQqkIfCxpNhnETFVIgvIMQvVeGoFT1kQtJbyYaDjDVMiPA
 k+8GsLqT4J1EkvjCw0Z2D5e3e8vZ8gf8c/bVAebT/0mot131VDJ8l9xwaigLCjFW
 ZA6ghvK7xmy2a9kropMFPPDPZXRgEPNzWKaYHoAIOsn5SBUHYME/Gd3sw==
X-ME-Sender: <xms:B9Z2YyYV2qps_RBiBE3Tf4fnZhKoeFH1VP0ZPZJ62PTrMyjC6QnffQ>
 <xme:B9Z2Y1ZB2WiCRhkk7Cb-Yum8vCrJZM2w8Hx8lFGon75QfHUpNWymuyA11iwZc_hKM
 lyFCD9Dke1s_8F7wAY>
X-ME-Received: <xmr:B9Z2Y89t3JuyLfRfZN6UA9p8Lq_rj2Yjubj02ym192o4mETgXGrAiptgs8wdYRXdKmYVmd6c3gyh5alKCPsEEc6VXR5w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeelgddvgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvfevufffkffojghfggfgsedtkeertdertddtnecuhfhrohhmpefrhhhilhhi
 phcuofgtifhrrghthhcuoehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomh
 eqnecuggftrfgrthhtvghrnhepudehvdefjeetfffffeektdehtdetudfhtdfhuddtueeu
 kefhveehhfehvdfhheffnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucevlhhush
 htvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehphhhilhhiphesphhh
 ihhlihhpmhgtghhrrghthhdrtghomh
X-ME-Proxy: <xmx:B9Z2Y0onOmkyBOJCQolNWhnpuN-v1eQvlARPyhW-56cxWf4WYsG7AA>
 <xmx:B9Z2Y9r6iq05GqpNWYKMBqXctZ09j6Ac-v5vbmA4PfgRxMWjs_vbNQ>
 <xmx:B9Z2YyRHa4_25T7aPW3Qj5MuZiDRwPFC4qeu6b9t8HAWPHH7KvVwKA>
 <xmx:B9Z2Y-cPL5Y4x2r95iRigN9A3KptFcMLqRCfSb2a3Va9V8ArODbrog>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 17 Nov 2022 19:47:02 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH v2 3/4] gnu: racket-vm-cs: Avoid duplicate work.
Date: Thu, 17 Nov 2022 19:45:32 -0500
Message-Id: <549a86bbf01605b74c8987bffbf38fcfc73e9151.1668730588.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668730588.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Philip McGrath <philip@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Only configure with '--enable-racket' for cross-compilation: otherwise,
it effectively overrides '--enable-scheme' and bootstraps Chez Scheme
again. This change saves a couple minutes of build time. See upstream
discussion at <https://github.com/racket/racket/issues/4492>.

* gnu/packages/racket.scm (racket-vm-cs)[native-inputs]: Only supply a
Racket VM when cross-compiling.
---
 gnu/packages/racket.scm | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index 20d293e998..2cda2b6b9c 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -439,14 +439,12 @@ (define-public racket-vm-cs
      (let ((native-inputs (package-native-inputs racket-vm-cgc)))
        (modify-inputs (if (%current-target-system)
                           (modify-inputs native-inputs
+                            (prepend this-package)
                             (delete "racket-vm-cgc"))
                           native-inputs)
          (delete "libtool")
          (prepend chez-scheme-for-racket
-                  chez-nanopass-bootstrap
-                  (if (%current-target-system)
-                      racket-vm-cs
-                      racket-vm-bc)))))
+                  chez-nanopass-bootstrap))))
     (arguments
      (substitute-keyword-arguments (package-arguments racket-vm-cgc)
        ((#:phases those-phases #~%standard-phases)
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 00:47:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 19:47:10 2022
Received: from localhost ([127.0.0.1]:34707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovpXB-0001gh-TH
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:10 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:40421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovpX9-0001gM-Pa
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:47:08 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id B24DB5C018F;
 Thu, 17 Nov 2022 19:47:02 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Thu, 17 Nov 2022 19:47:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to; s=fm1; t=
 1668732422; x=1668818822; bh=RnCPbqdAGyfqpPpNh8r6nYNE1hQB6JW552T
 mli74Imw=; b=e4EVrjIC4Ks+CnhWd1wL0YpESX4U1jENtYl2xOifrBRM2VeAcOL
 LxD5Y9YvHslWaWDZJroyu+jjC9XoKDS7HEtZcYn4dK++es/ncwM01yO2rE/zn6Eq
 SVLY7jcJTnOT5WTt8lgrjAz+PuZYpHq4Zmwsrr6I0JG94qFewJ+7z+pJYTRAio7U
 N0j8OEyZBuIZYhYBmzs5mTJnNPZ//cEpY2tcg9uW6xu4tpOrHxoCiNOUc+loDDJD
 AG0/u9Jm2BtB1OI148KoGPorQH5VkyAZcvNf42J4Pe9UVJXA5P/jhxwpW8es8jVI
 Py1e5fJbE3/vYk2SMGqPCgT9ektU57P0DFw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding:date:date
 :feedback-id:feedback-id:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1668732422; x=1668818822; bh=RnCPbqdAGyfqp
 PpNh8r6nYNE1hQB6JW552Tmli74Imw=; b=GkZUkq873W+xTE0pndOz0nC2T5fj1
 BqW+1P/dgy4RxQlPQWLFOUZyS3RoqTE7bVZsgYW2OScmkJWnYoo6VynAAF+DdM6w
 BWQ6oli7fy3FkkXDySzutGVGqM8hcBN/zWe3KMT7jRIyNfqT9mZrzLY131fCDb6k
 y5bDPAY+2B+hThq1W539fOlAioV7Lm4xVI2CkNKRTVRxNVoaUadCeyXh+wy/N1kI
 0Tk2Zr9vCC54n4fC3MNSRY2SXIQ/QH7XkondPjgbyUwtX4Bb395mRK1g+do5BlbT
 0g5C25XpomKZOVnf+wy8x9ENKpiFl7TEdRoQibUDWH5eJtGO3IF0PwYvA==
X-ME-Sender: <xms:BtZ2Ywg_fvNMf6zXzq5emaIA7KlfbtFmBY_3EfbDSZN0ZnospDEu-w>
 <xme:BtZ2Y5AiuGz9dLMxSPXWY1HvEBq15nbBkT7JujlqSyJvKK5BrSGlxocJMMjkzt2yW
 qoP__gVpDyU24g5XSQ>
X-ME-Received: <xmr:BtZ2Y4FvlG3Ootl9HY4WLOajU3oFXKoXRntKD3SpLIB_k-YoMydLegYVuBbF_li9pM25309q9-SsM8paeS62KghFXqDD>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeelgddvhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvfevufffkffojghfggfgsedtkeertdertddtnecuhfhrohhmpefrhhhilhhi
 phcuofgtifhrrghthhcuoehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomh
 eqnecuggftrfgrthhtvghrnhepgffhgfffjeegudejvddvgedvheefveehvdffueduudei
 vdfhgeeileehvdfhfeefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepphhhihhlihhpsehphhhilhhiphhmtghgrhgrthhhrdgtohhm
X-ME-Proxy: <xmx:BtZ2YxTMMPJ_MMLIbF2ojvEEtrBJ_1YI69sq7cztaUrsGYUUvEaxPw>
 <xmx:BtZ2Y9yg1Kzc0TiyKmZ_NFqjZomsY9SIvHl9namDoABYG4L-3JiONw>
 <xmx:BtZ2Y_7BxDKLmL_USj89PUOpWK1OLo0XzCXR60d3oO_-s0gwgaYZfA>
 <xmx:BtZ2Y0l2mQrav4KsCOaLtsIN7IeNy5KrcBGFuvuwceglt1vAleeIHA>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 17 Nov 2022 19:47:01 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH v2 2/4] gnu: chez-scheme-for-racket: Support riscv64.
Date: Thu, 17 Nov 2022 19:45:31 -0500
Message-Id: <f77badf116d9ea9a0ebad18fe8819b45492501bc.1668730588.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668730588.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668730588.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Philip McGrath <philip@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Use the new native backend instead of "portable bytecode".

* gnu/packages/chez.scm (target-chez-arch): Support riscv64-linux-gnu.
(%chez-features-table): Likewise.
---
 gnu/packages/chez.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/chez.scm b/gnu/packages/chez.scm
index 7025a71b94..0d22e2e20f 100644
--- a/gnu/packages/chez.scm
+++ b/gnu/packages/chez.scm
@@ -104,7 +104,7 @@ (define* (target-chez-arch #:optional (system
    ((target-ppc32? system)
     "ppc32")
    ((target-riscv64? system)
-    #f)
+    "rv64")
    (else
     #f)))
 
@@ -170,6 +170,7 @@ (define %chez-features-table
      ("a6" threads bootstrap-bootfiles)
      ("arm32" bootstrap-bootfiles)
      ("arm64" . #f)
+     ("rv64" . #f)
      ("ppc32" threads))
     ;; Hurd
     ("gnu"
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 18 Nov 2022 00:46:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 19:46:46 2022
Received: from localhost ([127.0.0.1]:34692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovpWo-0001fa-Bi
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:46:46 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:55699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovpWl-0001fH-Q2
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 19:46:45 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 53F6F5C010C;
 Thu, 17 Nov 2022 19:46:38 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 17 Nov 2022 19:46:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1668732398; x=1668818798; bh=xaV/ihiQpW
 2MqWAka17Wxzq4H/0tO2TJi5npgVib+l4=; b=Agys0FjXx8/u0dG2LnQzHHhyaF
 1RJsauPthcyOZRIi6bTfp3oA84W0BEx/rAl6PExEh6SVQsigQEkcF33hQL/Uaabc
 4aV1/I7W/46eqh93W1DcbYPap91O0VBs0/6gUfYAdveYczdmHn8JY9zY+COXkB6I
 wTzZ0nNpmc04NTUbkVvoThL9SiaEOqVb9UIh3QOSrHwFsWI16wIKT2pOciKdaXER
 XdcBTTiko5Xx3SC/g28N4KfVxG1iz4zbFN3x1rs5jfblP7DbXdgU3Jn4OTvLLZqb
 PSp3uNNh1OG6dN8QMSWx+7UCvgGhbhFCMXne0KlQH6BrC8GDrv8Gcn8jZW0Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1668732398; x=
 1668818798; bh=xaV/ihiQpW2MqWAka17Wxzq4H/0tO2TJi5npgVib+l4=; b=j
 PRuS86BdY5RHj/tnsLOHV+ZsyUqmn0pGxxgu3VcDJGvjBF3r4r4Lg6PSBbfdmkK4
 Nz0+8ldY3LM9i5kTqKSQMzVR9tu+ctCmv/XS326G7Jl2+GFvuhe/DNXPTZnrIo8/
 NGAXMJH3usa807hoN0yxJJbXGeJ/RUiSV2Ea9NkmI35oRXr0zusjS823Cn9K77gJ
 7zgkxek1Bvidx445FDdDSwnDnVI3OXKrkKVqfMRqMNtYsRHiYuQhDwh4AedNRNLu
 i69B8ZjmuYXVeCxFVKWiSKLgVbuMP8BxhRhgCR8xkOiDIid/lq8siBvGmtP4N4+6
 mSa7fIi0kpAWVt/pfMpew==
X-ME-Sender: <xms:7dV2YxjI0I-qP1ouMKzqaKavsjzDHEDQXQht824ltIjfvGOgIK4rmg>
 <xme:7dV2Y2DewF2Uzc-mJ-eCmBwT8MmIU-T5f5jGvzfDjuHXdD5MB7gs06lkCT_xewGET
 mePsf1M6E4TPUPJtHw>
X-ME-Received: <xmr:7dV2YxFHyWollsd12g0L7aXmc8W5npcT_8D1KSG4J21_sOtBjIzrSBEcrJ6d9NJVEGDkKu5-YC29cP9s9TUuqcorIdm->
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeelgddvgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvfevufffkffojghfgggtgfesthekredtredtjeenucfhrhhomheprfhhihhl
 ihhpucfotgfirhgrthhhuceophhhihhlihhpsehphhhilhhiphhmtghgrhgrthhhrdgtoh
 hmqeenucggtffrrghtthgvrhhnpedtiefhtdeuhfehkeetkeeiieevfffhteffueelvdev
 jefftdeivdejieelgefhteenucffohhmrghinhepghhnuhdrohhrghdpshgtmhdrihhnne
 cuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepphhhihhl
 ihhpsehphhhilhhiphhmtghgrhgrthhhrdgtohhm
X-ME-Proxy: <xmx:7dV2Y2T0G9QgzLsAVRno41sIj0cDZ-xQ73VJuyrlGY40iESH_fCnnw>
 <xmx:7dV2Y-yq7K1Icc9Wp_qUXrl7Qj45-R7K90pRSzhoZ4F3Dc4Aia57GQ>
 <xmx:7dV2Y85qy2l5QvnmAxQ4C-pY8bbJxQu9j27e5trIE6-5_eEYEGgu4w>
 <xmx:7tV2Y1lj4Hus3FMe2VvviKgjlVB93QPRFBQbO5o4smz8gaObeDAK9A>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 17 Nov 2022 19:46:37 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH v2 0/4] gnu: racket: Update to 8.7.
Date: Thu, 17 Nov 2022 19:45:29 -0500
Message-Id: <cover.1668730588.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
 <cover.1668634501.git.philip@HIDDEN>
 <4572a52575c06039b7fc91672e18bc1aebe951eb.1668634501.git.philip@HIDDEN>
References: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Philip McGrath <philip@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Here's a v2 reflecting your comments.

On Thursday, November 17, 2022 2:30:22 AM EST Liliana Marie Prikler wrote:
> Am Mittwoch, dem 16.11.2022 um 16:39 -0500 schrieb Philip McGrath:
> > * gnu/local.mk (dist_patch_DATA): Update accordingly.
> 
> This update seems non-complete – where the other backports previously
> missing from our dist_patch_DATA?
>

Yes: they were in dist_patch_DATA in the first series I sent
at <https://issues.guix.gnu.org/57050>, but it looks like I must have missed
them while rebasing and splitting the patches. At any rate, commit
9647296ce618fbc79026534c3fafb1a538612697 doesn't change gnu/local.mk at all,
despite what its commit log says.

I've explained briefly in the new commit message.

> > * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
> > (%racket-version): Update to 8.7.
> > (racket)[inputs]: Add 'scheme-doc' source package from '%racket-
> > origin'.
> > (racket)[inputs]<compatibility, db, deinprogramm, draw, drracket,
> > eopl,
> > errortrace, gui, htdp, mzscheme, parser-tools, pict, plai, plot,
> > r6rs,
> > redex, scribble, slideshow, snip, typed-racket, srfi, string-
> 
> > constants>:
> Use proper ChangeLog formatting, i.e. <compatibility,... drracket>
> <eopl, errortrace, ...plot>
> ...
> Pardon the potential off-by-one error due to the added quote columns.
>

I hope I've now done this in the style you want. The style at linebreaks
doesn't seem to have been entirely consistent among Guix commits.

> > Update checksums.
> > * gnu/packages/chez.scm (target-chez-arch): Support riscv64-linux-
> > gnu.
> > (%chez-features-table): Likewise.
> > (chez-scheme-for-racket): Update to 9.5.9.8.
> > [arguments]: Enable tests.
> > [description]: Update.
> > (chez-scheme-for-racket-bootstrap-bootfiles)[arguments]: Update path
> > to
> > 'rktboot'.
> 
> I suggest splitting this into two or three commits, where
> (1. Update Chez scheme)
> 2. Update Racket with all the patches and checksums.
> 3. Update feature tables.
> 
> IIRC 1 and 2 share the definition of Racket origin, so it might not be
> possible to split them, but it is definitely not necessary to enable
> further arches that hitherto didn't work "in one go".

I have split out the riscv64 support as you suggested.

 -Philip


Philip McGrath (4):
  gnu: racket: Update to 8.7.
  gnu: chez-scheme-for-racket: Support riscv64.
  gnu: racket-vm-cs: Avoid duplicate work.
  etc: teams: Add chez.scm to Racket team's scope.

 etc/teams.scm.in                              |   3 +-
 gnu/local.mk                                  |   2 +-
 gnu/packages/chez.scm                         |  21 +-
 .../racket-backport-8.6-cross-install.patch   | 126 ----
 .../racket-backport-8.6-docindex-write.patch  |  36 --
 .../patches/racket-backport-8.6-hurd.patch    | 609 ------------------
 .../patches/racket-backport-8.6-zuo.patch     | 481 --------------
 .../racket-backport-8.7-pkg-strip.patch       |  90 +++
 gnu/packages/racket.scm                       |  60 +-
 9 files changed, 130 insertions(+), 1298 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-cross-install.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-docindex-write.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-hurd.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-zuo.patch
 create mode 100644 gnu/packages/patches/racket-backport-8.7-pkg-strip.patch


base-commit: 83c9e00ffbd41776c003f6992e9d613a5434fff9
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 17 Nov 2022 07:30:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 02:30:33 2022
Received: from localhost ([127.0.0.1]:58965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovZM0-0007dI-BI
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 02:30:33 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:62439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ovZLv-0007d5-96
 for 59322 <at> debbugs.gnu.org; Thu, 17 Nov 2022 02:30:31 -0500
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4NCWlz4rgRz3wkZ;
 Thu, 17 Nov 2022 08:30:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1668670223;
 bh=DO1kUWgrCNgzNR0I7Civk6muzIQObHUvjAKu42zbyjs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=MitHOMu631CuHdjYYdOoHfx3Ls6ECtidcvLKpLcDIcPY7kEaW6fzo74uZJu5DfklW
 0bnwl+IRDAyYItVIrRTS8pPdMYDM9BcJ0Kui8skCy3cKSwkv3d79eOhvPhB8Mk1R1y
 ILxFvKM19udlK8E2A7Okm6cTj47sFy/jMFZgDbEM=
Message-ID: <6e91dc3c98d28fb4332a1b0109b23088b76b69f6.camel@HIDDEN>
Subject: Re: [PATCH 1/2] gnu: racket: Update to 8.7.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Philip McGrath <philip@HIDDEN>, 59322 <at> debbugs.gnu.org
Date: Thu, 17 Nov 2022 08:30:22 +0100
In-Reply-To: <4572a52575c06039b7fc91672e18bc1aebe951eb.1668634501.git.philip@HIDDEN>
References: <cover.1668634501.git.philip@HIDDEN>
 <4572a52575c06039b7fc91672e18bc1aebe951eb.1668634501.git.philip@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59322
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Mittwoch, dem 16.11.2022 um 16:39 -0500 schrieb Philip McGrath:
> Also, update 'chez-scheme-for-racket' to 9.5.9.8.
>=20
> * gnu/packages/patches/racket-backport-8.6-cross-install.patch,
> gnu/packages/patches/racket-backport-8.6-docindex-write.patch,
> gnu/packages/patches/racket-backport-8.6-hurd.patch,
> gnu/packages/patches/racket-backport-8.6-zuo.patch: Remove patches.
Okay.
> * gnu/packages/patches/racket-backport-8.7-pkg-strip.patch: New
> patch.
The patch LGTM.
> * gnu/local.mk (dist_patch_DATA): Update accordingly.
This update seems non-complete =E2=80=93 where the other backports previous=
ly
missing from our dist_patch_DATA?
> * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
> (%racket-version): Update to 8.7.
> (racket)[inputs]: Add 'scheme-doc' source package from '%racket-
> origin'.
> (racket)[inputs]<compatibility, db, deinprogramm, draw, drracket,
> eopl,
> errortrace, gui, htdp, mzscheme, parser-tools, pict, plai, plot,
> r6rs,
> redex, scribble, slideshow, snip, typed-racket, srfi, string-
> constants>:
Use proper ChangeLog formatting, i.e. <compatibility,... drracket>
<eopl, errortrace, ...plot>
...
Pardon the potential off-by-one error due to the added quote columns.
> Update checksums.
> * gnu/packages/chez.scm (target-chez-arch): Support riscv64-linux-
> gnu.
> (%chez-features-table): Likewise.
> (chez-scheme-for-racket): Update to 9.5.9.8.
> [arguments]: Enable tests.
> [description]: Update.
> (chez-scheme-for-racket-bootstrap-bootfiles)[arguments]: Update path
> to
> 'rktboot'.
I suggest splitting this into two or three commits, where
(1. Update Chez scheme)
2. Update Racket with all the patches and checksums.
3. Update feature tables.

IIRC 1 and 2 share the definition of Racket origin, so it might not be
possible to split them, but it is definitely not necessary to enable
further arches that hitherto didn't work "in one go".


Cheers




Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 16 Nov 2022 21:40:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 16:40:22 2022
Received: from localhost ([127.0.0.1]:58357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovQ8s-0002nC-0V
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:40:22 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:59641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovQ8d-0002mM-DG
 for 59322 <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:40:09 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 41E985C0206;
 Wed, 16 Nov 2022 16:40:02 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Wed, 16 Nov 2022 16:40:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to; s=fm1; t=
 1668634802; x=1668721202; bh=uWNPaxEM/hHI0tTebpoGmUi8hjFKIy0oGel
 Xy1jKs1c=; b=ZASPOVCgsJt5wpMrIufO8MBciKcl2dCx63emIMq02ALvqiFQrEx
 qGIj5q4NzkndvDmxiVuOYio8niHF3xoK1clNj7VgpGQTFCDPqWpOa+xCJTE+E9PV
 TbJJZpdhYU0PZvdZcD/OzJuhZGsYORK2BHOBON2WNv3ob3yYZ1OnbAez704Ge7AD
 7m3fs/aGZMNwpifHu1m5jyfSNqpL8ejJW9yhv0wVS9shm1/FPWE5kWlUJhlTJyUC
 THUdRXYHBEf4cp1MpljHUgpEzahtuqLVTSlZ0my7TbR196YCxKE0YxUD5Y9lNsum
 xVRN6ntlyqXCOrpCElDJQxUV1WnX8mNzRlw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding:date:date
 :feedback-id:feedback-id:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1668634802; x=1668721202; bh=uWNPaxEM/hHI0
 tTebpoGmUi8hjFKIy0oGelXy1jKs1c=; b=sHpNGORbj3HcjZQNEzi6kinPHCCPo
 TvuFMP4la9sDTXituUWTYHAqK+b5/wPLD0/bm9w3y/eOthVLSgrfl3v7R469beKA
 JSYnCDu0c11oofrs7U0rc0mh8t1mCCAiIq8qg/eXm0Gr2TiOWuNHQr1DVJqbXqDr
 IdSJKNvyQ6iukk+Y0K5blOBVdIiU7wt/usRxQ0JgJHcM0Exgqvmh5kNuvE+96CSo
 gC8O+TAWNUnuGg4OhW7c7hyUrEItlFnUhWi+HMrjy6iDPTuknluqxgXj6BG/5sWQ
 +GbchhVGtWznoN5isvDbl/4FrYqrHxRDi86oLP9/24KKoYrABZJxAUPAQ==
X-ME-Sender: <xms:sVh1Yyw49e7xq7mMxCxQ_HqZ4N7UMz-ls0X-wdKm94-yUpG_94PCFQ>
 <xme:sVh1Y-SOZkdDL65yZAmIf5EMvW_ETp1SrEJFeMdd48ACS8ZOU4f40O3vdqN6PkLlS
 k5CpEqGuWG1BGS7VKM>
X-ME-Received: <xmr:sVh1Y0UHnPQZXsaap5rQXx3eZg-e8AIFJrgw2HmHhTEWb2kM8Q93d_tje2zpICsWa2WqWHvCg38SQsJuuZbOC45c3cGJ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeeigdduhedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvfevufffkffojghfggfgsedtke
 ertdertddtnecuhfhrohhmpefrhhhilhhiphcuofgtifhrrghthhcuoehphhhilhhiphes
 phhhihhlihhpmhgtghhrrghthhdrtghomheqnecuggftrfgrthhtvghrnhepudehvdefje
 etfffffeektdehtdetudfhtdfhuddtueeukefhveehhfehvdfhheffnecuffhomhgrihhn
 pehgihhthhhusgdrtghomhenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmh
 grihhlfhhrohhmpehphhhilhhiphesphhhihhlihhpmhgtghhrrghthhdrtghomh
X-ME-Proxy: <xmx:slh1Y4iCdiMRGIxnOpVqGqgy9ga_LK2j4dQ3FhhMgbvyONsAmEsB2g>
 <xmx:slh1Y0CIXxR88NsU6qlJ4SUIUco4aB0lKfTMrlg7M-oS9kLaqMzWaw>
 <xmx:slh1Y5If_RxObtDWchw94qQ0ZRcHMfkxBY0iBPC5jPgTzIWcgr6zRQ>
 <xmx:slh1Y3_j3x66T7qLQcYc--wX7am-KikeZXguWxTo7Sbp53OWVT3WTw>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 16 Nov 2022 16:40:01 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: racket-vm-cs: Avoid duplicate work.
Date: Wed, 16 Nov 2022 16:39:29 -0500
Message-Id: <eb8aaa0013fbd05a1741781e3df7be350a5c19de.1668634501.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668634501.git.philip@HIDDEN>
References: <cover.1668634501.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Philip McGrath <philip@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Only configure with '--enable-racket' for cross-compilation: otherwise,
it effectively overrides '--enable-scheme' and bootstraps Chez Scheme
again. This change saves a couple minutes of build time. See upstream
discussion at <https://github.com/racket/racket/issues/4492>.

* gnu/packages/racket.scm (racket-vm-cs)[native-inputs]: Only supply a
Racket VM when cross-compiling.
---
 gnu/packages/racket.scm | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index 20d293e998..2cda2b6b9c 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -439,14 +439,12 @@ (define-public racket-vm-cs
      (let ((native-inputs (package-native-inputs racket-vm-cgc)))
        (modify-inputs (if (%current-target-system)
                           (modify-inputs native-inputs
+                            (prepend this-package)
                             (delete "racket-vm-cgc"))
                           native-inputs)
          (delete "libtool")
          (prepend chez-scheme-for-racket
-                  chez-nanopass-bootstrap
-                  (if (%current-target-system)
-                      racket-vm-cs
-                      racket-vm-bc)))))
+                  chez-nanopass-bootstrap))))
     (arguments
      (substitute-keyword-arguments (package-arguments racket-vm-cgc)
        ((#:phases those-phases #~%standard-phases)
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at 59322 <at> debbugs.gnu.org:


Received: (at 59322) by debbugs.gnu.org; 16 Nov 2022 21:40:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 16:40:21 2022
Received: from localhost ([127.0.0.1]:58349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovQ8d-0002mY-6v
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:40:21 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:55259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovQ8U-0002lo-Hv
 for 59322 <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:40:05 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 590205C01F1;
 Wed, 16 Nov 2022 16:39:53 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Wed, 16 Nov 2022 16:39:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1668634793; x=1668721193; bh=ipK0yXDB8y
 FoM2sWocE6U7g/c5CV0qCGQ24QXTPlH1o=; b=ie0p41UTgRCBkAZFbhEH07xqJG
 TSanxAZIREGOOR2/CKjBBGoY8qwJA1xzsLiQpMFAyi2qVH3Aqug7W2ShrCE/Hm6f
 pUT7k9az3rL6nVSJp0TxnfvVnXjp6yt2E+HgI8IPc0j+H5LpJ78lgfj4baPO/Fxw
 JjzDo5ksJzztRvlsRtkTTD4pYLSardx3tnLZAl3YGBlNNOvWgBt3RK5kSmy2EvLE
 6eKvI7ED7wgv8L6+AE+gdFl+BQS6noiP1aruRJbhFjhSA13sMgyp7R14b0790gg3
 MNh9PVp/SPuooCsYtTVB+k3TQBuYiX6wDyXy5niiGNgjk0zF0+NZkel5SI+g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1668634793; x=
 1668721193; bh=ipK0yXDB8yFoM2sWocE6U7g/c5CV0qCGQ24QXTPlH1o=; b=T
 OkfEvF8kkvUrygekODrwbQaeXcrzBqxONJ1Nul0jQ8XsE+fK2RsKBXLGp+ijf8f1
 CDifjO66ZvWs+hxRi6q25780OZ4EXPoaHsFkwGSK52+qEMJ6goGMH3NWRBignRw1
 gdNiybuximUlo0+Bq4j0josmd8WgDnlmAhoG9417aBb1QfBe5B0TYTumyWDbVV4c
 Xxs43CF5wQiENZJZVn6kkuaQpuYqIgMC5KfkSuvCQVy8wo6/uYDWJQnjOBxWdTk6
 Hx4R+8fETAab6rQNIXL4VCARKkHYjuS1blsuIitlyVnzK3/NqzYSRJWYDwpJP1oz
 YTIvUgVv1RG1ndsL+/s9w==
X-ME-Sender: <xms:qVh1Y8U4rbmdOEWxoemVqtL2Wvx2WDUkUB4OPJwuS0dcK0ZRirqrUg>
 <xme:qVh1YwlGVCOzjR2_ak5u3k_CfjDfl9PpH3wwJPG1dP2gBKTYX_xqaWt-Te7ooZABi
 gka_TdVu8cAJImCUns>
X-ME-Received: <xmr:qVh1YwZAehe53TO15VgnB9hSOaxdRTkBjCGkQoFnQ5MCfJrqvc2a3yS709U0WSXDNFMj7_SU1BTxCEDHEFd9F-OYHxR7>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeeigdduheduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvfevufffkffojghfgggtgfesth
 ekredtredtjeenucfhrhhomheprfhhihhlihhpucfotgfirhgrthhhuceophhhihhlihhp
 sehphhhilhhiphhmtghgrhgrthhhrdgtohhmqeenucggtffrrghtthgvrhhnpeffhfdvud
 dvteevtdelveeugfelvedvgfefteekffeljefgieekjeekffeuvdelueenucffohhmrghi
 nhepghhithhhuhgsrdgtohhmpdhgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomhepphhhihhlihhpsehphhhilhhiphhmtghgrhgr
 thhhrdgtohhm
X-ME-Proxy: <xmx:qVh1Y7US_lJIX6GqZ21MbRED1OIC2mBz64-rp8GWvAdzY17-vnwq8w>
 <xmx:qVh1Y2lZHAw1cwmbuAzXWLp0uioSNuPoHOHHHXhpBDybnKlCA2chlg>
 <xmx:qVh1YwcEGZwCEdwrWFuILwlEao4O5seJ7K51ppKIblKyEC3cwEgFUw>
 <xmx:qVh1Y3CQvfsyzFCNFu2oIp_EfJOBToV1GbWQsTnI0EHPiBpmpB_I6A>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 16 Nov 2022 16:39:52 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: 59322 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: racket: Update to 8.7.
Date: Wed, 16 Nov 2022 16:39:28 -0500
Message-Id: <4572a52575c06039b7fc91672e18bc1aebe951eb.1668634501.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
In-Reply-To: <cover.1668634501.git.philip@HIDDEN>
References: <cover.1668634501.git.philip@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59322
Cc: Philip McGrath <philip@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also, update 'chez-scheme-for-racket' to 9.5.9.8.

* gnu/packages/patches/racket-backport-8.6-cross-install.patch,
gnu/packages/patches/racket-backport-8.6-docindex-write.patch,
gnu/packages/patches/racket-backport-8.6-hurd.patch,
gnu/packages/patches/racket-backport-8.6-zuo.patch: Remove patches.
* gnu/packages/patches/racket-backport-8.7-pkg-strip.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Update accordingly.
* gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
(%racket-version): Update to 8.7.
(racket)[inputs]: Add 'scheme-doc' source package from '%racket-origin'.
(racket)[inputs]<compatibility, db, deinprogramm, draw, drracket, eopl,
errortrace, gui, htdp, mzscheme, parser-tools, pict, plai, plot, r6rs,
redex, scribble, slideshow, snip, typed-racket, srfi, string-constants>:
Update checksums.
* gnu/packages/chez.scm (target-chez-arch): Support riscv64-linux-gnu.
(%chez-features-table): Likewise.
(chez-scheme-for-racket): Update to 9.5.9.8.
[arguments]: Enable tests.
[description]: Update.
(chez-scheme-for-racket-bootstrap-bootfiles)[arguments]: Update path to
'rktboot'.
---
 gnu/local.mk                                  |   2 +-
 gnu/packages/chez.scm                         |  21 +-
 .../racket-backport-8.6-cross-install.patch   | 126 ----
 .../racket-backport-8.6-docindex-write.patch  |  36 --
 .../patches/racket-backport-8.6-hurd.patch    | 609 ------------------
 .../patches/racket-backport-8.6-zuo.patch     | 481 --------------
 .../racket-backport-8.7-pkg-strip.patch       |  90 +++
 gnu/packages/racket.scm                       |  54 +-
 8 files changed, 126 insertions(+), 1293 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-cross-install.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-docindex-write.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-hurd.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-zuo.patch
 create mode 100644 gnu/packages/patches/racket-backport-8.7-pkg-strip.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 4fcaa6801a..8441fc6ad5 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1796,7 +1796,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/ripperx-missing-file.patch		\
   %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
   %D%/packages/patches/rtags-separate-rct.patch			\
-  %D%/packages/patches/racket-backport-8.6-zuo.patch		\
+  %D%/packages/patches/racket-backport-8.7-pkg-strip.patch	\
   %D%/packages/patches/racket-chez-scheme-bin-sh.patch		\
   %D%/packages/patches/racket-rktio-bin-sh.patch		\
   %D%/packages/patches/racket-zuo-bin-sh.patch			\
diff --git a/gnu/packages/chez.scm b/gnu/packages/chez.scm
index 5d152b3db5..0d22e2e20f 100644
--- a/gnu/packages/chez.scm
+++ b/gnu/packages/chez.scm
@@ -104,7 +104,7 @@ (define* (target-chez-arch #:optional (system
    ((target-ppc32? system)
     "ppc32")
    ((target-riscv64? system)
-    #f)
+    "rv64")
    (else
     #f)))
 
@@ -170,6 +170,7 @@ (define %chez-features-table
      ("a6" threads bootstrap-bootfiles)
      ("arm32" bootstrap-bootfiles)
      ("arm64" . #f)
+     ("rv64" . #f)
      ("ppc32" threads))
     ;; Hurd
     ("gnu"
@@ -466,8 +467,8 @@ (define-public chez-scheme-for-racket
   (package
     (inherit chez-scheme)
     (name "chez-scheme-for-racket")
-    (version "9.5.9.2")
-    ;; The version should match `(scheme-fork-version-number)`.
+    (version "9.5.9.8")
+    ;; The version should match `scheme-version`.
     ;; See racket/src/ChezScheme/s/cmacros.ss c. line 360.
     ;; It will always be different than the upstream version!
     ;; When updating, remember to also update %racket-version in racket.scm.
@@ -492,12 +493,6 @@ (define-public chez-scheme-for-racket
      (substitute-keyword-arguments (package-arguments chez-scheme)
        ((#:out-of-source? _ #f)
         #t)
-       ((#:tests? _ #t)
-        ;; FIXME: There have been some flaky test failures. Some have been
-        ;; fixed upstream post-release but have proven non-trivial to
-        ;; backport; at least one issue remains. Re-enable tests once
-        ;; https://github.com/racket/racket/issues/4359 is fixed.
-        #f)
        ((#:configure-flags cfg-flags #~'())
         #~`("--disable-x11"
             "--threads" ;; ok to potentially duplicate
@@ -590,7 +585,7 @@ (define-public chez-scheme-for-racket
 Main additions to Chez Scheme in the Racket variant:
 @itemize @bullet
 @item
-AArch64 code generation
+AArch64 and RV64G (RISC-V) code generation
 @item
 Portable bytecode (@code{pb}) mode, which is mainly useful for bootstrapping a
 build on any platform, but can also be used on platforms without native-code
@@ -603,7 +598,7 @@ (define-public chez-scheme-for-racket
 @item
 Type reconstruction during optimization (especially for safe code)
 @item
-Continuation attachments
+Continuation marks
 @item
 Parallel garbage collection, in-place garbage collection for old-generation
 objects (instead of always copying), and reachability-based memory
@@ -611,6 +606,8 @@ (define-public chez-scheme-for-racket
 @item
 Ordered finalization, immobile (but collectable) objects, weak/ephemeron
 generic hash tables, and reference bytevectors
+@item
+Easier bootstrapping via old versions of Chez Scheme
 @end itemize")
     (license asl2.0)))
 
@@ -695,7 +692,7 @@ (define-public chez-scheme-for-racket-bootstrap-bootfiles
                       #~(invoke
                          (search-input-file (or native-inputs inputs)
                                             "/opt/racket-vm/bin/racket")
-                         "rktboot/main.rkt"
+                         "../rktboot/main.rkt"
                          #$@(if (racket-cs-native-supported-system?)
                                 #~()
                                 (let ((m (nix-system->pbarch-machine-type)))
diff --git a/gnu/packages/patches/racket-backport-8.6-cross-install.patch b/gnu/packages/patches/racket-backport-8.6-cross-install.patch
deleted file mode 100644
index 2c4d8924ed..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-cross-install.patch
+++ /dev/null
@@ -1,126 +0,0 @@
-From fbe2094f56fb81c888076c781e90fb0abbc0cc07 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 30 Jul 2022 07:06:55 -0600
-Subject: [PATCH 1/2] CS makefiles: fix Unix-style install for cross
- compilation
-
-Closes #4377
-
-(cherry picked from commit 053be470e7c5454cdf48e934f3254d2d916bbbc5)
----
- racket/src/cs/c/build.zuo | 5 ++---
- 1 file changed, 2 insertions(+), 3 deletions(-)
-
-diff --git a/racket/src/cs/c/build.zuo b/racket/src/cs/c/build.zuo
-index 8d3950bb27..d8b74c509d 100644
---- a/racket/src/cs/c/build.zuo
-+++ b/racket/src/cs/c/build.zuo
-@@ -1016,10 +1016,9 @@
-   (define (setup)
-     (call-with-dest-racket
-      (lambda (bindir dest-racket)
--       (define copytree-racket (and cross? (config-bootstrap-racket)))
-+       (define copytree-racket (and cross? (hash-ref (config-bootstrap-racket) 'racket)))
-        (maybe-copytree config dest-racket copytree-racket at-dir)
--       (run-raco-setup config dest-racket
--                       (and cross? (hash-ref (config-bootstrap-racket) 'racket))
-+       (run-raco-setup config dest-racket copytree-racket
-                        ;; this can be redundant if it's also supplied via `SETUP_MACHINE_FLAGS`,
-                        ;; but redundant should be ok:
-                        (list "-MCR" (~a (at-dir "compiled") ":")
--- 
-2.32.0
-
-
-From 85802f4d515e310e657928707800ad709a676e2a Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Mon, 15 Aug 2022 10:37:01 +0800
-Subject: [PATCH 2/2] configure: adjust cross-build assumption for a pb build
-
-Don't assume a cross build for a pb target on a platform that's only
-supported via pb.
-
-(cherry picked from commit 70e484e885637c495be5481983dae2207fdd67bb)
-
-(Edited to remove unrelated tweak to comments in
-"racket/src/expander/expand/require+provide.rkt".)
----
- racket/src/cs/c/configure    | 15 +++++++++++----
- racket/src/cs/c/configure.ac | 15 +++++++++++----
- 2 files changed, 22 insertions(+), 8 deletions(-)
-
-diff --git a/racket/src/cs/c/configure b/racket/src/cs/c/configure
-index 454d79e11a..7e0fa5600d 100755
---- a/racket/src/cs/c/configure
-+++ b/racket/src/cs/c/configure
-@@ -4679,6 +4679,11 @@ case "$MACH_HOST_CPU" in
-     ;;
- esac
- 
-+if test "${MACH}" = "" ; then
-+  default_mach_was_empty=yes
-+else
-+  default_mach_was_empty=no
-+fi
- 
- if test "${enable_mach}" != "" ; then
-   MACH="${enable_mach}"
-@@ -4701,13 +4706,15 @@ elif test "$MACH" = "" -o "$MACH_OS" = "" ; then
-    exit 1
- fi
- 
--# For a pb build where Racket is supplied, force cross-build
--# mode on the assumption that the host is not a pb build
--# (because it should be created with default configure options)
-+# For a pb build where Racket is supplied and MACH was not originally
-+# empty, force cross-build mode on the assumption that the host is not
-+# a pb build (because it should be created with default configure options)
- if test "${enable_pb}" = "yes" ; then
-   if test "${enable_racket}" != "" ; then
-     if test "${enable_target}" = "" ; then
--      enable_target="${MACH}"
-+      if test "${default_mach_was_empty}" = "no" ; then
-+        enable_target="${MACH}"
-+      fi
-     fi
-   fi
- fi
-diff --git a/racket/src/cs/c/configure.ac b/racket/src/cs/c/configure.ac
-index 5bce979c92..734c1e8feb 100644
---- a/racket/src/cs/c/configure.ac
-+++ b/racket/src/cs/c/configure.ac
-@@ -415,6 +415,11 @@ case "$MACH_HOST_CPU" in
-     ;;
- esac
- 
-+if test "${MACH}" = "" ; then
-+  default_mach_was_empty=yes
-+else
-+  default_mach_was_empty=no
-+fi
- 
- if test "${enable_mach}" != "" ; then
-   MACH="${enable_mach}"
-@@ -437,13 +442,15 @@ elif test "$MACH" = "" -o "$MACH_OS" = "" ; then
-    exit 1
- fi
- 
--# For a pb build where Racket is supplied, force cross-build
--# mode on the assumption that the host is not a pb build
--# (because it should be created with default configure options)
-+# For a pb build where Racket is supplied and MACH was not originally
-+# empty, force cross-build mode on the assumption that the host is not
-+# a pb build (because it should be created with default configure options)
- if test "${enable_pb}" = "yes" ; then
-   if test "${enable_racket}" != "" ; then
-     if test "${enable_target}" = "" ; then
--      enable_target="${MACH}"
-+      if test "${default_mach_was_empty}" = "no" ; then
-+        enable_target="${MACH}"
-+      fi
-     fi
-   fi
- fi
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-docindex-write.patch b/gnu/packages/patches/racket-backport-8.6-docindex-write.patch
deleted file mode 100644
index abe1984507..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-docindex-write.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-From 8b4d686a62fd66dedfc40ecdcf3698316993d614 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Sun, 17 Jul 2022 22:51:44 -0400
-Subject: [PATCH] racket-index: set write permission when copying
- `docindex.sqlite`
-
-Fixes https://github.com/racket/racket/issues/4357
-
-(cherry picked from commit 55b6cbdca1f36a4f37bab1519c1b658717d3cad2)
----
- pkgs/racket-index/setup/scribble.rkt | 9 ++++++++-
- 1 file changed, 8 insertions(+), 1 deletion(-)
-
-diff --git a/pkgs/racket-index/setup/scribble.rkt b/pkgs/racket-index/setup/scribble.rkt
-index 6694f0b793..e27a8fa348 100644
---- a/pkgs/racket-index/setup/scribble.rkt
-+++ b/pkgs/racket-index/setup/scribble.rkt
-@@ -252,7 +252,14 @@
-     (unless (file-exists? db-file)
-       (define-values (base name dir?) (split-path db-file))
-       (make-directory* base)
--      (when copy-from (copy-file copy-from db-file))
-+      (when copy-from
-+        (copy-file copy-from db-file)
-+        ;; we might not have write permissions for the previous layer:
-+        ;; ensure that we do for the new file
-+        (define orig-mode (file-or-directory-permissions db-file 'bits))
-+        (define writeable-mode (bitwise-ior user-write-bit orig-mode))
-+        (unless (= writeable-mode orig-mode)
-+          (file-or-directory-permissions db-file writeable-mode)))
-       (doc-db-disconnect
-        (doc-db-file->connection db-file #t))))
-   (when (or (ormap can-build*? main-docs)
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-hurd.patch b/gnu/packages/patches/racket-backport-8.6-hurd.patch
deleted file mode 100644
index d593b01e62..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-hurd.patch
+++ /dev/null
@@ -1,609 +0,0 @@
-From f17b030fa2f902bb3666913d4a3cd6ba9c146d22 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Wed, 3 Aug 2022 03:13:03 -0400
-Subject: [PATCH 1/3] Chez Scheme: Fix build on GNU/Hurd
-
-Mostly GNU/Hurd should take the same options as GNU/Linux. One
-difference is that the Hurd does not define macros such as `PATH_MAX` or
-`NOFILE`, because it avoids imposing arbitrary limits on such resources.
-This patch provides alternatives for localized uses of those constants,
-but it accepts the pervasive use of `PATH_MAX` in finding bootfiles for
-now. See https://www.gnu.org/software/hurd/hurd/porting/guidelines.html.
-
-(cherry picked from commit 87eee6e2adb8c6bc11e60619c706fa6295096085)
----
- racket/src/ChezScheme/README.md    |  1 +
- racket/src/ChezScheme/c/number.c   | 22 +++++++++----------
- racket/src/ChezScheme/c/prim5.c    | 35 ++++++++++++++++++++++++++++--
- racket/src/ChezScheme/c/scheme.c   | 34 +++++++++++++++++------------
- racket/src/ChezScheme/c/version.h  |  7 ++++--
- racket/src/ChezScheme/configure    | 17 ++++++++++-----
- racket/src/ChezScheme/s/cmacros.ss |  1 +
- racket/src/cs/c/configure          | 14 ++++++++++--
- racket/src/cs/c/configure.ac       | 14 ++++++++++--
- racket/src/cs/rumble/system.ss     |  3 +++
- 10 files changed, 109 insertions(+), 39 deletions(-)
-
-diff --git a/racket/src/ChezScheme/README.md b/racket/src/ChezScheme/README.md
-index a4a11a5eef..25231dd9bb 100644
---- a/racket/src/ChezScheme/README.md
-+++ b/racket/src/ChezScheme/README.md
-@@ -13,6 +13,7 @@ Supported platforms (bytecode interpreter may work for others):
-  * OpenBSD: x86, x86_64, ARMv6, AArch64, PowerPC32
-  * NetBSD: x86, x86_64, ARMv6, AArch64, PowerPC32
-  * Solaris: x86, x86_64
-+ * GNU/Hurd: x86
-  * Android: ARMv7, AArch64
-  * iOS: AArch64
-  * WebAssembly via Emscripten (bytecode interpreter only)
-diff --git a/racket/src/ChezScheme/c/number.c b/racket/src/ChezScheme/c/number.c
-index ede38cc626..e2bce0d2d3 100644
---- a/racket/src/ChezScheme/c/number.c
-+++ b/racket/src/ChezScheme/c/number.c
-@@ -1041,15 +1041,15 @@ floating-point operations
- 
- #ifdef IEEE_DOUBLE
- /* exponent stored + 1024, hidden bit to left of decimal point */
--#define bias 1023
--#define bitstoright 52
--#define m1mask 0xf
--#ifdef WIN32
--#define hidden_bit 0x10000000000000
--#else
--#define hidden_bit 0x10000000000000ULL
--#endif
--#ifdef LITTLE_ENDIAN_IEEE_DOUBLE
-+# define bias 1023
-+# define bitstoright 52
-+# define m1mask 0xf
-+# ifdef WIN32
-+#  define hidden_bit 0x10000000000000
-+# else
-+#  define hidden_bit 0x10000000000000ULL
-+# endif
-+# ifdef LITTLE_ENDIAN_IEEE_DOUBLE
- struct dblflt {
-     UINT m4: 16;
-     UINT m3: 16;
-@@ -1058,7 +1058,7 @@ struct dblflt {
-     UINT e: 11;
-     UINT sign: 1;
- };
--#else
-+# else
- struct dblflt {
-     UINT sign: 1;
-     UINT e: 11;
-@@ -1067,7 +1067,7 @@ struct dblflt {
-     UINT m3: 16;
-     UINT m4: 16;
- };
--#endif
-+# endif
- #endif
- 
- double S_random_double(U32 m1, U32 m2, U32 m3, U32 m4, double scale) {
-diff --git a/racket/src/ChezScheme/c/prim5.c b/racket/src/ChezScheme/c/prim5.c
-index 124d1e049c..82bbf8d687 100644
---- a/racket/src/ChezScheme/c/prim5.c
-+++ b/racket/src/ChezScheme/c/prim5.c
-@@ -23,6 +23,10 @@
- #include <ctype.h>
- #include <math.h>
- 
-+#if defined(__GNU__) /* Hurd */
-+#include <sys/resource.h>
-+#endif
-+
- /* locally defined functions */
- static INT s_errno(void);
- static IBOOL s_addr_in_heap(uptr x);
-@@ -58,7 +62,7 @@ static void s_showalloc(IBOOL show_dump, const char *outfn);
- static ptr s_system(const char *s);
- static ptr s_process(char *s, IBOOL stderrp);
- static I32 s_chdir(const char *inpath);
--#ifdef GETWD
-+#if defined(GETWD) || defined(__GNU__) /* Hurd */
- static char *s_getwd(void);
- #endif
- static ptr s_set_code_byte(ptr p, ptr n, ptr x);
-@@ -881,7 +885,18 @@ static ptr s_process(char *s, IBOOL stderrp) {
-         CLOSE(0); if (dup(tofds[0]) != 0) _exit(1);
-         CLOSE(1); if (dup(fromfds[1]) != 1) _exit(1);
-         CLOSE(2); if (dup(stderrp ? errfds[1] : 1) != 2) _exit(1);
-+#ifndef __GNU__ /* Hurd */
-         {INT i; for (i = 3; i < NOFILE; i++) (void)CLOSE(i);}
-+#else /* __GNU__ Hurd: no NOFILE */
-+        {
-+          INT i;
-+          struct rlimit rlim;
-+          getrlimit(RLIMIT_NOFILE, &rlim);
-+          for (i = 3; i < rlim.rlim_cur; i++) {
-+            (void)CLOSE(i);
-+          }
-+        }
-+#endif /* __GNU__ Hurd */
-         execl("/bin/sh", "/bin/sh", "-c", s, NULL);
-         _exit(1) /* only if execl fails */;
-         /*NOTREACHED*/
-@@ -927,6 +942,22 @@ static I32 s_chdir(const char *inpath) {
- static char *s_getwd() {
-   return GETWD(TO_VOIDP(&BVIT(S_bytevector(PATH_MAX), 0)));
- }
-+#elif defined(__GNU__) /* Hurd: no PATH_MAX */
-+static char *s_getwd() {
-+  char *path;
-+  size_t len;
-+  ptr bv;
-+  path = getcwd(NULL, 0);
-+  if (NULL == path) {
-+    return NULL;
-+  } else {
-+    len = strlen(path);
-+    bv = S_bytevector(len);
-+    memcpy(TO_VOIDP(&BVIT(bv, 0)), path, len);
-+    free(path);
-+    return TO_VOIDP(&BVIT(bv, 0));
-+  }
-+}
- #endif /* GETWD */
- 
- static ptr s_set_code_byte(ptr p, ptr n, ptr x) {
-@@ -1817,7 +1848,7 @@ void S_prim5_init(void) {
-     Sforeign_symbol("(cs)s_rational", (void *)S_rational);
-     Sforeign_symbol("(cs)sub", (void *)S_sub);
-     Sforeign_symbol("(cs)rem", (void *)S_rem);
--#ifdef GETWD
-+#if defined(GETWD) || defined(__GNU__) /* Hurd */
-     Sforeign_symbol("(cs)s_getwd", (void *)s_getwd);
- #endif
-     Sforeign_symbol("(cs)s_chdir", (void *)s_chdir);
-diff --git a/racket/src/ChezScheme/c/scheme.c b/racket/src/ChezScheme/c/scheme.c
-index ed5564540b..0c40e3eaf0 100644
---- a/racket/src/ChezScheme/c/scheme.c
-+++ b/racket/src/ChezScheme/c/scheme.c
-@@ -458,6 +458,12 @@ static IBOOL next_path(char *path, const char *name, const char *ext, const char
- static const char *path_last(const char *path);
- static char *get_defaultheapdirs(void);
- 
-+#ifdef PATH_MAX
-+# define BOOT_PATH_MAX PATH_MAX
-+#else /* hack for Hurd: better to remove the restriction */
-+# define BOOT_PATH_MAX 4096
-+#endif
-+
- static const char *path_last(const char *p) {
-   const char *s;
- #ifdef WIN32
-@@ -483,7 +489,7 @@ static const char *path_last(const char *p) {
- 
- static char *get_defaultheapdirs() {
-   char *result;
--  wchar_t buf[PATH_MAX];
-+  wchar_t buf[BOOT_PATH_MAX];
-   DWORD len = sizeof(buf);
-   if (ERROR_SUCCESS != RegGetValueW(HKEY_LOCAL_MACHINE, L"Software\\Chez Scheme\\csv" VERSION, L"HeapSearchPath", RRF_RT_REG_SZ, NULL, buf, &len))
-     return DEFAULT_HEAP_PATH;
-@@ -512,14 +518,14 @@ static char *get_defaultheapdirs() {
-  * leaving the full path with name affixed in path and *sp / *dsp pointing
-  * past the current entry.  it returns 1 on success and 0 if at the end of
-  * the search path.  path should be a pointer to an unoccupied buffer
-- * PATH_MAX characters long.  either or both of sp/dsp may be empty,
-+ * BOOT_PATH_MAX characters long.  either or both of sp/dsp may be empty,
-  * but neither may be null, i.e., (char *)0. */
- static IBOOL next_path(char *path, const char *name, const char *ext,
-                        const char **sp, const char **dsp) {
-   char *p;
-   const char *s, *t;
- 
--#define setp(c) if (p >= path + PATH_MAX) { fprintf(stderr, "search path entry too long\n"); S_abnormal_exit(); } else *p++ = (c)
-+#define setp(c) if (p >= path + BOOT_PATH_MAX) { fprintf(stderr, "search path entry too long\n"); S_abnormal_exit(); } else *p++ = (c)
-   for (;;) {
-     s = *sp;
-     p = path;
-@@ -532,10 +538,10 @@ static IBOOL next_path(char *path, const char *name, const char *ext,
-           switch (*s) {
- #ifdef WIN32
-             case 'x': {
--              wchar_t exepath[PATH_MAX]; DWORD n;
-+              wchar_t exepath[BOOT_PATH_MAX]; DWORD n;
-               s += 1;
--              n = GetModuleFileNameW(NULL, exepath, PATH_MAX);
--              if (n == 0 || (n == PATH_MAX && GetLastError() == ERROR_INSUFFICIENT_BUFFER)) {
-+              n = GetModuleFileNameW(NULL, exepath, BOOT_PATH_MAX);
-+              if (n == 0 || (n == BOOT_PATH_MAX && GetLastError() == ERROR_INSUFFICIENT_BUFFER)) {
-                 fprintf(stderr, "warning: executable path is too long; ignoring %%x\n");
-               } else {
-                 char *tstart;
-@@ -608,7 +614,7 @@ typedef struct {
-   iptr len; /* 0 => unknown */
-   iptr offset;
-   IBOOL need_check, close_after;
--  char path[PATH_MAX];
-+  char path[BOOT_PATH_MAX];
- } boot_desc;
- 
- #define MAX_BOOT_FILES 10
-@@ -695,14 +701,14 @@ static void finish_dependencies_header(int fd, const char *path, int c) {
- static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-                        int fd,
-                        IBOOL errorp) {
--  char pathbuf[PATH_MAX], buf[PATH_MAX];
-+  char pathbuf[BOOT_PATH_MAX], buf[BOOT_PATH_MAX];
-   uptr n = 0;
-   INT c;
-   const char *path;
-   char *expandedpath;
- 
-   if ((fd != -1) || direct_pathp || S_fixedpathp(name)) {
--    if (strlen(name) >= PATH_MAX) {
-+    if (strlen(name) >= BOOT_PATH_MAX) {
-       fprintf(stderr, "boot-file path is too long %s\n", name);
-       S_abnormal_exit();
-     }
-@@ -776,7 +782,7 @@ static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-     if (boot_count == 0) {
-       for (;;) {
-        /* try to load heap or boot file this boot file requires */
--        if (get_string(fd, buf, PATH_MAX, &c) != 0) {
-+        if (get_string(fd, buf, BOOT_PATH_MAX, &c) != 0) {
-           fprintf(stderr, "unexpected end of file on %s\n", path);
-           CLOSE(fd);
-           S_abnormal_exit();
-@@ -796,7 +802,7 @@ static IBOOL find_boot(const char *name, const char *ext, IBOOL direct_pathp,
-           c = get_u8(fd);
-           for (sep = " "; ; sep = "or ") {
-             if (c == ')') break;
--            (void) get_string(fd, buf, PATH_MAX, &c);
-+            (void) get_string(fd, buf, BOOT_PATH_MAX, &c);
-             fprintf(stderr, "%s%s.boot ", sep, buf);
-           }
-           fprintf(stderr, "required by %s\n", path);
-@@ -1090,7 +1096,7 @@ extern void Sregister_boot_file_fd_region(const char *name,
-                                           int close_after) {
-   check_boot_file_state("Sregister_boot_file_fd");
- 
--  if (strlen(name) >= PATH_MAX) {
-+  if (strlen(name) >= BOOT_PATH_MAX) {
-     fprintf(stderr, "boot-file path is too long %s\n", name);
-     S_abnormal_exit();
-   }
-@@ -1141,14 +1147,14 @@ extern void Sbuild_heap(const char *kernel, void (*custom_init)(void)) {
-     }
- 
-     name = path_last(kernel);
--    if (strlen(name) >= PATH_MAX) {
-+    if (strlen(name) >= BOOT_PATH_MAX) {
-       fprintf(stderr, "executable name too long: %s\n", name);
-       S_abnormal_exit();
-     }
- 
- #ifdef WIN32
-     { /* strip off trailing .exe, if any */
--      static char buf[PATH_MAX];
-+      static char buf[BOOT_PATH_MAX];
-       iptr n;
- 
-       n = strlen(name) - 4;
-diff --git a/racket/src/ChezScheme/c/version.h b/racket/src/ChezScheme/c/version.h
-index a79d12621b..61751a9fad 100644
---- a/racket/src/ChezScheme/c/version.h
-+++ b/racket/src/ChezScheme/c/version.h
-@@ -80,7 +80,7 @@ FORCEINLINE void store_unaligned_uptr(uptr *addr, uptr val) {
- /*****************************************/
- /* Operating systems                     */
- 
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__GNU__) /* Hurd */
- #define NOBLOCK O_NONBLOCK
- #define LOAD_SHARED_OBJECT
- #define USE_MMAP
-@@ -91,7 +91,10 @@ FORCEINLINE void store_unaligned_uptr(uptr *addr, uptr val) {
- #define GETPAGESIZE() getpagesize()
- typedef char *memcpy_t;
- #define MAKE_NAN(x) { x = 0.0; x = x / x; }
--#define GETWD(x) getcwd((x),PATH_MAX)
-+#ifndef __GNU__ /* Hurd: no PATH_MAX */
-+/* n.b. don't test PATH_MAX directly: we have not yet included <limits.h>  */
-+# define GETWD(x) getcwd((x),PATH_MAX)
-+#endif
- typedef int tputsputcchar;
- #ifndef __ANDROID__
- # define LOCKF
-diff --git a/racket/src/ChezScheme/configure b/racket/src/ChezScheme/configure
-index f64b639c3a..efdb6029cb 100755
---- a/racket/src/ChezScheme/configure
-+++ b/racket/src/ChezScheme/configure
-@@ -102,6 +102,11 @@ case "${CONFIG_UNAME}" in
-     installprefix=/usr
-     installmansuffix=share/man
-     ;;
-+  GNU)
-+    unixsuffix=gnu # the Hurd
-+    installprefix=/usr
-+    installmansuffix=share/man
-+    ;;
-   QNX)
-     if uname -a | egrep 'x86' > /dev/null 2>&1 ; then
-       m32=i3qnx
-@@ -591,7 +596,7 @@ fi
- 
- # Infer flags needed for threads:
- case "${flagsm}" in
--  *le|*fb|*ob|*nb)
-+  *le|*gnu|*fb|*ob|*nb)
-       threadFlags="-D_REENTRANT -pthread"
-       threadLibs="-lpthread"
-       ;;
-@@ -627,7 +632,7 @@ if [ "$cflagsset" = "no" ] ; then
-     a6*)
-         CFLAGS="-m64 ${optFlags}"
-         ;;
--    i3le)
-+    i3le) # intentionally not including i3gnu, which may not support sse2
-         CFLAGS="-m32 -msse2 -mfpmath=sse ${optFlags}"
-         ;;
-     i3nt)
-@@ -688,7 +693,7 @@ fi
- # Add automatic linking flags, unless suppressed by --disable-auto-flags
- if [ "$addflags" = "yes" ] ; then
-   case "${flagsm}" in
--    *le)
-+    *le|*gnu)
-         LDFLAGS="${LDFLAGS} -rdynamic"
-         ;;
-     *fb|*nb)
-@@ -702,7 +707,7 @@ if [ "$addflags" = "yes" ] ; then
-   esac
- 
-   case "${flagsm}" in
--    *le)
-+    *le|*gnu)
-         LIBS="${LIBS} -lm -ldl ${ncursesLib} -lrt"
-         ;;
-     *fb|*ob)
-@@ -749,7 +754,7 @@ exeSuffix=
- 
- # compile flags for c/Mf-unix and mats/Mf-unix
- case "${flagsmuni}" in
--    *le)
-+    *le|*gnu)
-         mdcflags="-fPIC -shared"
-         ;;
-     *fb|*ob)
-@@ -781,7 +786,7 @@ case "${flagsmuni}" in
-     i3le)
-         mdldflags="-melf_i386"
-         ;;
--    *le)
-+    *le|*gnu)
-         ;;
-     i3nb)
-         mdldflags="-m elf_i386"
-diff --git a/racket/src/ChezScheme/s/cmacros.ss b/racket/src/ChezScheme/s/cmacros.ss
-index ff2b09217b..2e79a4d8de 100644
---- a/racket/src/ChezScheme/s/cmacros.ss
-+++ b/racket/src/ChezScheme/s/cmacros.ss
-@@ -385,6 +385,7 @@
-   i3fb      ti3fb
-   i3ob      ti3ob
-   i3osx     ti3osx
-+  i3gnu     ti3gnu
-   a6le      ta6le
-   a6osx     ta6osx
-   a6ob      ta6ob
-diff --git a/racket/src/cs/c/configure b/racket/src/cs/c/configure
-index 454d79e11a..dab545c0b4 100755
---- a/racket/src/cs/c/configure
-+++ b/racket/src/cs/c/configure
-@@ -4449,8 +4449,15 @@ case "$host_os" in
-     ;;
-   irix*)
-     ;;
--  linux*)
--    MACH_OS=le
-+  linux*|gnu*)
-+    case "$host_os" in
-+      *linux*)
-+        MACH_OS=le
-+        ;;
-+      *)
-+        MACH_OS=gnu # Hurd
-+        ;;
-+    esac
-     case "$host_os" in
-       *linux-android*)
-         ;;
-@@ -4730,6 +4737,9 @@ if test "${build_os}_${build_cpu}" != "${host_os}_${host_cpu}" ; then
-     linux*)
-       BUILD_OS=le
-       ;;
-+    gnu*) # Hurd: must come after linux*
-+      BUILD_OS=gnu
-+      ;;
-     *mingw*)
-       BUILD_OS=nt
-       ;;
-diff --git a/racket/src/cs/c/configure.ac b/racket/src/cs/c/configure.ac
-index 5bce979c92..43e7307b1b 100644
---- a/racket/src/cs/c/configure.ac
-+++ b/racket/src/cs/c/configure.ac
-@@ -272,8 +272,15 @@ case "$host_os" in
-     ;;
-   irix*)
-     ;;
--  linux*)
--    MACH_OS=le
-+  linux*|gnu*)
-+    case "$host_os" in
-+      linux*)
-+        MACH_OS=le
-+        ;;
-+      *)
-+        MACH_OS=gnu # Hurd
-+        ;;
-+    esac
-     case "$host_os" in
-       *linux-android*)
-         ;;
-@@ -466,6 +473,9 @@ if test "${build_os}_${build_cpu}" != "${host_os}_${host_cpu}" ; then
-     linux*)
-       BUILD_OS=le
-       ;;
-+    gnu*) # Hurd - must come after linux*
-+      BUILD_OS=gnu
-+      ;;
-     *mingw*)
-       BUILD_OS=nt
-       ;;
-diff --git a/racket/src/cs/rumble/system.ss b/racket/src/cs/rumble/system.ss
-index 2319cbe7a5..773eb79cf3 100644
---- a/racket/src/cs/rumble/system.ss
-+++ b/racket/src/cs/rumble/system.ss
-@@ -48,6 +48,8 @@
-            arm32le tarm32le arm64le tarm64le
-            ppc32le tppc32le)
-      'linux]
-+    [(i3gnu ti3gnu)
-+     'gnu-hurd]
-     [(a6fb ta6fb i3fb ti3fb
-            arm32fb tarm32fb arm64fb tarm64fb
-            ppc32fb tppc32fb)
-@@ -85,6 +87,7 @@
-             i3nb ti3nb
-             i3fb ti3fb
-             i3s2 ti3s2
-+            i3gnu ti3gnu
-             i3qnx)
-      'i386]
-     [(arm32le tarm32le
--- 
-2.32.0
-
-
-From 8653294b771c741d320aba31e692b4f0ed0c702f Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Thu, 4 Aug 2022 20:18:09 -0400
-Subject: [PATCH 2/3] BC: Fix build on GNU/Hurd
-
-(cherry picked from commit 5c05496afd6159c2f9cd52e7f23389fdc6b55f43)
----
- racket/src/bc/configure    |  2 +-
- racket/src/bc/configure.ac |  2 +-
- racket/src/bc/sconfig.h    | 14 +++++++++-----
- 3 files changed, 11 insertions(+), 7 deletions(-)
-
-diff --git a/racket/src/bc/configure b/racket/src/bc/configure
-index 4ddb607b37..4ee346014d 100755
---- a/racket/src/bc/configure
-+++ b/racket/src/bc/configure
-@@ -5018,7 +5018,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*)
-+  linux*,gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/configure.ac b/racket/src/bc/configure.ac
-index deef8f3077..866851236e 100644
---- a/racket/src/bc/configure.ac
-+++ b/racket/src/bc/configure.ac
-@@ -557,7 +557,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*)
-+  linux*,gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/sconfig.h b/racket/src/bc/sconfig.h
-index 01ecb48158..8468942fcd 100644
---- a/racket/src/bc/sconfig.h
-+++ b/racket/src/bc/sconfig.h
-@@ -79,12 +79,14 @@
- 
- #endif
- 
--  /************** Linux with gcc ****************/
-+  /************** Linux (or Hurd) with gcc ****************/
- 
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__GNU__)
- 
- # ifdef __ANDROID__
- #  define SCHEME_OS "android"
-+# elif defined(__GNU__)
-+#  define SCHEME_OS "gnu-hurd"
- # else
- #  define SCHEME_OS "linux"
- # endif
-@@ -146,13 +148,15 @@
- # define USE_IEEE_FP_PREDS
- # define USE_EXPLICT_FP_FORM_CHECK
- 
--# define LINUX_FIND_STACK_BASE
-+# define LINUX_FIND_STACK_BASE /* also ok for Hurd */
- 
- # define FLAGS_ALREADY_SET
- 
- #if defined(__i386__)
--# define MZ_USE_JIT_I386
--# define MZ_JIT_USE_MPROTECT
-+# ifndef __GNU__ /* Hurd */
-+#  define MZ_USE_JIT_I386
-+#  define MZ_JIT_USE_MPROTECT
-+# endif
- # ifndef MZ_NO_UNWIND_SUPPORT
- #  define MZ_USE_DWARF_LIBUNWIND
- # endif
--- 
-2.32.0
-
-
-From 1b0cd08557f58506c96f0ddd855bd9051a45a2f1 Mon Sep 17 00:00:00 2001
-From: Philip McGrath <philip@HIDDEN>
-Date: Sat, 6 Aug 2022 22:48:40 -0400
-Subject: [PATCH 3/3] BC: repair configure script
-
-Hopefully this will fix the DrDr failures caused by 5c05496.
-
-Related to https://github.com/racket/racket/pull/4384
-
-(cherry picked from commit c3dd01055ed7589a18136904510fe4db557d6e77)
----
- racket/src/bc/configure    | 2 +-
- racket/src/bc/configure.ac | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/racket/src/bc/configure b/racket/src/bc/configure
-index 4ee346014d..b1c5175b84 100755
---- a/racket/src/bc/configure
-+++ b/racket/src/bc/configure
-@@ -5018,7 +5018,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*,gnu*)
-+  linux*|gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
-diff --git a/racket/src/bc/configure.ac b/racket/src/bc/configure.ac
-index 866851236e..ecc3b0b579 100644
---- a/racket/src/bc/configure.ac
-+++ b/racket/src/bc/configure.ac
-@@ -557,7 +557,7 @@ case "$host_os" in
-       X_PRE_LIBS=""
-     fi
-     ;;
--  linux*,gnu*)
-+  linux*|gnu*)
-     LIBS="$LIBS -ldl -lm -lrt -rdynamic"
-     DYN_CFLAGS="-fPIC"
-     curses_portable_link="/usr/lib/${host_cpu}-${host_os}/libncurses.a /usr/lib/${host_cpu}-${host_os}/libtermcap.a"
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.6-zuo.patch b/gnu/packages/patches/racket-backport-8.6-zuo.patch
deleted file mode 100644
index b86679b7ec..0000000000
--- a/gnu/packages/patches/racket-backport-8.6-zuo.patch
+++ /dev/null
@@ -1,481 +0,0 @@
-From 8761fc06b188b9ca2f4b7f2b7d1235075c44a321 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 17:10:58 -0600
-Subject: [PATCH 1/4] Zuo: support cross compilation via `configure` and
- `CC_FOR_BUILD`
-
-(cherry picked from commit 798a989ba6d1a30c491a3120b2c2f1570ecab911)
----
- racket/src/zuo/Makefile.in  |  7 ++++++-
- racket/src/zuo/README.md    | 10 ++++++++++
- racket/src/zuo/configure    | 15 +++++++++++++++
- racket/src/zuo/configure.ac | 11 +++++++++++
- 4 files changed, 42 insertions(+), 1 deletion(-)
-
-diff --git a/racket/src/zuo/Makefile.in b/racket/src/zuo/Makefile.in
-index 5d16e145bf..747b584c5c 100644
---- a/racket/src/zuo/Makefile.in
-+++ b/racket/src/zuo/Makefile.in
-@@ -17,6 +17,11 @@ CPPFLAGS = @CPPFLAGS@
- LDFLAGS = @LDFLAGS@
- LIBS = @LIBS@
- 
-+CC_FOR_BUILD = @CC_FOR_BUILD@
-+CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
-+LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
-+LIBS_FOR_BUILD = @LIBS_FOR_BUILD@
-+
- EMBED_LIBS = @EMBED_LIBS@
- 
- .PHONY: zuos-to-run-and-install
-@@ -24,7 +29,7 @@ zuos-to-run-and-install: zuo
- 	./zuo . zuos-to-run-and-install
- 
- zuo: $(srcdir)/zuo.c
--	$(CC) $(CPPFLAGS) $(CFLAGS) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS) $(LIBS)
-+	$(CC_FOR_BUILD) $(FLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
- 
- .PHONY: check
- check: zuo
-diff --git a/racket/src/zuo/README.md b/racket/src/zuo/README.md
-index 17c88ee9ec..3aad504b7e 100644
---- a/racket/src/zuo/README.md
-+++ b/racket/src/zuo/README.md
-@@ -84,6 +84,16 @@ A boot image is machine-independent, whether in a stand-alone file or
- embedded in `.c` source.
- 
- 
-+Cross Compiling
-+---------------
-+
-+If you use `./configure --host=...` to cross compile, then you will
-+also need to add something like `CC_FOR_BUILD=cc` as a `./configure`
-+argument to specify the compiler for a `zuo` to use on the build
-+machine. If necessary, you can also specify `CFLAGS_FOR_BUILD`,
-+`LDFLAGS_FOR_BUILD`, and/or `LIBS_FOR_BUILD`.
-+
-+
- Embedding Zuo in Another Application
- ------------------------------------
- 
-diff --git a/racket/src/zuo/configure b/racket/src/zuo/configure
-index 1fa34a3fe8..575ce07d96 100755
---- a/racket/src/zuo/configure
-+++ b/racket/src/zuo/configure
-@@ -589,6 +589,10 @@ enable_embed="zuo"
- ac_subst_vars='LTLIBOBJS
- LIBOBJS
- EMBED_LIBS
-+LIBS_FOR_BUILD
-+LDFLAGS_FOR_BUILD
-+CFLAGS_FOR_BUILD
-+CC_FOR_BUILD
- OBJEXT
- EXEEXT
- ac_ct_CC
-@@ -2584,6 +2588,17 @@ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- 
- 
-+if test "${CC_FOR_BUILD}" = ""; then
-+  CC_FOR_BUILD='$(CC) -O2'
-+  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-+  LIBS_FOR_BUILD='$(LIBS)'
-+fi
-+
-+
-+
-+
-+
- 
- { $as_echo "$as_me:${as_lineno-$LINENO}: zuo libraries to embed: \"${EMBED_LIBS}\"" >&5
- $as_echo "$as_me: zuo libraries to embed: \"${EMBED_LIBS}\"" >&6;}
-diff --git a/racket/src/zuo/configure.ac b/racket/src/zuo/configure.ac
-index 89b3c6391d..598ff79629 100644
---- a/racket/src/zuo/configure.ac
-+++ b/racket/src/zuo/configure.ac
-@@ -25,6 +25,17 @@ AS_IF([test "x$enable_embed" = xno],
- AC_PROG_MAKE_SET()
- AC_PROG_CC
- 
-+if test "${CC_FOR_BUILD}" = ""; then
-+  CC_FOR_BUILD='$(CC) -O2'
-+  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-+  LIBS_FOR_BUILD='$(LIBS)'
-+fi
-+AC_SUBST(CC_FOR_BUILD)
-+AC_SUBST(CFLAGS_FOR_BUILD)
-+AC_SUBST(LDFLAGS_FOR_BUILD)
-+AC_SUBST(LIBS_FOR_BUILD)
-+
- AC_SUBST(EMBED_LIBS)
- AC_MSG_NOTICE([zuo libraries to embed: "${EMBED_LIBS}"])
- 
--- 
-2.32.0
-
-
-From f65194ea41eb472fbdd45d5f6c13eabe5e681704 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 17:47:03 -0600
-Subject: [PATCH 2/4] Zuo: sort hash keys
-
-Printing in a sorted order is helpful to make things more
-deterministic independent of symbol inputs. Making `hash-keys`
-produce a sorted list generalizes that determinism.
-
-(cherry picked from commit 4e7ffd3b365d01c5d0993c0b3fd24c9623962edf)
----
- racket/src/zuo/build.zuo              |  5 ++-
- racket/src/zuo/tests/hash.zuo         |  8 ++--
- racket/src/zuo/zuo-doc/lang-zuo.scrbl | 18 +++++++--
- racket/src/zuo/zuo.c                  | 57 ++++++++++++++++++++++++++-
- 4 files changed, 78 insertions(+), 10 deletions(-)
-
-diff --git a/racket/src/zuo/build.zuo b/racket/src/zuo/build.zuo
-index c1b5e8ce66..129240120a 100644
---- a/racket/src/zuo/build.zuo
-+++ b/racket/src/zuo/build.zuo
-@@ -47,7 +47,10 @@
-     (target (at-dir (add-exe name))
-             (lambda (path token)
-               (rule (list image_zuo.c
--                          (input-data-target 'config config)
-+                          (input-data-target 'config (cons
-+                                                      lib-path
-+                                                      (map (lambda (key) (hash-ref config key))
-+                                                           '(CC CPPFLAGS CFLAGS LDFLAGS LIBS))))
-                           (quote-module-path))
-                     (lambda ()
-                       (define l (split-path path))
-diff --git a/racket/src/zuo/tests/hash.zuo b/racket/src/zuo/tests/hash.zuo
-index a35741c730..0d3d7f3af6 100644
---- a/racket/src/zuo/tests/hash.zuo
-+++ b/racket/src/zuo/tests/hash.zuo
-@@ -35,9 +35,7 @@
- 
- (check (hash-keys (hash)) '())
- (check (hash-keys (hash 'a 1)) '(a))
--(check (let ([keys (hash-keys (hash 'a 1 'b 2))])
--         (or (equal? keys '(a b))
--             (equal? keys '(b a)))))
-+(check (hash-keys (hash 'a 1 'b 2)) '(a b)) ; always in order
- (check (length (hash-keys (hash 'a 1 'b 2 'c 3))) 3)
- (check (length (hash-keys (hash 'a 1 'b 2 'a 3))) 2)
- (check-arg-fail (hash-keys 0) "not a hash table")
-@@ -50,3 +48,7 @@
- (check (hash-keys-subset? (hash 'a 1 'b 2) (hash 'b 1)) #f)
- (check-arg-fail (hash-keys-subset? 0 (hash)) "not a hash table")
- (check-arg-fail (hash-keys-subset? (hash) 0) "not a hash table")
-+
-+;; print sorts keys alphabetically:
-+(check (~a (hash 'a 1 'b 2)) "#hash((a . 1) (b . 2))")
-+(check (~a (hash 'b 2 'a 1)) "#hash((a . 1) (b . 2))")
-diff --git a/racket/src/zuo/zuo-doc/lang-zuo.scrbl b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-index 94641d041e..4605e47471 100644
---- a/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-+++ b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-@@ -538,10 +538,20 @@ support to convert the textual form back into a hash table value.
- 
- Analogous to @realracket*[hash? hash hash-ref hash-set hash-remove
- hash-keys hash-count hash-keys-subset?] from @racketmodname[racket].
--Besides being constrained to symbol keys, there is one additional
--difference: the third argument to @racket[hash-ref], when supplied,
--is always used as a value to return if a key is missing, as
--opposed to a failure thunk.}
-+
-+Besides being constrained to symbol keys, there are two additional
-+differences:
-+
-+@itemlist[
-+
-+ @item{the third argument to @racket[hash-ref], when supplied, is
-+       always used as a value to return if a key is missing, as
-+       opposed to a failure thunk; and}
-+
-+ @item{the @racket[hash-keys] function returns interned keys sorted
-+       alphabetically.}
-+
-+]}
- 
- 
- @section{Procedures}
-diff --git a/racket/src/zuo/zuo.c b/racket/src/zuo/zuo.c
-index 2957d478af..88d5747326 100644
---- a/racket/src/zuo/zuo.c
-+++ b/racket/src/zuo/zuo.c
-@@ -1298,6 +1298,59 @@ static zuo_t *zuo_trie_keys(zuo_t *trie_in, zuo_t *accum) {
-   return accum;
- }
- 
-+/*======================================================================*/
-+/* symbol-list sorting                                                  */
-+/*======================================================================*/
-+
-+/* merge sort used to make hash printing deterministic */
-+static zuo_t *zuo_symbol_list_sort(zuo_t *l_in) {
-+  zuo_t *l, *left, *right, *first, *last;
-+  zuo_uint_t len = 0, i;
-+
-+  for (l = l_in, len = 0; l != z.o_null; l = _zuo_cdr(l))
-+    len++;
-+
-+  if (len < 2)
-+    return l_in;
-+
-+  left = z.o_null;
-+  for (l = l_in, i = len >> 1; i > 0; l = _zuo_cdr(l), i--)
-+    left = zuo_cons(_zuo_car(l), left);
-+  right = l;
-+
-+  left = zuo_symbol_list_sort(left);
-+  right = zuo_symbol_list_sort(right);
-+
-+  first = last = z.o_null;
-+  while ((left != z.o_null) && (right != z.o_null)) {
-+    zuo_t *p;
-+
-+    if (strcmp(ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(left))->str),
-+               ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(right))->str))
-+        < 1) {
-+      p = zuo_cons(_zuo_car(left), z.o_null);
-+      left = _zuo_cdr(left);
-+    } else {
-+      p = zuo_cons(_zuo_car(right), z.o_null);
-+      right = _zuo_cdr(right);
-+    }
-+
-+    if (first == z.o_null)
-+      first = p;
-+    else
-+      ((zuo_pair_t *)last)->cdr = p;
-+    last = p;
-+  }
-+
-+  ((zuo_pair_t *)last)->cdr = ((left != z.o_null) ? left : right);
-+
-+  return first;
-+}
-+
-+static zuo_t *zuo_trie_sorted_keys(zuo_t *trie_in, zuo_t *accum) {
-+  return zuo_symbol_list_sort(zuo_trie_keys(trie_in, accum));
-+}
-+
- /*======================================================================*/
- /* terminal support                                                     */
- /*======================================================================*/
-@@ -1571,7 +1624,7 @@ static void zuo_out(zuo_out_t *out, zuo_t *obj, zuo_print_mode_t mode) {
-         out_string(out, "opaque");
-       out_string(out, ">");
-     } else if (obj->tag == zuo_trie_node_tag) {
--      zuo_t *keys = zuo_trie_keys(obj, z.o_null);
-+      zuo_t *keys = zuo_trie_sorted_keys(obj, z.o_null);
-       if (mode == zuo_print_mode) {
-         out_string(out, "(hash");
-         if (keys != z.o_null)
-@@ -2587,7 +2640,7 @@ static zuo_t *zuo_hash_remove(zuo_t *ht, zuo_t *sym) {
- 
- static zuo_t *zuo_hash_keys(zuo_t *ht) {
-   check_hash("hash-keys", ht);
--  return zuo_trie_keys(ht, z.o_null);
-+  return zuo_trie_sorted_keys(ht, z.o_null);
- }
- 
- static zuo_t *zuo_hash_keys_subset_p(zuo_t *ht, zuo_t *ht2) {
--- 
-2.32.0
-
-
-From f2eecaa1dd875479d2cf51566223b3d0d7b9f738 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 18:06:41 -0600
-Subject: [PATCH 3/4] Zuo: check for nul characters in `string->symbol`
-
-(cherry picked from commit e20022ccfad40d0ba2e77aa75bc4f775018c781f)
----
- racket/src/zuo/tests/symbol.zuo       |  3 +++
- racket/src/zuo/zuo-doc/lang-zuo.scrbl |  4 ++-
- racket/src/zuo/zuo.c                  | 37 +++++++++++++++++----------
- 3 files changed, 29 insertions(+), 15 deletions(-)
-
-diff --git a/racket/src/zuo/tests/symbol.zuo b/racket/src/zuo/tests/symbol.zuo
-index 7775aeeb04..5600a89755 100644
---- a/racket/src/zuo/tests/symbol.zuo
-+++ b/racket/src/zuo/tests/symbol.zuo
-@@ -19,3 +19,6 @@
- (check (not (equal? 'apple (string->uninterned-symbol "apple"))))
- (check-arg-fail (string->symbol 'apple) not-string)
- (check-arg-fail (string->uninterned-symbol 'apple) not-string)
-+
-+(check-arg-fail (string->symbol "apple\0spice") "without a nul character")
-+(check (symbol? (string->uninterned-symbol "apple\0spice")))
-diff --git a/racket/src/zuo/zuo-doc/lang-zuo.scrbl b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-index 4605e47471..07dd5815b0 100644
---- a/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-+++ b/racket/src/zuo/zuo-doc/lang-zuo.scrbl
-@@ -500,7 +500,9 @@ back into Zuo.
- )]{
- 
- Analogous to @realracket*[symbol? symbol->string string->symbol
--string->uninterned-symbol] from @racketmodname[racket].}
-+string->uninterned-symbol] from @racketmodname[racket], but
-+@racket[string->symbol] accepts only strings that do not contain the
-+null character.}
- 
- 
- @section{Hash Tables (Persistent Maps)}
-diff --git a/racket/src/zuo/zuo.c b/racket/src/zuo/zuo.c
-index 88d5747326..17f161826d 100644
---- a/racket/src/zuo/zuo.c
-+++ b/racket/src/zuo/zuo.c
-@@ -1323,7 +1323,7 @@ static zuo_t *zuo_symbol_list_sort(zuo_t *l_in) {
- 
-   first = last = z.o_null;
-   while ((left != z.o_null) && (right != z.o_null)) {
--    zuo_t *p;
-+    zuo_t *p, *s_left, *s_right;
- 
-     if (strcmp(ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(left))->str),
-                ZUO_STRING_PTR(((zuo_symbol_t *)_zuo_car(right))->str))
-@@ -2573,8 +2573,28 @@ static zuo_t *zuo_substring(zuo_t *obj, zuo_t *start_i, zuo_t *end_i) {
-   return zuo_sized_string((const char *)&((zuo_string_t *)obj)->s[s_idx], e_idx - s_idx);
- }
- 
-+static int zuo_is_string_without_nul(zuo_t *obj) {
-+  zuo_int_t i;
-+
-+  if ((obj->tag != zuo_string_tag)
-+      || ZUO_STRING_LEN(obj) == 0)
-+    return 0;
-+
-+  for (i = ZUO_STRING_LEN(obj); i--; ) {
-+    if (((zuo_string_t *)obj)->s[i] == 0)
-+      return 0;
-+  }
-+
-+  return 1;
-+}
-+
- static zuo_t *zuo_string_to_symbol(zuo_t *obj) {
--  check_string("string->symbol", obj);
-+  if (!zuo_is_string_without_nul(obj)) {
-+    const char *who = "string->symbol";
-+    check_string(who, obj);
-+    zuo_fail_arg(who, "string without a nul character", obj);
-+  }
-+
-   return zuo_symbol_from_string(ZUO_STRING_PTR(obj), obj);
- }
- 
-@@ -3577,18 +3597,7 @@ static void *zuo_envvars_block(const char *who, zuo_t *envvars)
- #endif
- 
- static int zuo_is_path_string(zuo_t *obj) {
--  zuo_int_t i;
--
--  if ((obj->tag != zuo_string_tag)
--      || ZUO_STRING_LEN(obj) == 0)
--    return 0;
--
--  for (i = ZUO_STRING_LEN(obj); i--; ) {
--    if (((zuo_string_t *)obj)->s[i] == 0)
--      return 0;
--  }
--
--  return 1;
-+  return zuo_is_string_without_nul(obj);
- }
- 
- static zuo_t *zuo_path_string_p(zuo_t *obj) {
--- 
-2.32.0
-
-
-From de6618cb3819d25580e3cd400ea09c8cf4f673a9 Mon Sep 17 00:00:00 2001
-From: Matthew Flatt <mflatt@HIDDEN>
-Date: Sat, 23 Jul 2022 19:50:46 -0600
-Subject: [PATCH 4/4] Zuo: CPPFLAGS_FOR_BUILD, too
-
-(cherry picked from commit cf82706c4b298f654a04c4bc8d98dff39b62a2ac)
----
- racket/src/zuo/Makefile.in  | 3 ++-
- racket/src/zuo/configure    | 5 ++++-
- racket/src/zuo/configure.ac | 4 +++-
- 3 files changed, 9 insertions(+), 3 deletions(-)
-
-diff --git a/racket/src/zuo/Makefile.in b/racket/src/zuo/Makefile.in
-index 747b584c5c..0376c038a8 100644
---- a/racket/src/zuo/Makefile.in
-+++ b/racket/src/zuo/Makefile.in
-@@ -19,6 +19,7 @@ LIBS = @LIBS@
- 
- CC_FOR_BUILD = @CC_FOR_BUILD@
- CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
-+CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
- LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
- LIBS_FOR_BUILD = @LIBS_FOR_BUILD@
- 
-@@ -29,7 +30,7 @@ zuos-to-run-and-install: zuo
- 	./zuo . zuos-to-run-and-install
- 
- zuo: $(srcdir)/zuo.c
--	$(CC_FOR_BUILD) $(FLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
-+	$(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(CPPFLAGS_FOR_BUILD) -DZUO_LIB_PATH='"'"$(srcdir)/lib"'"' -o zuo $(srcdir)/zuo.c $(LDFLAGS_FOR_BUILD) $(LIBS_FOR_BUILD)
- 
- .PHONY: check
- check: zuo
-diff --git a/racket/src/zuo/configure b/racket/src/zuo/configure
-index 575ce07d96..7ac453e3bc 100755
---- a/racket/src/zuo/configure
-+++ b/racket/src/zuo/configure
-@@ -591,6 +591,7 @@ LIBOBJS
- EMBED_LIBS
- LIBS_FOR_BUILD
- LDFLAGS_FOR_BUILD
-+CPPFLAGS_FOR_BUILD
- CFLAGS_FOR_BUILD
- CC_FOR_BUILD
- OBJEXT
-@@ -2590,7 +2591,8 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
- 
- if test "${CC_FOR_BUILD}" = ""; then
-   CC_FOR_BUILD='$(CC) -O2'
--  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  CPPFLAGS_FOR_BUILD='$(CPPFLAGS)'
-+  CFLAGS_FOR_BUILD='$(CFLAGS)'
-   LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-   LIBS_FOR_BUILD='$(LIBS)'
- fi
-@@ -2600,6 +2602,7 @@ fi
- 
- 
- 
-+
- { $as_echo "$as_me:${as_lineno-$LINENO}: zuo libraries to embed: \"${EMBED_LIBS}\"" >&5
- $as_echo "$as_me: zuo libraries to embed: \"${EMBED_LIBS}\"" >&6;}
- 
-diff --git a/racket/src/zuo/configure.ac b/racket/src/zuo/configure.ac
-index 598ff79629..051ea0beb5 100644
---- a/racket/src/zuo/configure.ac
-+++ b/racket/src/zuo/configure.ac
-@@ -27,12 +27,14 @@ AC_PROG_CC
- 
- if test "${CC_FOR_BUILD}" = ""; then
-   CC_FOR_BUILD='$(CC) -O2'
--  CFLAGS_FOR_BUILD='$(CPPFLAGS) $(CFLAGS)'
-+  CPPFLAGS_FOR_BUILD='$(CPPFLAGS)'
-+  CFLAGS_FOR_BUILD='$(CFLAGS)'
-   LDFLAGS_FOR_BUILD='$(LDFLAGS)'
-   LIBS_FOR_BUILD='$(LIBS)'
- fi
- AC_SUBST(CC_FOR_BUILD)
- AC_SUBST(CFLAGS_FOR_BUILD)
-+AC_SUBST(CPPFLAGS_FOR_BUILD)
- AC_SUBST(LDFLAGS_FOR_BUILD)
- AC_SUBST(LIBS_FOR_BUILD)
- 
--- 
-2.32.0
-
diff --git a/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch b/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch
new file mode 100644
index 0000000000..703b6e8e82
--- /dev/null
+++ b/gnu/packages/patches/racket-backport-8.7-pkg-strip.patch
@@ -0,0 +1,90 @@
+From 1b7e15c23baf1fda44b1d0752902ddea11419fc5 Mon Sep 17 00:00:00 2001
+From: Philip McGrath <philip@HIDDEN>
+Date: Fri, 7 Oct 2022 02:15:13 -0400
+Subject: [PATCH] pkg/strip: handle read-only input
+
+A package directory supplied to the functions from `pkg/strip` might
+have had all of its write permission bits unset. Since `copy-file`
+preserves the permissions of the source file, we may end up with a
+read-only file that we want to overwrite (e.g. an `info.rkt` file).
+Explicitly setting `user-write-bit` before writing avoids this problem.
+Conservatively, we only set the permissions when actually needed,
+and we restore the original permissions when we are done.
+
+(cherry picked from commit 8c647c8cc9b66112198fcf9bea27fc0e3737162f)
+---
+ racket/collects/pkg/strip.rkt | 35 +++++++++++++++++++++++++++++------
+ 1 file changed, 29 insertions(+), 6 deletions(-)
+
+diff --git a/racket/collects/pkg/strip.rkt b/racket/collects/pkg/strip.rkt
+index 0ff58cea02..5899dbc6e6 100644
+--- a/racket/collects/pkg/strip.rkt
++++ b/racket/collects/pkg/strip.rkt
+@@ -306,9 +306,8 @@
+            #t
+            new-mod*-subs))))
+   (unless (eq? mod new-mod)
+-    (call-with-output-file*
++    (call-with-output-file/writable
+      new-p
+-     #:exists 'truncate/replace
+      (lambda (out) (write new-mod out)))))
+ 
+ (define (fixup-local-redirect-reference p js-path #:user [user-js-path js-path])
+@@ -340,9 +339,8 @@
+                                       (string->bytes/utf-8 user-js-path)
+                                       (subbytes s (+ delta end2)))]
+                        [else s]))))
+-    (call-with-output-file*
++    (call-with-output-file/writable
+      p
+-     #:exists 'truncate/replace
+      (lambda (out) (write-bytes new-bstr out)))))
+ 
+ ;; Used in binary[-lib] mode:
+@@ -383,9 +381,8 @@
+          (convert-mod info-lib defns)]))
+     (unless (equal? new-content content)
+       ;; write updated:
+-      (call-with-output-file* 
++      (call-with-output-file/writable
+        new-p
+-       #:exists 'truncate
+        (lambda (out)
+          (write new-content out)
+          (newline out)))
+@@ -503,3 +500,29 @@
+                     which
+                     dir)
+             (current-continuation-marks)))))
++
++(define (call-with-output-file/writable pth proc)
++  ;; In case `pth` was copied from a file without the user-write-bit set,
++  ;; explicitly make it writable while we overwrite it.
++  (define (run)
++    (call-with-output-file* pth
++      #:exists 'truncate/replace
++      proc))
++  (cond
++    [(file-exists? pth)
++     (define old-mode
++       (file-or-directory-permissions pth 'bits))
++     (define new-mode
++       (if (eq? (system-type) 'windows)
++           (bitwise-ior old-mode user-write-bit group-write-bit other-write-bit)
++           (bitwise-ior old-mode user-write-bit)))
++     (if (= old-mode new-mode)
++         (run)
++         (dynamic-wind
++          (λ ()
++            (file-or-directory-permissions pth new-mode))
++          run
++          (λ ()
++            (file-or-directory-permissions pth old-mode))))]
++    [else
++     (run)]))
+
+base-commit: 7e4f6e2362d4a08affbbae3c7ee4b98e325274c6
+-- 
+2.38.0
+
diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index 10f93a1362..20d293e998 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -191,7 +191,7 @@ (define-module (gnu packages racket)
 ;;
 ;; CODE:
 
-(define %racket-version "8.6") ; Remember to update chez-scheme-for-racket!
+(define %racket-version "8.7") ; Remember to update chez-scheme-for-racket!
 (define %zuo-version "1.0") ; defined in racket/src/zuo/zuo.c
 (define %racket-commit
   (string-append "v" %racket-version))
@@ -202,12 +202,9 @@ (define %racket-origin
           (url "https://github.com/racket/racket")
           (commit %racket-commit)))
     (sha256
-     (base32 "1lw6h70dk8zqpl96zz0hmhn8vjcc0c7gw4prkfz2wid5bkq4mhg4"))
+     (base32 "0agwa1nrv8mizkqg9nffjli00djyx1r9n6y6b6ry7k13pb6i7xnj"))
     (file-name (git-file-name "racket" %racket-version))
-    (patches (search-patches "racket-backport-8.6-cross-install.patch"
-                             "racket-backport-8.6-docindex-write.patch"
-                             "racket-backport-8.6-hurd.patch"
-                             "racket-backport-8.6-zuo.patch"
+    (patches (search-patches "racket-backport-8.7-pkg-strip.patch"
                              "racket-chez-scheme-bin-sh.patch"
                              "racket-rktio-bin-sh.patch"
                              "racket-zuo-bin-sh.patch"))
@@ -689,6 +686,7 @@ (define-public racket
          ("net-lib" "pkgs/net-lib")
          ("racket-doc" "pkgs/racket-doc")
          ("racket-index" "pkgs/racket-index")
+         ("scheme-doc" "pkgs/scheme-doc")
          ("sandbox-lib" "pkgs/sandbox-lib")
          ("zo-lib" "pkgs/zo-lib")))
       (simple-racket-origin
@@ -698,7 +696,7 @@ (define-public racket
        "class-iop" (base32 "08z57q83cr7wnh6g8ah3hdhmsmf9zp1jfs7yvxv188l3hzvygy5l")
        '("class-iop-lib"))
       (simple-racket-origin
-       "compatibility" (base32 "0bfqwscjpyi325br5pa6g62g9c8lq18a80zp5g3d2qzn3n3mi6x0")
+       "compatibility" (base32 "0ydx9alrpqg03xcl7zm5qcpx017i554q9ramz69vpwlfy3zdqmdm")
        '("compatibility" "compatibility-doc" "compatibility-lib"))
       (simple-racket-origin
        "contract-profile" (base32 "1xm2z8g0dpv5d9h2sg680vx1a8ix9gbsdpxxb8qv1w7akp73paj3")
@@ -710,19 +708,19 @@ (define-public racket
        "datalog" (base32 "0nf6cy4djpyhfvgpa6yn72apbz9s83gp0qg95pzjd0az4v6qwq1s")
        '(("datalog" ".")))
       (simple-racket-origin
-       "db" (base32 "0jzsbfcdm3xj0g8xxw3ky2swrhiqqsq2aqa3r08m641dc981dmjq")
+       "db" (base32 "0xx0k8yw2vb9b4vk2dwjfbpixnmriqsv7kpv3fvfxbwyg42y0db5")
        '("db" "db-doc" "db-lib"))
       (simple-racket-origin
-       "deinprogramm" (base32 "16ncs3ms3mmdavbk0mkhm2qi62vyyif9cch3sn1y64pij489x34v")
+       "deinprogramm" (base32 "1ngdjky4n1vy2b9jz1z4pnzl0vgvaqr3p0ff5sx82hs38qvvi5di")
        '("deinprogramm" "deinprogramm-signature"))
       (simple-racket-origin
        "distributed-places" (base32 "1dajpkj9balqcpv6cdk9hwjz592h1vq8rrx5vncariiac4vbdpa0")
        '("distributed-places" "distributed-places-doc" "distributed-places-lib"))
       (simple-racket-origin
-       "draw" (base32 "00rq5y4ba6z1d6jh76kl8rwpxrlqqp81a875zyhk3k81i42635sm")
+       "draw" (base32 "0pxpay04rylq3hqfpdrha2pw78hhwsjzq8w4f156gipin74lb7a2")
        '("draw" "draw-doc" "draw-lib"))
       (simple-racket-origin
-       "drracket" (base32 "05d7wssi0ry13alb5hl3llpsg30dd0jhyfv5nb1nmg189fn42q62")
+       "drracket" (base32 "12khv954v7xpi3wv50pp5l28ww1382apbvzvs67d6ik10nn3d0y4")
        '("drracket"
          "drracket-plugin-lib"
          "drracket-tool"
@@ -736,10 +734,10 @@ (define-public racket
        "eli-tester" (base32 "0icx6wn14gjm8kdmq1jppqgq87sxkras4qb5xmdr6wigxafhjqyk")
        '(("eli-tester"  ".")))
       (simple-racket-origin
-       "eopl" (base32 "1fmiixj6rxsgzwvgva8lvrvv0gl49v2405mp3s0i7ipis5c4n27s")
+       "eopl" (base32 "1n8lzvhggp6bp2hg4n51zg8f4ya10isb92pfzngss2ch7299zfj2")
        '(("eopl" ".")))
       (simple-racket-origin
-       "errortrace" (base32 "0r5630bb2d6hk0fbi95fmyfja54nnwdfcj2zjba124pp6xkjyavx")
+       "errortrace" (base32 "0l9k2rx6z4jkid7kxhbs763s66pxbzvfrgxajykbrmqkv77lhb3w")
        '("errortrace" "errortrace-doc" "errortrace-lib"))
       (simple-racket-origin
        "expeditor" (base32 "0mjfwb4wzwsg5xj3k6cmik0va432n56rp5h7rxx1c2yy3prh1j7q")
@@ -756,13 +754,13 @@ (define-public racket
        "games" (base32 "0kpn3izlx1ccd0pj0dnvmnrhny51b85xy418a7psj70lz8j8415d")
        '(("games" ".")))
       (simple-racket-origin
-       "gui" (base32 "18pcnx3wi8f32i2frm8bn9pi08n4y3c5jgqs4gy21w6f84dv401w")
+       "gui" (base32 "027imnxwm0663yn9mbkq8sjm1qr1pw7zf4ra168k746hp446ah58")
        '("gui" "gui-doc" "gui-lib" "tex-table"))
       (simple-racket-origin
        "gui-pkg-manager" (base32 "1ji9448d723nklqvycwdswj0ni28sabrncag14f9mx47did5myb5")
        '("gui-pkg-manager-lib"))
       (simple-racket-origin
-       "htdp" (base32 "173xy6ks55npvwn6cykjs41s9qfb70hc2gfjiqvw91hdsbjykwir")
+       "htdp" (base32 "0pf2kf63xj9s0n44vaxlmnd1bdb1a44gcp807a3b3cmlc1lkb36z")
        '("htdp" "htdp-doc" "htdp-lib"))
       (simple-racket-origin
        "html" (base32 "18n1jnjgzfknc8nv8dppi85nb8q08gqdwkg6hfjk08x0p00anx2x")
@@ -795,7 +793,7 @@ (define-public racket
        "mzcom" (base32 "0rc9pfj7gwm5azghqvcibz6si1x5s2v8mr2yngk7ssq9gzfbi6a4")
        '(("mzcom" ".")))
       (simple-racket-origin
-       "mzscheme" (base32 "192c52zi726h5wjamxrhivjw2waq1im0zpyxhbrkrxknm8x84bs9")
+       "mzscheme" (base32 "04kyrhznq46mklacf7pms4fv47zsimqqk3948r3w2ym9n04fhjsx")
        '("mzscheme" "mzscheme-doc" "mzscheme-lib"))
       (racket-packages-origin
        "net-cookies" (origin
@@ -824,13 +822,13 @@ (define-public racket
        "option-contract" (base32 "07cncg9pi15cm19k7rzv54vx83wq7y42i2m6bgzaqja1h8vnj2ww")
        '("option-contract" "option-contract-doc" "option-contract-lib"))
       (simple-racket-origin
-       "parser-tools" (base32 "04ycihliikh0c47ivp09gayxiql9d9wpl216czic19cj6f7rmcnj")
+       "parser-tools" (base32 "11m1x8q0cqb4b082423iv19s86xgkshv29cb4hp8yx84lb0vpwx3")
        '("parser-tools" "parser-tools-doc" "parser-tools-lib"))
       (simple-racket-origin
        "pconvert" (base32 "00czi0p399mmyrvxyrs5kniizpkqfxyz2ncxqi2jy79a7wk79pb1")
        '("pconvert-lib"))
       (simple-racket-origin
-       "pict" (base32 "1n0v7kynkiin1v8igs9m8k8vfwjn5cswanhq2imp1pxzjvdyq6sx")
+       "pict" (base32 "063a1lc6v1i8ywxcskkvvfxdvlx0qhr0l4l3dkibmnli47mdhv7g")
        '("pict" "pict-doc" "pict-lib"))
       (simple-racket-origin
        "pict-snip" (base32 "081nwiy4a0n4f7xws16hqbhf0j3kz5alizndi3nnyr3chm4kng6x")
@@ -839,13 +837,13 @@ (define-public racket
        "picturing-programs" (base32 "1g6xr39hx1j03gb3d4dljm3v91xcj2gfpq3dgy5xvplzr6cmmxgr")
        '(("picturing-programs" ".")))
       (simple-racket-origin
-       "plai" (base32 "0i983sh0r0zm2ng4j44m5aw9669kh5fhp91bzpc9jm280rfcqvyl")
+       "plai" (base32 "18kz31pj4lanlf9mn2yc0q9sxis264wb4f9v85ga23wd7g1hrzbq")
        '("plai" "plai-doc" "plai-lib"))
       (simple-racket-origin
        "planet" (base32 "0r2yqrzrmdjjyr14k6hhlzc5kzrcx3583m1s02mhrcmpfw0s85w9")
        '("planet" "planet-doc" "planet-lib"))
       (simple-racket-origin
-       "plot" (base32 "04871pspbm0q3bz5896sa3jw2rp9i6jf0b5aivrxfp56vxxd2ybb")
+       "plot" (base32 "1129k78vyqg2cbc87r9ak95zpa1ghh26fmz3wr8gm556j5j0k6y5")
        '("plot" "plot-compat" "plot-doc" "plot-gui-lib" "plot-lib"))
       (simple-racket-origin
        "preprocessor" (base32 "1p5aid58ifnjy4xl0ysh85cq39k25661v975jrpk182z3k5621mg")
@@ -867,7 +865,7 @@ (define-public racket
        "r5rs" (base32 "1g3cysj7z88r38vkzvi8g2fb2hn4yg1fdhy5smxw303jxgl3inp6")
        '("r5rs" "r5rs-doc" "r5rs-lib"))
       (simple-racket-origin
-       "r6rs" (base32 "0b1ymzdp10r0flw2acbidjsh5ma1pm5hy54jss37sxf89z3xbvm4")
+       "r6rs" (base32 "1mgcxd88s67w47a2z1i6snz8qhbngjbmr6rs4pchpnrfap96ssgl")
        '("r6rs" "r6rs-doc" "r6rs-lib"))
       (racket-packages-origin
        "racket-cheat" (origin
@@ -900,7 +898,7 @@ (define-public racket
        "realm" (base32 "0rlvwyd6rpyl0zda4a5p8dp346fvqzc8555dgfnrhliymkxb6x4g")
        '(("realm" ".")))
       (simple-racket-origin
-       "redex" (base32 "06dhyqmin0qdm6b6sdvgzpy3pa4svlw42ld9k2h1dxcr852czil7")
+       "redex" (base32 "1v5p65y3hnp1mfvy0jl4lhmaw9s3qzzfcfh3fhihhqxsybbqp3q3")
        '("redex"
          "redex-benchmark"
          "redex-doc"
@@ -915,7 +913,7 @@ (define-public racket
        "scheme-lib" (base32 "0pcf0y8rp4qyjhaz5ww5sr5diq0wpcdfrrnask7zapyklzx1jx8x")
        '(("scheme-lib" ".")))
       (simple-racket-origin
-       "scribble" (base32 "0a11kvcnzp04mp4xxq68rkl09jv00hv81k2nmwkmwpfx9b2acvd3")
+       "scribble" (base32 "1n0ywdham53h2ibkhc0cnrhhaxfkl7ax0bx5sdfpnyh2yrabxwqf")
        '("scribble"
          "scribble-doc"
          "scribble-html-lib"
@@ -941,13 +939,13 @@ (define-public racket
        "slatex" (base32 "0pkm2isbbdk63slrbsxcql7rr0wdrw5kapw1xq4ps5k8dhlzv8x0")
        '(("slatex" ".")))
       (simple-racket-origin
-       "slideshow" (base32 "1znv1i2d0610hhy71q932xy7wka00q3q50in1xfnk8ibg7nzkagm")
+       "slideshow" (base32 "0s6w4iq7m263jwx01c5czkk1a2950hdpxn5yirxvnr26qpjpfyzr")
        '("slideshow" "slideshow-doc" "slideshow-exe" "slideshow-lib" "slideshow-plugin"))
       (simple-racket-origin
-       "snip" (base32 "01r9wc5xr3q3n4yyif6j0a37rgdzmpslxn05k13ksik73b3wj6hj")
+       "snip" (base32 "19n2i1m2nysrbv38jxk32abymdbhcxdcrrjsg4ppfbng8niygc8x")
        '("snip" "snip-lib"))
       (simple-racket-origin
-       "typed-racket" (base32 "03wsz647fi58brbg33fw1xavp100gzfvngdy8bk7bdc0jfg8a18l")
+       "typed-racket" (base32 "0yh9vcg1bjamf6nq3hqxwjg07kjkxyqhvymv3r64j1n4hiiwz6iv")
        '("source-syntax"
          "typed-racket"
          "typed-racket-compatibility"
@@ -955,10 +953,10 @@ (define-public racket
          "typed-racket-lib"
          "typed-racket-more"))
       (simple-racket-origin
-       "srfi" (base32 "0aqbcdv2dfc2xnk0h6zfi56p7bpwqji8s88qds3d03hhh9k28gvn")
+       "srfi" (base32 "13xvfzr5546m3a4kksyawzcl93nrklasr1slfa5ar3p77h962la4")
        '("srfi" "srfi-doc" "srfi-lib" "srfi-lite-lib"))
       (simple-racket-origin
-       "string-constants" (base32 "1kg3vxq2hcd0vl76brgpzdwbrb65a4nrrkc6hj4az5lfbbdvqz47")
+       "string-constants" (base32 "174q3ihcp8s52mmlk7z0sipjksiac432pfkm0inlwi92s6p7dlb3")
        '("string-constants" "string-constants-doc" "string-constants-lib"))
       (simple-racket-origin
        "swindle" (base32 "03n9ymjhrw45h7hxkw4nq8nidnvs9mfzb4228s2cjfaqbgqxvsyb")
-- 
2.38.0





Information forwarded to guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2022 21:37:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 16:37:07 2022
Received: from localhost ([127.0.0.1]:58334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovQ5i-0002hU-HP
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:37:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:60894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1ovQ5g-0002hN-Uo
 for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 16:37:05 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philip@HIDDEN>)
 id 1ovQ5g-0002fE-PY
 for guix-patches@HIDDEN; Wed, 16 Nov 2022 16:37:04 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philip@HIDDEN>)
 id 1ovQ5f-00089m-0o
 for guix-patches@HIDDEN; Wed, 16 Nov 2022 16:37:04 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 45FCB5C01B3
 for <guix-patches@HIDDEN>; Wed, 16 Nov 2022 16:37:01 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Wed, 16 Nov 2022 16:37:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 philipmcgrath.com; h=cc:content-transfer-encoding:date:date:from
 :from:in-reply-to:message-id:mime-version:reply-to:sender
 :subject:subject:to:to; s=fm1; t=1668634621; x=1668721021; bh=mi
 4LBvGTY4d4Zx6fqnE5grTZ3lfILsbgST95EkuL2vs=; b=Xocks6MVdoJFDTLvLV
 YqdIqKN0T4ewJ9d8US5m2hw9IM/vPQ0tcrX2vR3kxXKy+uq/QkStrYy/mLHtSb+Y
 Ln8MxKErChY3jd+wsPuzlG4WIzFVzfvIDQUISsqVSETBlVKzUN4jbOT98M2c+VOo
 24ERiqaKWX2Nir5PFasG59uLaNBED3LjHlGoQZ67caHyZOyDQyVusZ+Z0NXvfl/L
 W6YBSoGK0+FIxV9cLNwTuN2VHGyiit1+dYQXhjyNW1NC2cxgHzEmwlBaNehuFdNq
 yoVkdnWfL3RTjGJSx4Dmuq0TINDjxDKPcXMrbTCEZ9eqLSPRCk2g77Zo/Kr6pd4m
 LTfg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:date
 :feedback-id:feedback-id:from:from:in-reply-to:message-id
 :mime-version:reply-to:sender:subject:subject:to:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=
 1668634621; x=1668721021; bh=mi4LBvGTY4d4Zx6fqnE5grTZ3lfILsbgST9
 5EkuL2vs=; b=kKNHKRz2k3/i6WBcxL4kwLUFh1uJRpXCmo9W4/FNEYR+Yr5mM/Y
 VfcM6j6urpqTfjGL7Vw1mTdgV1ZeUFL3i4hLL5x7PP9aeijixjKRdS6/rb2HLmD4
 SrthTFk6Ioof2+GodNkd/SfyLS9ViFZgmFOP95zFCeHY0LMf3zpVVwSMuK36SovP
 oQw06E/Yk0IXFG9i1juYMOYrL8jHBdD8txDKj1Iwz8UdP0hVM2MHzdvS+PbrhhtF
 WZ7+pUmdzHxos1FIm6UaboTGUtUe37qp/ZnHIqrqa6dnSAVZoOBTzimX/F/pJO7P
 QVYLh5jFk5Akx7vRJgftfif8cO6aL12x4tg==
X-ME-Sender: <xms:_Fd1Y2R3bGwpxVNk5hWkvBZlRF9QDSlGxMYr1jcC9B4U40lCRirI8Q>
 <xme:_Fd1Y7zJmK0I4O5tmB0PonJ3WRXSbiPrVw1LsnW6gl6HGGQEvPFPGi_9-NdH4uD7M
 xoyYFVbffWYScxcMKg>
X-ME-Received: <xmr:_Fd1Yz0l_SdYslvcM5lBrQMMt4Sat61K-k2-uAempWQOTdtQ9qze_oKFhvH4cZfhhfAUpPEz2-zurPkzfuPwmd7YdpX->
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrgeeigdduhedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgggfestdekredtre
 dttdenucfhrhhomheprfhhihhlihhpucfotgfirhgrthhhuceophhhihhlihhpsehphhhi
 lhhiphhmtghgrhgrthhhrdgtohhmqeenucggtffrrghtthgvrhhnpefgleekieeiffehff
 ffhefhheethfduhefhueejvdeiieffheefffeftdeiudekieenucevlhhushhtvghrufhi
 iigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehphhhilhhiphesphhhihhlihhpmh
 gtghhrrghthhdrtghomh
X-ME-Proxy: <xmx:_Fd1YyAVXfX9QYck6OmsM0Rbeyxwxo7CArFuLXwQrgbNqQ4WszPBiA>
 <xmx:_Fd1Y_iCYI8yD0V3LFzWl3-oKcJmoS6PXMfV1-HLbJH9B5BcbsNaIA>
 <xmx:_Fd1Y-ovSQ8roacuud_C_gJFtb3Sv4C0nCWWoN4AjdS8RbUSZ0Nrpg>
 <xmx:_Vd1Y8voq5WK-IO7zgYbaak5BnKnhASnOKCE_1C9--PiKqjicSMUmA>
Feedback-ID: i2b1146f3:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <guix-patches@HIDDEN>; Wed, 16 Nov 2022 16:37:00 -0500 (EST)
From: Philip McGrath <philip@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] gnu: racket: Update to 8.7.
Date: Wed, 16 Nov 2022 16:36:56 -0500
Message-Id: <cover.1668634501.git.philip@HIDDEN>
X-Mailer: git-send-email 2.38.0
MIME-Version: 1.0
X-Debbugs-Cc: Philip McGrath <philip@HIDDEN>
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.25;
 envelope-from=philip@HIDDEN; helo=out1-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi,

This patch series updates Racket to 8.7.

 -Philip

Philip McGrath (2):
  gnu: racket: Update to 8.7.
  gnu: racket-vm-cs: Avoid duplicate work.

 gnu/local.mk                                  |   2 +-
 gnu/packages/chez.scm                         |  21 +-
 .../racket-backport-8.6-cross-install.patch   | 126 ----
 .../racket-backport-8.6-docindex-write.patch  |  36 --
 .../patches/racket-backport-8.6-hurd.patch    | 609 ------------------
 .../patches/racket-backport-8.6-zuo.patch     | 481 --------------
 .../racket-backport-8.7-pkg-strip.patch       |  90 +++
 gnu/packages/racket.scm                       |  60 +-
 8 files changed, 128 insertions(+), 1297 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-cross-install.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-docindex-write.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-hurd.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-zuo.patch
 create mode 100644 gnu/packages/patches/racket-backport-8.7-pkg-strip.patch


base-commit: e06df550e21d596b65dc3e5b3e99152be58372b3
-- 
2.38.0





Acknowledgement sent to Philip McGrath <philip@HIDDEN>:
New bug report received and forwarded. Copy sent to philip@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to philip@HIDDEN, guix-patches@HIDDEN:
bug#59322; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Nov 2022 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.